(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Wolfram 14.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       154,          7]
NotebookDataLength[    245621,       6962]
NotebookOptionsPosition[    221714,       6569]
NotebookOutlinePosition[    222102,       6585]
CellTagsIndexPosition[    222059,       6582]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["\<\
The additional RISC packages that are used in this notebook can be obtained \
from the website:
https://www3.risc.jku.at/research/combinat/software/ergosum/\
\>", "Text",
 CellChangeTimes->{{3.951489565647175*^9, 
  3.95148959361371*^9}},ExpressionUUID->"9c943921-851e-452b-9d58-\
9c57f936be4f"],

Cell[CellGroupData[{

Cell["Exercise 1", "Section",
 CellChangeTimes->{{3.951230987492531*^9, 
  3.9512309894307623`*^9}},ExpressionUUID->"aa8925d6-432e-41c1-aa48-\
c1bb0056e5b4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CylindricalDecomposition", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"a", "^", "2"}], "+", 
     RowBox[{"b", "^", "2"}], "+", 
     RowBox[{"c", "^", "2"}]}], ">=", 
    RowBox[{"Abs", "[", 
     RowBox[{
      RowBox[{"b", " ", "c"}], "+", 
      RowBox[{"c", " ", "a"}], "+", 
      RowBox[{"a", " ", "b"}]}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.951233557950746*^9, 3.951233582010849*^9}},
 CellLabel->
  "In[424]:=",ExpressionUUID->"6ce57158-aa59-41d8-be51-be8fe0d9aeeb"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.951233582776433*^9},
 CellLabel->
  "Out[424]=",ExpressionUUID->"1399670a-2692-4328-b43b-47679458b9c1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CylindricalDecomposition", "[", 
  RowBox[{
   RowBox[{"ForAll", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"a", "^", "2"}], "+", 
       RowBox[{"b", "^", "2"}], "+", 
       RowBox[{"c", "^", "2"}]}], ">=", 
      RowBox[{"Abs", "[", 
       RowBox[{
        RowBox[{"b", " ", "c"}], "+", 
        RowBox[{"c", " ", "a"}], "+", 
        RowBox[{"a", " ", "b"}]}], "]"}]}]}], "]"}], ",", 
   RowBox[{"{", "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.951233592706064*^9, 3.951233602804492*^9}},
 CellLabel->
  "In[425]:=",ExpressionUUID->"93b3d962-3d18-406d-a71d-71f6f995ab9b"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.951233604300303*^9},
 CellLabel->
  "Out[425]=",ExpressionUUID->"c804b98e-a974-4db6-9fc0-71bc47f236ab"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Exercise 2", "Section",
 CellChangeTimes->{{3.951233768202908*^9, 
  3.95123377069954*^9}},ExpressionUUID->"10fd67c3-23cb-4386-aa03-\
708120b070b5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"This", " ", "was", " ", "Example", " ", "2."}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"CylindricalDecomposition", "[", 
   RowBox[{
    RowBox[{"ForAll", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
      RowBox[{"Implies", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"a", " ", "d"}], "-", 
          RowBox[{"b", " ", "c"}]}], "==", "1"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"a", "^", "2"}], "+", 
          RowBox[{"b", "^", "2"}], "+", 
          RowBox[{"c", "^", "2"}], "+", 
          RowBox[{"d", "^", "2"}], "+", 
          RowBox[{"a", " ", "c"}], "+", 
          RowBox[{"b", " ", "d"}]}], ">", "1"}]}], "]"}]}], "]"}], ",", 
    RowBox[{"{", "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.9512337949931173`*^9, 3.951233803548273*^9}},
 CellLabel->
  "In[430]:=",ExpressionUUID->"819c18aa-476b-4e2f-bbdb-e66556f37f78"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.951233812622888*^9},
 CellLabel->
  "Out[430]=",ExpressionUUID->"c858b408-dbe9-4674-971c-e22a0570a150"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"This", " ", "is", " ", "the", " ", "sought", " ", 
    RowBox[{"variation", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"CylindricalDecomposition", "[", 
   RowBox[{
    RowBox[{"ForAll", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
      RowBox[{"Implies", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"a", " ", "d"}], "-", 
          RowBox[{"b", " ", "c"}]}], "==", "1"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"a", "^", "2"}], "+", 
          RowBox[{"b", "^", "2"}], "+", 
          RowBox[{"c", "^", "2"}], "+", 
          RowBox[{"d", "^", "2"}], "+", 
          RowBox[{"a", " ", "c"}], "+", 
          RowBox[{"b", " ", "d"}]}], ">", "x"}]}], "]"}]}], "]"}], ",", 
    RowBox[{"{", "x", "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.9512337949931173`*^9, 3.951233803548273*^9}, {
  3.9512338687579308`*^9, 3.95123388180686*^9}, {3.9513032667303953`*^9, 
  3.95130326801833*^9}, {3.9514893434926233`*^9, 
  3.951489355432266*^9}},ExpressionUUID->"8aabf198-529a-4ae5-9b91-\
b79f0a7eb6a6"],

Cell[BoxData[
 RowBox[{"x", "<", 
  SqrtBox["3"]}]], "Output",
 CellChangeTimes->{{3.951233878239242*^9, 3.9512338875189533`*^9}},
 CellLabel->
  "Out[433]=",ExpressionUUID->"e1f33c39-6439-4efd-a3ba-7170dfce8965"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Exercise 3", "Section",
 CellChangeTimes->{{3.951233994665476*^9, 
  3.951233996917637*^9}},ExpressionUUID->"3b49c993-14bf-477c-b8b0-\
cd519246ed58"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"formula", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"f", "[", "n", "]"}], "^", "2"}], "<=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"x", "^", "2"}], "+", "1"}], ")"}], "^", "2"}], " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"x", "^", "2"}], "+", "2"}], ")"}], "^", 
     RowBox[{"(", 
      RowBox[{"n", "-", "3"}], ")"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.951234114079275*^9, 3.9512341371065187`*^9}, {
  3.951234314848085*^9, 3.951234322161254*^9}, {3.951236020405229*^9, 
  3.95123602064333*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"23269c02-ec76-4456-9226-aa63c1e5c05b"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox[
   RowBox[{"f", "[", "n", "]"}], "2"], "\[LessEqual]", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", 
      SuperscriptBox["x", "2"]}], ")"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"2", "+", 
      SuperscriptBox["x", "2"]}], ")"}], 
    RowBox[{
     RowBox[{"-", "3"}], "+", "n"}]]}]}]], "Output",
 CellChangeTimes->{{3.951234323686017*^9, 3.9512343476372004`*^9}, 
   3.951236021467905*^9, 3.9514894445009747`*^9},
 CellLabel->"Out[1]=",ExpressionUUID->"f72abec5-3135-445a-87a5-967941586e34"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "Apply", " ", "Fibonacci", " ", "recurrence", " ", "and", " ", "replace",
       " ", "non"}], "-", 
     RowBox[{
     "polynomial", " ", "expressions", " ", "by", " ", "new", " ", 
      "variables", " ", "y0"}]}], ",", " ", "y1", ",", " ", 
    RowBox[{"y2", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"recs", "=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"f", "[", "n", "]"}], "->", "y0"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"n", "+", "1"}], "]"}], "->", "y1"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"n", "+", "i_"}], "]"}], "->", 
       RowBox[{
        RowBox[{"x", "*", 
         RowBox[{"f", "[", 
          RowBox[{"n", "+", "i", "-", "1"}], "]"}]}], "+", 
        RowBox[{"f", "[", 
         RowBox[{"n", "+", "i", "-", "2"}], "]"}]}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"x", "^", "2"}], "+", "2"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"n", "+", "i_."}], ")"}]}], "->", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"x", "^", "2"}], "+", "2"}], ")"}], "^", 
         RowBox[{"(", 
          RowBox[{"i", "+", "3"}], ")"}]}], "*", "y2"}]}]}], "}"}]}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.951234349646593*^9, 3.951234365749709*^9}, {
   3.951234415820105*^9, 3.951234505594446*^9}, {3.951234539938964*^9, 
   3.951234586875139*^9}, 3.951234653362846*^9, {3.9512360297411003`*^9, 
   3.951236036132989*^9}, {3.9514893777948112`*^9, 3.95148941587321*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"bb21b650-525e-495b-ad0e-ee65afae2efc"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"form0", "=", 
  RowBox[{"formula", "//.", "recs"}]}]], "Input",
 CellChangeTimes->{{3.951234765838328*^9, 3.951234772649737*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"3d27c5e7-4f9d-430e-83a5-cff665d5c5c6"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["y0", "2"], "\[LessEqual]", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", 
      SuperscriptBox["x", "2"]}], ")"}], "2"], " ", "y2"}]}]], "Output",
 CellChangeTimes->{3.951234773349677*^9, 3.951236038245047*^9, 
  3.9514894463504333`*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"3752fb5b-cffd-45bc-a219-4a3e5b2618e7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"form1", "=", 
  RowBox[{
   RowBox[{"formula", "/.", 
    RowBox[{"n", "->", 
     RowBox[{"n", "+", "1"}]}]}], "//.", "recs"}]}]], "Input",
 CellChangeTimes->{{3.951234711099284*^9, 3.951234736672714*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"076b39e6-450d-4895-a081-3ba103ff81d1"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["y1", "2"], "\[LessEqual]", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", 
      SuperscriptBox["x", "2"]}], ")"}], "2"], " ", 
   RowBox[{"(", 
    RowBox[{"2", "+", 
     SuperscriptBox["x", "2"]}], ")"}], " ", "y2"}]}]], "Output",
 CellChangeTimes->{{3.951234727459714*^9, 3.951234737287356*^9}, 
   3.9512360395683203`*^9, 3.9514894470476*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"cea3dafe-a176-4869-9be1-6f9bb44d9116"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "An", " ", "induction", " ", "of", " ", "depth", " ", "1", " ", "does", 
    " ", "not", " ", 
    RowBox[{"succeed", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"CylindricalDecomposition", "[", 
   RowBox[{
    RowBox[{"Implies", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"n", ">=", "3"}], "&&", "form0"}], ",", "form1"}], "]"}], ",", 
    
    RowBox[{"{", 
     RowBox[{"x", ",", "y0", ",", "y1", ",", "y2", ",", "n"}], "}"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.95148945736298*^9, 
  3.95148949967654*^9}},ExpressionUUID->"943dc76b-2623-48d7-a60f-\
2019e3438f94"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"y0", "<", "0"}], "&&", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"y1", "<", 
         RowBox[{"-", 
          SqrtBox[
           RowBox[{
            RowBox[{"2", " ", 
             SuperscriptBox["y0", "2"]}], "+", 
            RowBox[{
             SuperscriptBox["x", "2"], " ", 
             SuperscriptBox["y0", "2"]}]}]]}]}], "&&", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"y2", "<", 
           FractionBox[
            SuperscriptBox["y0", "2"], 
            RowBox[{"1", "+", 
             RowBox[{"2", " ", 
              SuperscriptBox["x", "2"]}], "+", 
             SuperscriptBox["x", "4"]}]]}], "||", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox[
              SuperscriptBox["y0", "2"], 
              RowBox[{"1", "+", 
               RowBox[{"2", " ", 
                SuperscriptBox["x", "2"]}], "+", 
               SuperscriptBox["x", "4"]}]], "\[LessEqual]", "y2", "<", 
             FractionBox[
              SuperscriptBox["y1", "2"], 
              RowBox[{"2", "+", 
               RowBox[{"5", " ", 
                SuperscriptBox["x", "2"]}], "+", 
               RowBox[{"4", " ", 
                SuperscriptBox["x", "4"]}], "+", 
               SuperscriptBox["x", "6"]}]]}], "&&", 
            RowBox[{"n", "<", "3"}]}], ")"}], "||", 
          RowBox[{"y2", "\[GreaterEqual]", 
           FractionBox[
            SuperscriptBox["y1", "2"], 
            RowBox[{"2", "+", 
             RowBox[{"5", " ", 
              SuperscriptBox["x", "2"]}], "+", 
             RowBox[{"4", " ", 
              SuperscriptBox["x", "4"]}], "+", 
             SuperscriptBox["x", "6"]}]]}]}], ")"}]}], ")"}], "||", 
      RowBox[{
       RowBox[{"-", 
        SqrtBox[
         RowBox[{
          RowBox[{"2", " ", 
           SuperscriptBox["y0", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["x", "2"], " ", 
           SuperscriptBox["y0", "2"]}]}]]}], "\[LessEqual]", "y1", 
       "\[LessEqual]", 
       SqrtBox[
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["y0", "2"]}], "+", 
         RowBox[{
          SuperscriptBox["x", "2"], " ", 
          SuperscriptBox["y0", "2"]}]}]]}], "||", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"y1", ">", 
         SqrtBox[
          RowBox[{
           RowBox[{"2", " ", 
            SuperscriptBox["y0", "2"]}], "+", 
           RowBox[{
            SuperscriptBox["x", "2"], " ", 
            SuperscriptBox["y0", "2"]}]}]]}], "&&", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"y2", "<", 
           FractionBox[
            SuperscriptBox["y0", "2"], 
            RowBox[{"1", "+", 
             RowBox[{"2", " ", 
              SuperscriptBox["x", "2"]}], "+", 
             SuperscriptBox["x", "4"]}]]}], "||", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox[
              SuperscriptBox["y0", "2"], 
              RowBox[{"1", "+", 
               RowBox[{"2", " ", 
                SuperscriptBox["x", "2"]}], "+", 
               SuperscriptBox["x", "4"]}]], "\[LessEqual]", "y2", "<", 
             FractionBox[
              SuperscriptBox["y1", "2"], 
              RowBox[{"2", "+", 
               RowBox[{"5", " ", 
                SuperscriptBox["x", "2"]}], "+", 
               RowBox[{"4", " ", 
                SuperscriptBox["x", "4"]}], "+", 
               SuperscriptBox["x", "6"]}]]}], "&&", 
            RowBox[{"n", "<", "3"}]}], ")"}], "||", 
          RowBox[{"y2", "\[GreaterEqual]", 
           FractionBox[
            SuperscriptBox["y1", "2"], 
            RowBox[{"2", "+", 
             RowBox[{"5", " ", 
              SuperscriptBox["x", "2"]}], "+", 
             RowBox[{"4", " ", 
              SuperscriptBox["x", "4"]}], "+", 
             SuperscriptBox["x", "6"]}]]}]}], ")"}]}], ")"}]}], ")"}]}], 
   ")"}], "||", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"y0", "\[Equal]", "0"}], "&&", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"y1", "<", "0"}], "&&", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"y2", "<", "0"}], "||", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"0", "\[LessEqual]", "y2", "<", 
             FractionBox[
              SuperscriptBox["y1", "2"], 
              RowBox[{"2", "+", 
               RowBox[{"5", " ", 
                SuperscriptBox["x", "2"]}], "+", 
               RowBox[{"4", " ", 
                SuperscriptBox["x", "4"]}], "+", 
               SuperscriptBox["x", "6"]}]]}], "&&", 
            RowBox[{"n", "<", "3"}]}], ")"}], "||", 
          RowBox[{"y2", "\[GreaterEqual]", 
           FractionBox[
            SuperscriptBox["y1", "2"], 
            RowBox[{"2", "+", 
             RowBox[{"5", " ", 
              SuperscriptBox["x", "2"]}], "+", 
             RowBox[{"4", " ", 
              SuperscriptBox["x", "4"]}], "+", 
             SuperscriptBox["x", "6"]}]]}]}], ")"}]}], ")"}], "||", 
      RowBox[{"y1", "\[Equal]", "0"}], "||", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"y1", ">", "0"}], "&&", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"y2", "<", "0"}], "||", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"0", "\[LessEqual]", "y2", "<", 
             FractionBox[
              SuperscriptBox["y1", "2"], 
              RowBox[{"2", "+", 
               RowBox[{"5", " ", 
                SuperscriptBox["x", "2"]}], "+", 
               RowBox[{"4", " ", 
                SuperscriptBox["x", "4"]}], "+", 
               SuperscriptBox["x", "6"]}]]}], "&&", 
            RowBox[{"n", "<", "3"}]}], ")"}], "||", 
          RowBox[{"y2", "\[GreaterEqual]", 
           FractionBox[
            SuperscriptBox["y1", "2"], 
            RowBox[{"2", "+", 
             RowBox[{"5", " ", 
              SuperscriptBox["x", "2"]}], "+", 
             RowBox[{"4", " ", 
              SuperscriptBox["x", "4"]}], "+", 
             SuperscriptBox["x", "6"]}]]}]}], ")"}]}], ")"}]}], ")"}]}], 
   ")"}], "||", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"y0", ">", "0"}], "&&", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"y1", "<", 
         RowBox[{"-", 
          SqrtBox[
           RowBox[{
            RowBox[{"2", " ", 
             SuperscriptBox["y0", "2"]}], "+", 
            RowBox[{
             SuperscriptBox["x", "2"], " ", 
             SuperscriptBox["y0", "2"]}]}]]}]}], "&&", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"y2", "<", 
           FractionBox[
            SuperscriptBox["y0", "2"], 
            RowBox[{"1", "+", 
             RowBox[{"2", " ", 
              SuperscriptBox["x", "2"]}], "+", 
             SuperscriptBox["x", "4"]}]]}], "||", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox[
              SuperscriptBox["y0", "2"], 
              RowBox[{"1", "+", 
               RowBox[{"2", " ", 
                SuperscriptBox["x", "2"]}], "+", 
               SuperscriptBox["x", "4"]}]], "\[LessEqual]", "y2", "<", 
             FractionBox[
              SuperscriptBox["y1", "2"], 
              RowBox[{"2", "+", 
               RowBox[{"5", " ", 
                SuperscriptBox["x", "2"]}], "+", 
               RowBox[{"4", " ", 
                SuperscriptBox["x", "4"]}], "+", 
               SuperscriptBox["x", "6"]}]]}], "&&", 
            RowBox[{"n", "<", "3"}]}], ")"}], "||", 
          RowBox[{"y2", "\[GreaterEqual]", 
           FractionBox[
            SuperscriptBox["y1", "2"], 
            RowBox[{"2", "+", 
             RowBox[{"5", " ", 
              SuperscriptBox["x", "2"]}], "+", 
             RowBox[{"4", " ", 
              SuperscriptBox["x", "4"]}], "+", 
             SuperscriptBox["x", "6"]}]]}]}], ")"}]}], ")"}], "||", 
      RowBox[{
       RowBox[{"-", 
        SqrtBox[
         RowBox[{
          RowBox[{"2", " ", 
           SuperscriptBox["y0", "2"]}], "+", 
          RowBox[{
           SuperscriptBox["x", "2"], " ", 
           SuperscriptBox["y0", "2"]}]}]]}], "\[LessEqual]", "y1", 
       "\[LessEqual]", 
       SqrtBox[
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["y0", "2"]}], "+", 
         RowBox[{
          SuperscriptBox["x", "2"], " ", 
          SuperscriptBox["y0", "2"]}]}]]}], "||", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"y1", ">", 
         SqrtBox[
          RowBox[{
           RowBox[{"2", " ", 
            SuperscriptBox["y0", "2"]}], "+", 
           RowBox[{
            SuperscriptBox["x", "2"], " ", 
            SuperscriptBox["y0", "2"]}]}]]}], "&&", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"y2", "<", 
           FractionBox[
            SuperscriptBox["y0", "2"], 
            RowBox[{"1", "+", 
             RowBox[{"2", " ", 
              SuperscriptBox["x", "2"]}], "+", 
             SuperscriptBox["x", "4"]}]]}], "||", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox[
              SuperscriptBox["y0", "2"], 
              RowBox[{"1", "+", 
               RowBox[{"2", " ", 
                SuperscriptBox["x", "2"]}], "+", 
               SuperscriptBox["x", "4"]}]], "\[LessEqual]", "y2", "<", 
             FractionBox[
              SuperscriptBox["y1", "2"], 
              RowBox[{"2", "+", 
               RowBox[{"5", " ", 
                SuperscriptBox["x", "2"]}], "+", 
               RowBox[{"4", " ", 
                SuperscriptBox["x", "4"]}], "+", 
               SuperscriptBox["x", "6"]}]]}], "&&", 
            RowBox[{"n", "<", "3"}]}], ")"}], "||", 
          RowBox[{"y2", "\[GreaterEqual]", 
           FractionBox[
            SuperscriptBox["y1", "2"], 
            RowBox[{"2", "+", 
             RowBox[{"5", " ", 
              SuperscriptBox["x", "2"]}], "+", 
             RowBox[{"4", " ", 
              SuperscriptBox["x", "4"]}], "+", 
             SuperscriptBox["x", "6"]}]]}]}], ")"}]}], ")"}]}], ")"}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{{3.9514894667972097`*^9, 3.9514894776246977`*^9}},
 CellLabel->"Out[6]=",ExpressionUUID->"1a1c7700-4a88-40b1-886b-584e7d112e3c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"form2", "=", 
  RowBox[{
   RowBox[{"formula", "/.", 
    RowBox[{"n", "->", 
     RowBox[{"n", "+", "2"}]}]}], "//.", "recs"}]}]], "Input",
 CellChangeTimes->{{3.951234814874608*^9, 3.951234817539171*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"7bea424a-516a-4447-81ab-dba51e15aaaf"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"y0", "+", 
     RowBox[{"x", " ", "y1"}]}], ")"}], "2"], "\[LessEqual]", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", 
      SuperscriptBox["x", "2"]}], ")"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"2", "+", 
      SuperscriptBox["x", "2"]}], ")"}], "2"], " ", "y2"}]}]], "Output",
 CellChangeTimes->{3.951234818557831*^9, 3.951236040758481*^9, 
  3.951489506218807*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"07d6b74e-2981-4951-a7c9-8200d537bdf1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "We", " ", "have", " ", "to", " ", "extend", " ", "the", " ", "induction", 
    " ", 
    RowBox[{"hypothesis", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"CylindricalDecomposition", "[", 
   RowBox[{
    RowBox[{"Implies", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"n", ">=", "3"}], "&&", "form0", "&&", "form1"}], ",", 
      "form2"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "y0", ",", "y1", ",", "y2", ",", "n"}], "}"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.9512345164883137`*^9, 3.951234520339652*^9}, {
  3.9512346112634163`*^9, 3.951234626430461*^9}, {3.951234661120089*^9, 
  3.951234694182456*^9}, {3.95123474148155*^9, 3.951234825704278*^9}, {
  3.951234856997294*^9, 3.9512348607308083`*^9}, {3.95148950817665*^9, 
  3.951489519669776*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"5ed27c00-f173-435f-813c-bdacf71b6c85"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.951234521472787*^9, {3.951234602286964*^9, 3.9512346269526367`*^9}, 
   3.9512347529630527`*^9, {3.951234798046256*^9, 3.9512348612807007`*^9}, 
   3.951236112822691*^9, 3.9514895214001303`*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"41a3b7df-36c3-40b0-89c2-604379ccfafc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Check", " ", "the", " ", "base", " ", 
    RowBox[{"cases", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{"formula", ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "3", ",", "4"}], "}"}]}], "]"}], "/.", 
   RowBox[{
    RowBox[{"f", "[", "n_", "]"}], "->", 
    RowBox[{"Fibonacci", "[", 
     RowBox[{"n", ",", "x"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.95123612213204*^9, 3.951236179131097*^9}, {
  3.951236273604545*^9, 3.9512362737342863`*^9}, {3.951489525905904*^9, 
  3.951489532375051*^9}},ExpressionUUID->"99654b0f-2caa-452f-8ce6-\
19a1f1c74ee6"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "+", 
       SuperscriptBox["x", "2"]}], ")"}], "2"], "\[LessEqual]", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "+", 
       SuperscriptBox["x", "2"]}], ")"}], "2"]}], ",", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "x"}], "+", 
       SuperscriptBox["x", "3"]}], ")"}], "2"], "\[LessEqual]", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "+", 
        SuperscriptBox["x", "2"]}], ")"}], "2"], " ", 
     RowBox[{"(", 
      RowBox[{"2", "+", 
       SuperscriptBox["x", "2"]}], ")"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.951236149259946*^9, 3.951236179881921*^9}, 
   3.951236274402009*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"18df1b1d-95f6-488b-a4d9-c835ff8f5290"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.951236221038302*^9, 3.951236223157943*^9}},
 CellLabel->"In[29]:=",ExpressionUUID->"e2875cbd-2bea-4034-9870-5db9899317fa"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{
    RowBox[{"2", "+", 
     SuperscriptBox["x", "2"]}], "\[GreaterEqual]", "0"}]}], "}"}]], "Output",\

 CellChangeTimes->{3.9512362236876583`*^9, 3.951236315306061*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"d7857b67-d306-4f5a-b4a5-43e51b943b42"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Quiet", "[", 
  RowBox[{"<<", "SumCracker.m"}], "]"}]], "Input",
 CellChangeTimes->{{3.951235111875204*^9, 3.9512351196863747`*^9}, {
  3.951235249541637*^9, 3.9512352509213867`*^9}, {3.951236482050775*^9, 
  3.951236487886197*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"b0979888-2710-4561-9191-996e29667661"],

Cell["\<\
SumCracker  Package by Manuel Kauers \[LongDash] \[Copyright] RISC Linz \
\[LongDash] V 0.11  2009-04-05\
\>", "Print",
 CellFrame->0.5,
 CellChangeTimes->{3.951236491698937*^9},
 FontColor->RGBColor[0, 0, 0],
 Background->RGBColor[
  0.796887, 0.789075, 
   0.871107],ExpressionUUID->"4fc09fc9-c044-414b-b802-7aad0190e37c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ProveInequality", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", "n", "]"}], "^", "2"}], "<=", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"x", "^", "2"}], "+", "1"}], ")"}], "^", "2"}], " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"x", "^", "2"}], "+", "2"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"n", "-", "3"}], ")"}]}]}]}], ",", 
   RowBox[{"Variable", "->", "n"}], ",", 
   RowBox[{"From", "->", "3"}], ",", 
   RowBox[{"Where", "->", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"f", "[", "n", "]"}], "==", 
       RowBox[{
        RowBox[{"x", "*", 
         RowBox[{"f", "[", 
          RowBox[{"n", "-", "1"}], "]"}]}], "+", 
        RowBox[{"f", "[", 
         RowBox[{"n", "-", "2"}], "]"}]}]}], ",", 
      RowBox[{
       RowBox[{"f", "[", "1", "]"}], "==", "1"}], ",", 
      RowBox[{
       RowBox[{"f", "[", "2", "]"}], "==", "x"}]}], "}"}]}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.95123646163997*^9, 3.9512364618500032`*^9}},
 CellLabel->"In[35]:=",ExpressionUUID->"d8962f90-377b-4212-93d8-23070f6787df"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{3.9512364672882233`*^9},
 CellLabel->"Out[35]=",ExpressionUUID->"aaa451c8-a0d8-4a2e-91b0-06e0cea93e79"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ProveInequality", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", "n", "]"}], "^", "2"}], "<=", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"x", "^", "2"}], "+", "1"}], ")"}], "^", "2"}], " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"x", "^", "2"}], "+", "2"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"n", "-", "3"}], ")"}]}]}]}], ",", 
   RowBox[{"Variable", "->", "n"}], ",", 
   RowBox[{"From", "->", "3"}], ",", 
   RowBox[{"Where", "->", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"f", "[", "n", "]"}], "==", 
       RowBox[{
        RowBox[{"x", "*", 
         RowBox[{"f", "[", 
          RowBox[{"n", "-", "1"}], "]"}]}], "+", 
        RowBox[{"f", "[", 
         RowBox[{"n", "-", "2"}], "]"}]}]}], ",", 
      RowBox[{
       RowBox[{"f", "[", "1", "]"}], "==", "1"}], ",", 
      RowBox[{
       RowBox[{"f", "[", "2", "]"}], "==", "x"}]}], "}"}]}], ",", 
   RowBox[{"Infolevel", "->", "2"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.951235135282669*^9, 3.951235152629744*^9}, {
  3.951235224149687*^9, 3.951235234810919*^9}, {3.951235324795471*^9, 
  3.951235423049119*^9}, {3.9512359962944603`*^9, 3.9512359965617332`*^9}, {
  3.951236356280357*^9, 3.951236359433598*^9}, {3.951236398230072*^9, 
  3.951236437390271*^9}},
 CellLabel->"In[34]:=",ExpressionUUID->"9dcbb8f9-cdfa-44f8-8fae-c16ed0b36aef"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\"\>", 
   "\[InvisibleSpace]", "\<\"Collecting terms from given inequality...\"\>"}],
  
  SequenceForm["", "Collecting terms from given inequality..."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.951236360113372*^9, {3.951236398949024*^9, 3.951236437966608*^9}},
 CellLabel->
  "During evaluation of \
In[34]:=",ExpressionUUID->"567e35a4-8b56-483e-aef8-6f67abd13307"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\"\>", 
   "\[InvisibleSpace]", "\<\"Creating difference ring and \
homomorphism...\"\>"}],
  SequenceForm["", "Creating difference ring and homomorphism..."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.951236360113372*^9, {3.951236398949024*^9, 3.951236437967992*^9}},
 CellLabel->
  "During evaluation of \
In[34]:=",ExpressionUUID->"ad8d75f4-0f12-400c-b251-cc2ea4056ef2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  \"\>", 
   "\[InvisibleSpace]", "\<\"Normalizing exponentials...\"\>"}],
  SequenceForm["  ", "Normalizing exponentials..."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.951236360113372*^9, {3.951236398949024*^9, 3.951236437969626*^9}},
 CellLabel->
  "During evaluation of \
In[34]:=",ExpressionUUID->"4d55c1c8-e05d-48f1-86a5-f933869824e7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  \"\>", 
   "\[InvisibleSpace]", "\<\"Cracking expression into difference \
system...\"\>"}],
  SequenceForm["  ", "Cracking expression into difference system..."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.951236360113372*^9, {3.951236398949024*^9, 3.951236437970479*^9}},
 CellLabel->
  "During evaluation of \
In[34]:=",ExpressionUUID->"6287b08a-3dc8-4b74-84ab-29c3e6a399cc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  \"\>", 
   "\[InvisibleSpace]", "\<\"Creating difference ring...\"\>"}],
  SequenceForm["  ", "Creating difference ring..."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.951236360113372*^9, {3.951236398949024*^9, 3.951236437971325*^9}},
 CellLabel->
  "During evaluation of \
In[34]:=",ExpressionUUID->"acaea01c-1a06-448d-a152-794951c8492e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  \"\>", 
   "\[InvisibleSpace]", "\<\"Determining startpoint and building evaluator...\
\"\>"}],
  SequenceForm["  ", "Determining startpoint and building evaluator..."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.951236360113372*^9, {3.951236398949024*^9, 3.951236437972167*^9}},
 CellLabel->
  "During evaluation of \
In[34]:=",ExpressionUUID->"8673cb26-9686-46cf-8264-6fd4efff6974"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  \"\>", "\[InvisibleSpace]", "\<\"Defining methods...\"\>"}],
  SequenceForm["  ", "Defining methods..."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.951236360113372*^9, {3.951236398949024*^9, 3.9512364379730043`*^9}},
 CellLabel->
  "During evaluation of \
In[34]:=",ExpressionUUID->"1d3a1c12-2457-48d6-bfa6-d1be32665a54"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  \"\>", 
   "\[InvisibleSpace]", "\<\"Exiting phi constructor.\"\>"}],
  SequenceForm["  ", "Exiting phi constructor."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.951236360113372*^9, {3.951236398949024*^9, 3.951236437973846*^9}},
 CellLabel->
  "During evaluation of \
In[34]:=",ExpressionUUID->"3f480bb1-be57-4152-ada0-a738ba02afab"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\"\>", 
   "\[InvisibleSpace]", "\<\"Adding positivity of natural numbers to facts...\
\"\>"}],
  SequenceForm["", "Adding positivity of natural numbers to facts..."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.951236360113372*^9, {3.951236398949024*^9, 3.951236437974676*^9}},
 CellLabel->
  "During evaluation of \
In[34]:=",ExpressionUUID->"202e0361-a210-4c2d-b1e2-56a8edea32e0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\"\>", 
   "\[InvisibleSpace]", "\<\"Converting terms to difference \
polynomials...\"\>"}],
  SequenceForm["", "Converting terms to difference polynomials..."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.951236360113372*^9, {3.951236398949024*^9, 3.9512364379755173`*^9}},
 CellLabel->
  "During evaluation of \
In[34]:=",ExpressionUUID->"19b8dd15-8e3d-4bc3-b781-a7739e637822"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\"\>", 
   "\[InvisibleSpace]", "\<\"Shift adjustment of facts and claim...\"\>"}],
  SequenceForm["", "Shift adjustment of facts and claim..."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.951236360113372*^9, {3.951236398949024*^9, 3.951236437976314*^9}},
 CellLabel->
  "During evaluation of \
In[34]:=",ExpressionUUID->"38a81604-7355-47ec-b1e5-640d25798937"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\"\>", 
   "\[InvisibleSpace]", "\<\"searching for induction step...\"\>"}],
  SequenceForm["", "searching for induction step..."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.951236360113372*^9, {3.951236398949024*^9, 3.951236437977113*^9}},
 CellLabel->
  "During evaluation of \
In[34]:=",ExpressionUUID->"a0d3d747-d11f-4d5c-b128-748996acbb24"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  \"\>", 
   "\[InvisibleSpace]", "\<\"checking initial value...\"\>"}],
  SequenceForm["  ", "checking initial value..."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.951236360113372*^9, {3.951236398949024*^9, 3.9512364379782667`*^9}},
 CellLabel->
  "During evaluation of \
In[34]:=",ExpressionUUID->"b70f930b-11af-4691-b23d-a4868de83f37"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  \"\>", 
   "\[InvisibleSpace]", "\<\"extending induction hypothesis...\"\>"}],
  SequenceForm["  ", "extending induction hypothesis..."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.951236360113372*^9, {3.951236398949024*^9, 3.951236437979388*^9}},
 CellLabel->
  "During evaluation of \
In[34]:=",ExpressionUUID->"dfe6dd56-ca2b-4343-b0f3-3de44cd45983"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  \"\>", 
   "\[InvisibleSpace]", "\<\"selecting and sorting variables...\"\>"}],
  SequenceForm["  ", "selecting and sorting variables..."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.951236360113372*^9, {3.951236398949024*^9, 3.951236437980322*^9}},
 CellLabel->
  "During evaluation of \
In[34]:=",ExpressionUUID->"31251e97-7600-4402-b7f9-2e4cc5f793b4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  \"\>", 
   "\[InvisibleSpace]", "\<\"checking induction step...\"\>"}],
  SequenceForm["  ", "checking induction step..."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.951236360113372*^9, {3.951236398949024*^9, 3.951236437981372*^9}},
 CellLabel->
  "During evaluation of \
In[34]:=",ExpressionUUID->"06b3c21b-e9df-48f3-8527-fb1a2c352cfd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  \"\>", 
   "\[InvisibleSpace]", "\<\"checking initial value...\"\>"}],
  SequenceForm["  ", "checking initial value..."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.951236360113372*^9, {3.951236398949024*^9, 3.951236437982499*^9}},
 CellLabel->
  "During evaluation of \
In[34]:=",ExpressionUUID->"73d67312-369d-4e8b-9ef4-93d83689c2b5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  \"\>", 
   "\[InvisibleSpace]", "\<\"extending induction hypothesis...\"\>"}],
  SequenceForm["  ", "extending induction hypothesis..."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.951236360113372*^9, {3.951236398949024*^9, 3.951236437983438*^9}},
 CellLabel->
  "During evaluation of \
In[34]:=",ExpressionUUID->"8075cf3c-e1cc-4fc6-a2eb-da8f37862235"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  \"\>", 
   "\[InvisibleSpace]", "\<\"selecting and sorting variables...\"\>"}],
  SequenceForm["  ", "selecting and sorting variables..."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.951236360113372*^9, {3.951236398949024*^9, 3.95123643798421*^9}},
 CellLabel->
  "During evaluation of \
In[34]:=",ExpressionUUID->"67b68d9a-65cf-4665-9ddc-1f098a2c74ef"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"  \"\>", 
   "\[InvisibleSpace]", "\<\"checking induction step...\"\>"}],
  SequenceForm["  ", "checking induction step..."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.951236360113372*^9, {3.951236398949024*^9, 3.9512364379849977`*^9}},
 CellLabel->
  "During evaluation of \
In[34]:=",ExpressionUUID->"888676cf-5014-4d06-816a-9017e0a9db60"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\"\>", "\[InvisibleSpace]", "\<\"True.\"\>"}],
  SequenceForm["", "True."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.951236360113372*^9, {3.951236398949024*^9, 3.951236442907488*^9}},
 CellLabel->
  "During evaluation of \
In[34]:=",ExpressionUUID->"15dee783-9a49-4be4-b70f-dc0dd3bc9d99"]
}, Open  ]],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.951235327275814*^9, {3.9512353762065697`*^9, 3.951235423562718*^9}, 
   3.9512360108439837`*^9, 3.951236365022647*^9, {3.951236403794595*^9, 
   3.951236442910391*^9}},
 CellLabel->"Out[34]=",ExpressionUUID->"cb1fb7ef-708b-41ce-87b9-531eb1e475e9"]
}, Open  ]],

Cell[BoxData["Quit"], "Input",
 CellChangeTimes->{{3.951237736572713*^9, 3.9512377371316633`*^9}},
 CellLabel->"In[33]:=",ExpressionUUID->"586e8739-40cc-4f94-ae73-ea728f3a4120"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Exercise 4", "Section",
 CellChangeTimes->{{3.951234874975108*^9, 
  3.9512348765898657`*^9}},ExpressionUUID->"59939f39-034a-4cbc-bb43-\
024f552993ca"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"datab3", "=", 
   RowBox[{"Get", "[", "\"\<data3.m\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", "datab3", "]"}]}], "Input",
 CellChangeTimes->{{3.951236593456781*^9, 3.951236597851616*^9}, {
  3.951236672613079*^9, 3.951236726343622*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"02d243c9-691b-4357-8872-7ed671e117ff"],

Cell[BoxData["56"], "Output",
 CellChangeTimes->{
  3.9512366802922907`*^9, {3.951236713136291*^9, 3.951236727001154*^9}, 
   3.951237109671115*^9, 3.95123774273073*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"119b2f85-8a1f-4a37-a5f4-ddfefad98cc3"]
}, Open  ]],

Cell["\<\
To compute these terms takes about 6s on my laptop (no parallelization used).
For 100 terms my C program needs about 5 min.\
\>", "Text",
 CellChangeTimes->{{3.9513058287816677`*^9, 3.9513058577414093`*^9}, {
  3.9514896506301117`*^9, 
  3.951489650639744*^9}},ExpressionUUID->"6306028c-0502-4feb-8cb7-\
6e262ef92a73"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Take", "[", 
  RowBox[{"datab3", ",", "10"}], "]"}]], "Input",
 CellChangeTimes->{{3.951236729263397*^9, 3.951236734413156*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"ca2841b0-953c-43bb-9e80-f12ef6998b66"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "20", ",", "1860", ",", "297200", ",", "60871300", ",", 
   "14367744720", ",", "3718394156400", ",", "1026608414145600", ",", 
   "297348703692826500", ",", "89365729945562642000"}], "}"}]], "Output",
 CellChangeTimes->{3.9512367347413797`*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"7a7ca366-c1af-42e0-a03a-5aa1ffead4ff"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"datab4", "=", 
   RowBox[{"Get", "[", "\"\<data4.m\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", "datab4", "]"}]}], "Input",
 CellChangeTimes->{{3.9512370984747753`*^9, 3.951237111830214*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"65324886-e2f1-4e1b-8c07-84bd946b5ec5"],

Cell[BoxData["400"], "Output",
 CellChangeTimes->{{3.951237104105236*^9, 3.9512371127404423`*^9}, 
   3.9512377476803913`*^9, {3.951306340736305*^9, 3.951306367357197*^9}},
 CellLabel->"Out[6]=",ExpressionUUID->"6c49d454-5a00-4fcb-b1a5-17cf28841749"]
}, Open  ]],

Cell["Computing 50 terms took about 9 min.", "Text",
 CellChangeTimes->{{3.9513059132049*^9, 3.951305941308001*^9}, {
  3.9513064547735*^9, 
  3.95130645656712*^9}},ExpressionUUID->"f1d0bf43-62a0-45f8-9ded-\
3be3eca74f34"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Take", "[", 
  RowBox[{"datab4", ",", "10"}], "]"}]], "Input",
 CellChangeTimes->{{3.951237753765749*^9, 3.951237753917712*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"f29dfb98-23c2-4c3b-8df0-0c1badc332a4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "70", ",", "44730", ",", "60871300", ",", "116963796250", ",", 
   "273957842462220", ",", "729833528645228700", ",", 
   "2128370421607383353400", ",", "6637298299496411164868250", ",", 
   "21796558191507153941744357500"}], "}"}]], "Output",
 CellChangeTimes->{3.95123775491455*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"924ac1cb-3006-4868-b11d-3c6f77188995"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Exercise 5", "Section",
 CellChangeTimes->{{3.9512386876058693`*^9, 
  3.951238689458744*^9}},ExpressionUUID->"d5e8687d-1bb1-411f-a8a4-\
1ff96dbf5436"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ansatz", "=", 
  RowBox[{"Flatten", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"n", "^", "i"}], " ", 
      RowBox[{"f", "[", 
       RowBox[{"n", "+", "j"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "0", ",", "4"}], "}"}]}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.951237294170123*^9, 3.951237352131104*^9}},
 CellLabel->
  "In[149]:=",ExpressionUUID->"16a3d08a-1de0-4e09-b35c-baa87c5e5507"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"f", "[", "n", "]"}], ",", 
   RowBox[{"f", "[", 
    RowBox[{"1", "+", "n"}], "]"}], ",", 
   RowBox[{"f", "[", 
    RowBox[{"2", "+", "n"}], "]"}], ",", 
   RowBox[{"f", "[", 
    RowBox[{"3", "+", "n"}], "]"}], ",", 
   RowBox[{"f", "[", 
    RowBox[{"4", "+", "n"}], "]"}], ",", 
   RowBox[{"n", " ", 
    RowBox[{"f", "[", "n", "]"}]}], ",", 
   RowBox[{"n", " ", 
    RowBox[{"f", "[", 
     RowBox[{"1", "+", "n"}], "]"}]}], ",", 
   RowBox[{"n", " ", 
    RowBox[{"f", "[", 
     RowBox[{"2", "+", "n"}], "]"}]}], ",", 
   RowBox[{"n", " ", 
    RowBox[{"f", "[", 
     RowBox[{"3", "+", "n"}], "]"}]}], ",", 
   RowBox[{"n", " ", 
    RowBox[{"f", "[", 
     RowBox[{"4", "+", "n"}], "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "2"], " ", 
    RowBox[{"f", "[", "n", "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "2"], " ", 
    RowBox[{"f", "[", 
     RowBox[{"1", "+", "n"}], "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "2"], " ", 
    RowBox[{"f", "[", 
     RowBox[{"2", "+", "n"}], "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "2"], " ", 
    RowBox[{"f", "[", 
     RowBox[{"3", "+", "n"}], "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "2"], " ", 
    RowBox[{"f", "[", 
     RowBox[{"4", "+", "n"}], "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "3"], " ", 
    RowBox[{"f", "[", "n", "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "3"], " ", 
    RowBox[{"f", "[", 
     RowBox[{"1", "+", "n"}], "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "3"], " ", 
    RowBox[{"f", "[", 
     RowBox[{"2", "+", "n"}], "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "3"], " ", 
    RowBox[{"f", "[", 
     RowBox[{"3", "+", "n"}], "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "3"], " ", 
    RowBox[{"f", "[", 
     RowBox[{"4", "+", "n"}], "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "4"], " ", 
    RowBox[{"f", "[", "n", "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "4"], " ", 
    RowBox[{"f", "[", 
     RowBox[{"1", "+", "n"}], "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "4"], " ", 
    RowBox[{"f", "[", 
     RowBox[{"2", "+", "n"}], "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "4"], " ", 
    RowBox[{"f", "[", 
     RowBox[{"3", "+", "n"}], "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "4"], " ", 
    RowBox[{"f", "[", 
     RowBox[{"4", "+", "n"}], "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "5"], " ", 
    RowBox[{"f", "[", "n", "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "5"], " ", 
    RowBox[{"f", "[", 
     RowBox[{"1", "+", "n"}], "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "5"], " ", 
    RowBox[{"f", "[", 
     RowBox[{"2", "+", "n"}], "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "5"], " ", 
    RowBox[{"f", "[", 
     RowBox[{"3", "+", "n"}], "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "5"], " ", 
    RowBox[{"f", "[", 
     RowBox[{"4", "+", "n"}], "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "6"], " ", 
    RowBox[{"f", "[", "n", "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "6"], " ", 
    RowBox[{"f", "[", 
     RowBox[{"1", "+", "n"}], "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "6"], " ", 
    RowBox[{"f", "[", 
     RowBox[{"2", "+", "n"}], "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "6"], " ", 
    RowBox[{"f", "[", 
     RowBox[{"3", "+", "n"}], "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "6"], " ", 
    RowBox[{"f", "[", 
     RowBox[{"4", "+", "n"}], "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "7"], " ", 
    RowBox[{"f", "[", "n", "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "7"], " ", 
    RowBox[{"f", "[", 
     RowBox[{"1", "+", "n"}], "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "7"], " ", 
    RowBox[{"f", "[", 
     RowBox[{"2", "+", "n"}], "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "7"], " ", 
    RowBox[{"f", "[", 
     RowBox[{"3", "+", "n"}], "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "7"], " ", 
    RowBox[{"f", "[", 
     RowBox[{"4", "+", "n"}], "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "8"], " ", 
    RowBox[{"f", "[", "n", "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "8"], " ", 
    RowBox[{"f", "[", 
     RowBox[{"1", "+", "n"}], "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "8"], " ", 
    RowBox[{"f", "[", 
     RowBox[{"2", "+", "n"}], "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "8"], " ", 
    RowBox[{"f", "[", 
     RowBox[{"3", "+", "n"}], "]"}]}], ",", 
   RowBox[{
    SuperscriptBox["n", "8"], " ", 
    RowBox[{"f", "[", 
     RowBox[{"4", "+", "n"}], "]"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.951237352630638*^9, 3.951237758799427*^9, 
  3.951239683460153*^9},
 CellLabel->
  "Out[149]=",ExpressionUUID->"33ae82e0-f0a2-4c57-9411-721cd98930bb"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"mat", "=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{"ansatz", ",", 
      RowBox[{"{", 
       RowBox[{"n", ",", "0", ",", "44"}], "}"}]}], "]"}], "/.", 
    RowBox[{
     RowBox[{"f", "[", "n_", "]"}], ":>", 
     RowBox[{"datab3", "[", 
      RowBox[{"[", 
       RowBox[{"n", "+", "1"}], "]"}], "]"}]}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.951237356904264*^9, 3.951237417498199*^9}, {
  3.951237452141787*^9, 3.951237453729141*^9}, {3.95123754327756*^9, 
  3.951237551376636*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"0f6c2663-5e10-4fad-9096-b31d8b7b4ca0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dimensions", "[", "mat", "]"}]], "Input",
 CellChangeTimes->{{3.951237433922803*^9, 3.951237436136497*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"cd6a5d78-0a3b-4fb7-a69b-532cbde67893"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"45", ",", "45"}], "}"}]], "Output",
 CellChangeTimes->{{3.9512374366297703`*^9, 3.95123745582594*^9}, {
   3.951237545299631*^9, 3.951237552964608*^9}, 3.951237761053914*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"851f903e-c297-4b60-b19d-c9a1ff93ce3b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NullSpace", "[", "mat", "]"}]], "Input",
 CellChangeTimes->{{3.9512374199371843`*^9, 3.951237422244651*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"4084c137-1375-4915-890f-b5f32eeab2b2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"-", "4784640000"}], ",", "11138265600", ",", 
    RowBox[{"-", "817673920"}], ",", 
    RowBox[{"-", "144106032"}], ",", "724992", ",", 
    RowBox[{"-", "25818880000"}], ",", "37539750400", ",", 
    RowBox[{"-", "2310878848"}], ",", 
    RowBox[{"-", "361537504"}], ",", "1688576", ",", 
    RowBox[{"-", "55108249600"}], ",", "54659995264", ",", 
    RowBox[{"-", "2847632912"}], ",", 
    RowBox[{"-", "396074476"}], ",", "1712640", ",", 
    RowBox[{"-", "61997312000"}], ",", "44902209280", ",", 
    RowBox[{"-", "1997800160"}], ",", 
    RowBox[{"-", "247482240"}], ",", "988032", ",", 
    RowBox[{"-", "40760166400"}], ",", "22755140096", ",", 
    RowBox[{"-", "872497872"}], ",", 
    RowBox[{"-", "96468554"}], ",", "354640", ",", 
    RowBox[{"-", "16197632000"}], ",", "7282293120", ",", 
    RowBox[{"-", "242821632"}], ",", 
    RowBox[{"-", "24022546"}], ",", "81108", ",", 
    RowBox[{"-", "3829350400"}], ",", "1436902656", ",", 
    RowBox[{"-", "42043008"}], ",", 
    RowBox[{"-", "3732194"}], ",", "11544", ",", 
    RowBox[{"-", "495616000"}], ",", "159808000", ",", 
    RowBox[{"-", "4139520"}], ",", 
    RowBox[{"-", "330770"}], ",", "935", ",", 
    RowBox[{"-", "27033600"}], ",", "7670784", ",", 
    RowBox[{"-", "177408"}], ",", 
    RowBox[{"-", "12804"}], ",", "33"}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.951237422934638*^9, 3.951237456993309*^9, 
  3.9512375545586357`*^9, 3.951237762022554*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"e3b89f60-02c6-4401-98e5-7444ddd59ab5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"rec", "=", 
  RowBox[{"Collect", "[", 
   RowBox[{
    RowBox[{"ansatz", ".", 
     RowBox[{"First", "[", "%", "]"}]}], ",", 
    RowBox[{"f", "[", "_", "]"}], ",", "Factor"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.951237474050642*^9, 3.9512374965454082`*^9}, {
  3.9512397520633383`*^9, 
  3.95123975253789*^9}},ExpressionUUID->"8cc77441-2c79-4165-916a-\
db1a51c287ad"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "51200"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"2", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "n"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"3", "+", 
     RowBox[{"2", " ", "n"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"5", "+", 
     RowBox[{"2", " ", "n"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"7", "+", 
     RowBox[{"2", " ", "n"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"445", "+", 
     RowBox[{"242", " ", "n"}], "+", 
     RowBox[{"33", " ", 
      SuperscriptBox["n", "2"]}]}], ")"}], " ", 
   RowBox[{"f", "[", "n", "]"}]}], "+", 
  RowBox[{"128", " ", 
   RowBox[{"(", 
    RowBox[{"2", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"3", "+", 
     RowBox[{"2", " ", "n"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"5", "+", 
     RowBox[{"2", " ", "n"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"7", "+", 
     RowBox[{"2", " ", "n"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"414370", "+", 
     RowBox[{"628997", " ", "n"}], "+", 
     RowBox[{"351364", " ", 
      SuperscriptBox["n", "2"]}], "+", 
     RowBox[{"84898", " ", 
      SuperscriptBox["n", "3"]}], "+", 
     RowBox[{"7491", " ", 
      SuperscriptBox["n", "4"]}]}], ")"}], " ", 
   RowBox[{"f", "[", 
    RowBox[{"1", "+", "n"}], "]"}]}], "-", 
  RowBox[{"16", " ", 
   RowBox[{"(", 
    RowBox[{"5", "+", 
     RowBox[{"2", " ", "n"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"7", "+", 
     RowBox[{"2", " ", "n"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1460132", "+", 
     RowBox[{"3125336", " ", "n"}], "+", 
     RowBox[{"2775099", " ", 
      SuperscriptBox["n", "2"]}], "+", 
     RowBox[{"1307394", " ", 
      SuperscriptBox["n", "3"]}], "+", 
     RowBox[{"344379", " ", 
      SuperscriptBox["n", "4"]}], "+", 
     RowBox[{"48048", " ", 
      SuperscriptBox["n", "5"]}], "+", 
     RowBox[{"2772", " ", 
      SuperscriptBox["n", "6"]}]}], ")"}], " ", 
   RowBox[{"f", "[", 
    RowBox[{"2", "+", "n"}], "]"}]}], "-", 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{"3", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"7", "+", 
     RowBox[{"2", " ", "n"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"3431096", "+", 
     RowBox[{"6484024", " ", "n"}], "+", 
     RowBox[{"5089654", " ", 
      SuperscriptBox["n", "2"]}], "+", 
     RowBox[{"2124170", " ", 
      SuperscriptBox["n", "3"]}], "+", 
     RowBox[{"497179", " ", 
      SuperscriptBox["n", "4"]}], "+", 
     RowBox[{"61886", " ", 
      SuperscriptBox["n", "5"]}], "+", 
     RowBox[{"3201", " ", 
      SuperscriptBox["n", "6"]}]}], ")"}], " ", 
   RowBox[{"f", "[", 
    RowBox[{"3", "+", "n"}], "]"}]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"3", "+", "n"}], ")"}], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"4", "+", "n"}], ")"}], "5"], " ", 
   RowBox[{"(", 
    RowBox[{"236", "+", 
     RowBox[{"176", " ", "n"}], "+", 
     RowBox[{"33", " ", 
      SuperscriptBox["n", "2"]}]}], ")"}], " ", 
   RowBox[{"f", "[", 
    RowBox[{"4", "+", "n"}], "]"}]}]}]], "Output",
 CellChangeTimes->{3.951237497218656*^9, 3.951237764000358*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"77fb2350-4181-426c-8b26-5bc82f989954"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"<<", "RISC`Guess`"}]], "Input",
 CellChangeTimes->{{3.951237705823874*^9, 3.951237722829948*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"3043bc77-a6f7-4154-8836-930ccae94d62"],

Cell["\<\
HolonomicFunctions Package version 1.7.3 (21-Mar-2017)
written by Christoph Koutschan
Copyright Research Institute for Symbolic Computation (RISC),
Johannes Kepler University, Linz, Austria\
\>", "Text",
 CellFrame->True,
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.9513063954278193`*^9},
 ShowAutoSpellCheck->False,
 FontColor->RGBColor[0, 0, 0],
 Background->RGBColor[
  0.796887, 0.789075, 
   0.871107],ExpressionUUID->"44f85e68-7dfb-4cb1-a320-e70825f26c5e"],

Cell[BoxData["\<\"--> Type  ?HolonomicFunctions  for help.\"\>"], "Print",
 CellChangeTimes->{3.9512377244857893`*^9, 3.951237766055118*^9, 
  3.95130639562728*^9},
 CellLabel->
  "During evaluation of \
In[7]:=",ExpressionUUID->"3ec5fa7b-bc3a-4d56-980e-e1e160b701ce"],

Cell["\<\
Package GeneratingFunctions version 0.9.1 written by Christian Mallinger
Copyright Research Institute for Symbolic Computation (RISC),
Johannes Kepler University, Linz, Austria\
\>", "Text",
 CellFrame->True,
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.951306395630494*^9},
 ShowAutoSpellCheck->False,
 FontColor->RGBColor[0, 0, 0],
 Background->RGBColor[
  0.796887, 0.789075, 
   0.871107],ExpressionUUID->"5aa87524-d70b-4471-b0d4-1b5f243e0b50"],

Cell["\<\
Guess Package version 0.52
written by Manuel Kauers
Copyright Research Institute for Symbolic Computation (RISC),
Johannes Kepler University, Linz, Austria\
\>", "Text",
 CellFrame->True,
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.951306395671956*^9},
 ShowAutoSpellCheck->False,
 FontColor->RGBColor[0, 0, 0],
 Background->RGBColor[
  0.796887, 0.789075, 
   0.871107],ExpressionUUID->"0328f562-2d44-47a0-a59b-9fc3e7463375"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GuessUnivRE", "[", 
  RowBox[{"datab3", ",", 
   RowBox[{"f", "[", "n", "]"}], ",", 
   RowBox[{"Order", "->", "4"}], ",", 
   RowBox[{"Degree", "->", "8"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.951237773472219*^9, 3.95123779141998*^9}, {
  3.9512378911847*^9, 3.951237901219146*^9}},
 CellLabel->"In[24]:=",ExpressionUUID->"83476328-71ae-4add-ad36-a91e6670e94d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1594880000", "11"]}], "-", 
      FractionBox[
       RowBox[{"25818880000", " ", "n"}], "33"], "-", 
      FractionBox[
       RowBox[{"55108249600", " ", 
        SuperscriptBox["n", "2"]}], "33"], "-", 
      FractionBox[
       RowBox[{"61997312000", " ", 
        SuperscriptBox["n", "3"]}], "33"], "-", 
      FractionBox[
       RowBox[{"40760166400", " ", 
        SuperscriptBox["n", "4"]}], "33"], "-", 
      FractionBox[
       RowBox[{"1472512000", " ", 
        SuperscriptBox["n", "5"]}], "3"], "-", 
      FractionBox[
       RowBox[{"3829350400", " ", 
        SuperscriptBox["n", "6"]}], "33"], "-", 
      FractionBox[
       RowBox[{"45056000", " ", 
        SuperscriptBox["n", "7"]}], "3"], "-", 
      RowBox[{"819200", " ", 
       SuperscriptBox["n", "8"]}]}], ")"}], " ", 
    RowBox[{"f", "[", "n", "]"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"337523200", "+", 
      FractionBox[
       RowBox[{"37539750400", " ", "n"}], "33"], "+", 
      FractionBox[
       RowBox[{"54659995264", " ", 
        SuperscriptBox["n", "2"]}], "33"], "+", 
      FractionBox[
       RowBox[{"44902209280", " ", 
        SuperscriptBox["n", "3"]}], "33"], "+", 
      FractionBox[
       RowBox[{"22755140096", " ", 
        SuperscriptBox["n", "4"]}], "33"], "+", 
      FractionBox[
       RowBox[{"2427431040", " ", 
        SuperscriptBox["n", "5"]}], "11"], "+", 
      FractionBox[
       RowBox[{"478967552", " ", 
        SuperscriptBox["n", "6"]}], "11"], "+", 
      FractionBox[
       RowBox[{"14528000", " ", 
        SuperscriptBox["n", "7"]}], "3"], "+", 
      RowBox[{"232448", " ", 
       SuperscriptBox["n", "8"]}]}], ")"}], " ", 
    RowBox[{"f", "[", 
     RowBox[{"1", "+", "n"}], "]"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["817673920", "33"]}], "-", 
      FractionBox[
       RowBox[{"2310878848", " ", "n"}], "33"], "-", 
      FractionBox[
       RowBox[{"2847632912", " ", 
        SuperscriptBox["n", "2"]}], "33"], "-", 
      FractionBox[
       RowBox[{"1997800160", " ", 
        SuperscriptBox["n", "3"]}], "33"], "-", 
      FractionBox[
       RowBox[{"290832624", " ", 
        SuperscriptBox["n", "4"]}], "11"], "-", 
      FractionBox[
       RowBox[{"80940544", " ", 
        SuperscriptBox["n", "5"]}], "11"], "-", 
      FractionBox[
       RowBox[{"14014336", " ", 
        SuperscriptBox["n", "6"]}], "11"], "-", 
      RowBox[{"125440", " ", 
       SuperscriptBox["n", "7"]}], "-", 
      RowBox[{"5376", " ", 
       SuperscriptBox["n", "8"]}]}], ")"}], " ", 
    RowBox[{"f", "[", 
     RowBox[{"2", "+", "n"}], "]"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["48035344", "11"]}], "-", 
      FractionBox[
       RowBox[{"361537504", " ", "n"}], "33"], "-", 
      FractionBox[
       RowBox[{"396074476", " ", 
        SuperscriptBox["n", "2"]}], "33"], "-", 
      FractionBox[
       RowBox[{"82494080", " ", 
        SuperscriptBox["n", "3"]}], "11"], "-", 
      FractionBox[
       RowBox[{"96468554", " ", 
        SuperscriptBox["n", "4"]}], "33"], "-", 
      FractionBox[
       RowBox[{"24022546", " ", 
        SuperscriptBox["n", "5"]}], "33"], "-", 
      FractionBox[
       RowBox[{"3732194", " ", 
        SuperscriptBox["n", "6"]}], "33"], "-", 
      FractionBox[
       RowBox[{"30070", " ", 
        SuperscriptBox["n", "7"]}], "3"], "-", 
      RowBox[{"388", " ", 
       SuperscriptBox["n", "8"]}]}], ")"}], " ", 
    RowBox[{"f", "[", 
     RowBox[{"3", "+", "n"}], "]"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      FractionBox["241664", "11"], "+", 
      FractionBox[
       RowBox[{"1688576", " ", "n"}], "33"], "+", 
      FractionBox[
       RowBox[{"570880", " ", 
        SuperscriptBox["n", "2"]}], "11"], "+", 
      FractionBox[
       RowBox[{"329344", " ", 
        SuperscriptBox["n", "3"]}], "11"], "+", 
      FractionBox[
       RowBox[{"32240", " ", 
        SuperscriptBox["n", "4"]}], "3"], "+", 
      FractionBox[
       RowBox[{"27036", " ", 
        SuperscriptBox["n", "5"]}], "11"], "+", 
      FractionBox[
       RowBox[{"3848", " ", 
        SuperscriptBox["n", "6"]}], "11"], "+", 
      FractionBox[
       RowBox[{"85", " ", 
        SuperscriptBox["n", "7"]}], "3"], "+", 
      SuperscriptBox["n", "8"]}], ")"}], " ", 
    RowBox[{"f", "[", 
     RowBox[{"4", "+", "n"}], "]"}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.951237792081031*^9, {3.9512378919747458`*^9, 3.951237902058774*^9}},
 CellLabel->"Out[24]=",ExpressionUUID->"e0ef1f23-c12b-4362-9b39-d9bb2cd59954"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "This", " ", "command", " ", "performs", " ", "guessing", " ", "with", 
      " ", "order"}], "-", 
     RowBox[{"degree", " ", "trading", " ", "and", " ", "gcrd", " ", 
      RowBox[{"computations", ".", " ", "Unfortunately"}]}]}], ",", " ", 
    RowBox[{"for", " ", "b3", " ", "there", " ", "is", " ", "no", " ", 
     RowBox[{"gain", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"GuessMinRE", "[", 
   RowBox[{
    RowBox[{"Take", "[", 
     RowBox[{"datab3", ",", "49"}], "]"}], ",", 
    RowBox[{"f", "[", "n", "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.951237805631899*^9, 3.951237849263299*^9}, {
  3.951237910361405*^9, 3.951238055371674*^9}, {3.95123824146043*^9, 
  3.951238241570126*^9}, {3.951238274936861*^9, 3.951238442897406*^9}, {
  3.951489687573552*^9, 
  3.9514897222488403`*^9}},ExpressionUUID->"52568ba8-48e4-4598-a459-\
2f4bc340ba0d"],

Cell[BoxData[
 TemplateBox[{
  "Throw", "nocatch", 
   "\"Uncaught \\!\\(\\*RowBox[{\\\"Throw\\\", \\\"[\\\", \
RowBox[{\\\"\\\\\\\"No recurrence found.\\\\\\\"\\\", \\\",\\\", \
\\\"\\\\\\\"error\\\\\\\"\\\"}], \\\"]\\\"}]\\) returned to top level.\"", 2, 
   95, 63, 31757119571505594264, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.951238443339993*^9, 3.9512384502833633`*^9}},
 CellLabel->
  "During evaluation of \
In[95]:=",ExpressionUUID->"f9378994-ac87-4aca-ace0-f3ff382e4640"],

Cell[BoxData[
 RowBox[{"Hold", "[", 
  RowBox[{"Throw", "[", 
   RowBox[{"\<\"No recurrence found.\"\>", ",", "\<\"error\"\>"}], "]"}], 
  "]"}]], "Output",
 CellChangeTimes->{{3.951237807090242*^9, 3.95123785006347*^9}, {
   3.951237918811686*^9, 3.9512380558819313`*^9}, 3.951238242319703*^9, {
   3.951238293604096*^9, 3.951238450287952*^9}},
 CellLabel->"Out[95]=",ExpressionUUID->"80608ee2-2ab8-44b4-8ecf-774d61331a1d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "But", " ", "for", " ", "b4", " ", "there", " ", "is", " ", "a", " ", 
    "lot", " ", "of", " ", "gain", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
      "naive", " ", "guessing", " ", "needs", " ", "379", " ", "terms"}], 
      ")"}], "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"GuessMinRE", "[", 
   RowBox[{
    RowBox[{"Take", "[", 
     RowBox[{"datab4", ",", "266"}], "]"}], ",", 
    RowBox[{"f", "[", "n", "]"}], ",", 
    RowBox[{"Infolevel", "->", "5"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.95130638842758*^9, 3.951306413337882*^9}, {
   3.9513065083478947`*^9, 3.951306536188682*^9}, 3.951306572261726*^9, {
   3.9514897331797943`*^9, 
   3.95148975460061*^9}},ExpressionUUID->"8917b838-6a09-426d-97ee-\
77f006b60dac"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"2", ",", "3", ",", "12"}], "}"}]], "Print",
 CellChangeTimes->{3.951306536830257*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"12e5ab2c-5ce7-49cc-8ae4-6a2562875c3c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"3", ",", "5", ",", "24"}], "}"}]], "Print",
 CellChangeTimes->{3.9513065368383007`*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"a9881118-ba8f-4763-ae9a-34a60b414eb3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"5", ",", "8", ",", "54"}], "}"}]], "Print",
 CellChangeTimes->{3.951306536840563*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"67a0ed9b-aa9d-4c5c-adaf-21ffa9070007"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"8", ",", "13", ",", "126"}], "}"}]], "Print",
 CellChangeTimes->{3.9513065368416224`*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"91b76a8b-db12-44c6-addd-989db5d54bf5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"10", ",", "21", ",", "242"}], "}"}]], "Print",
 CellChangeTimes->{3.951306536842802*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"211a83e0-dbbb-4f7b-927c-e36afc88de8e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"132", ",", "0", ",", "133"}], "}"}]], "Print",
 CellChangeTimes->{3.951306537185525*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"4cf37d76-c7d6-4388-9a25-584372f7b251"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"65", ",", "2", ",", "198"}], "}"}]], "Print",
 CellChangeTimes->{3.951306537253478*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"34559b4b-c136-419a-9fa8-f51f98604fa8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"43", ",", "4", ",", "220"}], "}"}]], "Print",
 CellChangeTimes->{3.951306537450844*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"94ca2e67-c0ed-4534-927d-c69edbfb7e12"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"32", ",", "6", ",", "231"}], "}"}]], "Print",
 CellChangeTimes->{3.951306537720456*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"162a8787-c0fc-4aba-b18c-6a9adb2dff3b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"25", ",", "8", ",", "234"}], "}"}]], "Print",
 CellChangeTimes->{3.951306538001089*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"c1518288-db60-4d45-b278-a929425ecbd0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"23", ",", "9", ",", "240"}], "}"}]], "Print",
 CellChangeTimes->{3.9513065384019537`*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"b2406971-07c9-45cf-b7ae-295a4d5617ca"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"15", ",", "14", ",", "240"}], "}"}]], "Print",
 CellChangeTimes->{3.951306538883668*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"4995c012-6dfc-48c9-9434-9d0f4d5bbc98"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"21", ",", "10", ",", "242"}], "}"}]], "Print",
 CellChangeTimes->{3.951306539249576*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"a626ddc7-edb6-430a-b0d6-22d338e3d204"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"12", ",", "18", ",", "247"}], "}"}]], "Print",
 CellChangeTimes->{3.9513065395866747`*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"9fa5d2b2-4fff-4b9f-8f48-eaaa1672f198"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"12", ",", "17", ",", "234"}], "}"}]], "Print",
 CellChangeTimes->{3.951306539953075*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"0f49b97c-34c7-4401-baff-72404d42f015"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"11", ",", "18", ",", "228"}], "}"}]], "Print",
 CellChangeTimes->{3.951306540319401*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"e4065c13-8c08-4268-85c1-7c8a1efca6fd"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"11", ",", "19", ",", "240"}], "}"}]], "Print",
 CellChangeTimes->{3.9513065406695642`*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"04a45b4a-a4aa-40b0-b97b-af3665eaeddc"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"11", ",", "20", ",", "252"}], "}"}]], "Print",
 CellChangeTimes->{3.951306541032394*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"e7b2857b-2aab-4a9c-8262-45debb8f1dfb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"calling gcrd guesser with parameters \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"12", ",", "18", ",", "11", ",", "20"}], "}"}]}],
  SequenceForm["calling gcrd guesser with parameters ", {12, 18, 11, 20}],
  Editable->False]], "Print",
 CellChangeTimes->{3.9513065414212933`*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"ae643659-5b5a-4531-81af-da589e59ce33"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"...\"\>", "\[InvisibleSpace]", "\<\"75783\"\>", 
   "\[InvisibleSpace]", "\<\"  \"\>", "\[InvisibleSpace]", "2025", 
   "\[InvisibleSpace]", "\<\"-\"\>", "\[InvisibleSpace]", "\<\"03\"\>", 
   "\[InvisibleSpace]", "\<\"-\"\>", "\[InvisibleSpace]", "18", 
   "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", "18", 
   "\[InvisibleSpace]", "\<\":\"\>", "\[InvisibleSpace]", "\<\"09\"\>", 
   "\[InvisibleSpace]", "\<\":\"\>", "\[InvisibleSpace]", "\<\"01\"\>"}],
  SequenceForm[
  "...", "75783", "  ", 2025, "-", "03", "-", 18, " ", 18, ":", "09", ":", 
   "01"],
  Editable->False]], "Print",
 CellChangeTimes->{3.951306541423197*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"2d5d890e-1d11-4f93-bb9e-3e3c3667d37c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"order \"\>", "\[InvisibleSpace]", "9", 
   "\[InvisibleSpace]", "\<\" and degree \"\>", "\[InvisibleSpace]", "36", 
   "\[InvisibleSpace]", "\<\" predicted.\"\>"}],
  SequenceForm["order ", 9, " and degree ", 36, " predicted."],
  Editable->False]], "Print",
 CellChangeTimes->{3.951306542589705*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"75f08e54-1e73-44d2-8ddd-c8daba1312f5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"...\"\>", "\[InvisibleSpace]", "\<\"75643\"\>", 
   "\[InvisibleSpace]", "\<\"  \"\>", "\[InvisibleSpace]", "2025", 
   "\[InvisibleSpace]", "\<\"-\"\>", "\[InvisibleSpace]", "\<\"03\"\>", 
   "\[InvisibleSpace]", "\<\"-\"\>", "\[InvisibleSpace]", "18", 
   "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", "18", 
   "\[InvisibleSpace]", "\<\":\"\>", "\[InvisibleSpace]", "\<\"09\"\>", 
   "\[InvisibleSpace]", "\<\":\"\>", "\[InvisibleSpace]", "\<\"02\"\>"}],
  SequenceForm[
  "...", "75643", "  ", 2025, "-", "03", "-", 18, " ", 18, ":", "09", ":", 
   "02"],
  Editable->False]], "Print",
 CellChangeTimes->{3.9513065426331453`*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"7720d5fd-7b84-4616-9539-f992fb8bcb70"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"...\"\>", "\[InvisibleSpace]", "\<\"75549\"\>", 
   "\[InvisibleSpace]", "\<\"  \"\>", "\[InvisibleSpace]", "2025", 
   "\[InvisibleSpace]", "\<\"-\"\>", "\[InvisibleSpace]", "\<\"03\"\>", 
   "\[InvisibleSpace]", "\<\"-\"\>", "\[InvisibleSpace]", "18", 
   "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", "18", 
   "\[InvisibleSpace]", "\<\":\"\>", "\[InvisibleSpace]", "\<\"09\"\>", 
   "\[InvisibleSpace]", "\<\":\"\>", "\[InvisibleSpace]", "\<\"03\"\>"}],
  SequenceForm[
  "...", "75549", "  ", 2025, "-", "03", "-", 18, " ", 18, ":", "09", ":", 
   "03"],
  Editable->False]], "Print",
 CellChangeTimes->{3.951306543626917*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"20783085-11ac-4c9b-97aa-39947b8e0261"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"...\"\>", "\[InvisibleSpace]", "\<\"75507\"\>", 
   "\[InvisibleSpace]", "\<\"  \"\>", "\[InvisibleSpace]", "2025", 
   "\[InvisibleSpace]", "\<\"-\"\>", "\[InvisibleSpace]", "\<\"03\"\>", 
   "\[InvisibleSpace]", "\<\"-\"\>", "\[InvisibleSpace]", "18", 
   "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", "18", 
   "\[InvisibleSpace]", "\<\":\"\>", "\[InvisibleSpace]", "\<\"09\"\>", 
   "\[InvisibleSpace]", "\<\":\"\>", "\[InvisibleSpace]", "\<\"04\"\>"}],
  SequenceForm[
  "...", "75507", "  ", 2025, "-", "03", "-", 18, " ", 18, ":", "09", ":", 
   "04"],
  Editable->False]], "Print",
 CellChangeTimes->{3.951306544740508*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"bfe2ffa7-0859-4177-b9f7-b480f1bfab0f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"...\"\>", "\[InvisibleSpace]", "\<\"75433\"\>", 
   "\[InvisibleSpace]", "\<\"  \"\>", "\[InvisibleSpace]", "2025", 
   "\[InvisibleSpace]", "\<\"-\"\>", "\[InvisibleSpace]", "\<\"03\"\>", 
   "\[InvisibleSpace]", "\<\"-\"\>", "\[InvisibleSpace]", "18", 
   "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", "18", 
   "\[InvisibleSpace]", "\<\":\"\>", "\[InvisibleSpace]", "\<\"09\"\>", 
   "\[InvisibleSpace]", "\<\":\"\>", "\[InvisibleSpace]", "\<\"05\"\>"}],
  SequenceForm[
  "...", "75433", "  ", 2025, "-", "03", "-", 18, " ", 18, ":", "09", ":", 
   "05"],
  Editable->False]], "Print",
 CellChangeTimes->{3.95130654583285*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"d9df276c-892b-4965-9120-2fd222457ab4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"...\"\>", "\[InvisibleSpace]", "\<\"75421\"\>", 
   "\[InvisibleSpace]", "\<\"  \"\>", "\[InvisibleSpace]", "2025", 
   "\[InvisibleSpace]", "\<\"-\"\>", "\[InvisibleSpace]", "\<\"03\"\>", 
   "\[InvisibleSpace]", "\<\"-\"\>", "\[InvisibleSpace]", "18", 
   "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", "18", 
   "\[InvisibleSpace]", "\<\":\"\>", "\[InvisibleSpace]", "\<\"09\"\>", 
   "\[InvisibleSpace]", "\<\":\"\>", "\[InvisibleSpace]", "\<\"06\"\>"}],
  SequenceForm[
  "...", "75421", "  ", 2025, "-", "03", "-", 18, " ", 18, ":", "09", ":", 
   "06"],
  Editable->False]], "Print",
 CellChangeTimes->{3.951306546860877*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"21a946a9-f268-47d2-ae79-b25c0a1b1d3a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"...\"\>", "\[InvisibleSpace]", "\<\"75417\"\>", 
   "\[InvisibleSpace]", "\<\"  \"\>", "\[InvisibleSpace]", "2025", 
   "\[InvisibleSpace]", "\<\"-\"\>", "\[InvisibleSpace]", "\<\"03\"\>", 
   "\[InvisibleSpace]", "\<\"-\"\>", "\[InvisibleSpace]", "18", 
   "\[InvisibleSpace]", "\<\" \"\>", "\[InvisibleSpace]", "18", 
   "\[InvisibleSpace]", "\<\":\"\>", "\[InvisibleSpace]", "\<\"09\"\>", 
   "\[InvisibleSpace]", "\<\":\"\>", "\[InvisibleSpace]", "\<\"08\"\>"}],
  SequenceForm[
  "...", "75417", "  ", 2025, "-", "03", "-", 18, " ", 18, ":", "09", ":", 
   "08"],
  Editable->False]], "Print",
 CellChangeTimes->{3.951306548338522*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"7421f2a5-3d0b-47b8-bb78-2a08c38b997f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"timings +\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "4.7356`", ",", "6.616617`", ",", "2.212602`", ",", "0.238253`", ",", 
     "0.03988`"}], "}"}], "\[InvisibleSpace]", "\<\" = \"\>", 
   "\[InvisibleSpace]", "13.842952`", "\[InvisibleSpace]", "\<\"s\"\>"}],
  SequenceForm[
  "timings +", {4.7356, 6.616617, 2.212602, 0.238253, 0.03988}, " = ", 
   13.842952, "s"],
  Editable->False]], "Print",
 CellChangeTimes->{3.951306550318605*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"c7016835-88a9-44cc-bec2-f161686c7953"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Exercise 6", "Section",
 CellChangeTimes->{{3.951243134747406*^9, 
  3.9512431366652737`*^9}},ExpressionUUID->"8b18021a-4251-4d9a-8b28-\
b43eb9371d46"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"xx", "=", 
  "0.60819681587412188135682003077628677069061840980889"}]], "Input",
 CellChangeTimes->{{3.9512431523731623`*^9, 3.9512431523745193`*^9}, {
  3.951243201884536*^9, 3.951243202390202*^9}},
 CellLabel->
  "In[217]:=",ExpressionUUID->"1cf12123-7f36-4147-957d-fe91dceceb06"],

Cell[BoxData["0.60819681587412188135682003077628677069061840980889`49.\
78404414212854"], "Output",
 CellChangeTimes->{3.951243205798582*^9},
 CellLabel->
  "Out[217]=",ExpressionUUID->"48ee8c9c-b324-4c0e-8286-0691472a1e2c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"StringLength", "[", 
  RowBox[{"ToString", "[", "xx", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.951243213964086*^9, 3.95124322016718*^9}},
 CellLabel->
  "In[218]:=",ExpressionUUID->"ac937b8c-abf5-4e0d-8bcf-bdd34ea721dd"],

Cell[BoxData["51"], "Output",
 CellChangeTimes->{3.951243220667845*^9},
 CellLabel->
  "Out[218]=",ExpressionUUID->"de9b1a6e-53a0-4aec-a002-ae43c578dc58"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Round", "[", 
  RowBox[{
   RowBox[{"10", "^", "50"}], "*", 
   RowBox[{"{", 
    RowBox[{"xx", ",", "Pi", ",", 
     RowBox[{"Pi", "^", "2"}], ",", 
     RowBox[{"Zeta", "[", "3", "]"}], ",", 
     RowBox[{"Log", "[", "2", "]"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.951243231549098*^9, {3.951243288089683*^9, 3.951243307824091*^9}},
 CellLabel->
  "In[221]:=",ExpressionUUID->"eb595973-66d6-401f-8881-276f0cdba094"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "60819681587412188135682003077628677069061840980889", ",", 
   "314159265358979323846264338327950288419716939937511", ",", 
   "986960440108935861883449099987615113531369940724079", ",", 
   "120205690315959428539973816151144999076498629234050", ",", 
   "69314718055994530941723212145817656807550013436026"}], "}"}]], "Output",
 CellChangeTimes->{3.9512433088374977`*^9, 3.9512433891301527`*^9},
 CellLabel->
  "Out[221]=",ExpressionUUID->"9a683495-109c-4c82-837f-8b7323384f1e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Transpose", "[", 
  RowBox[{"Append", "[", 
   RowBox[{
    RowBox[{"IdentityMatrix", "[", "5", "]"}], ",", "%"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.95124336907093*^9, 3.951243394498454*^9}},
 CellLabel->
  "In[222]:=",ExpressionUUID->"cbae4db0-d27a-4e2e-80f2-ea6b3c257178"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
     "60819681587412188135682003077628677069061840980889"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "0", ",", "0", ",", "0", ",", 
     "314159265358979323846264338327950288419716939937511"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", 
     "986960440108935861883449099987615113531369940724079"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
     "120205690315959428539973816151144999076498629234050"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", 
     "69314718055994530941723212145817656807550013436026"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.951243383277669*^9, 3.951243395027239*^9}},
 CellLabel->
  "Out[222]=",ExpressionUUID->"6c6a6e52-5c61-45f4-b897-25597333ec13"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LatticeReduce", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.951243404347088*^9, 3.95124340782928*^9}},
 CellLabel->
  "In[223]:=",ExpressionUUID->"defc1dc5-5755-4ebd-895a-c62ed60cb679"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"-", "11"}], ",", "5", ",", 
     RowBox[{"-", "18"}], ",", "9", ",", 
     RowBox[{"-", "3"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "769343517283"}], ",", "937176012590", ",", 
     RowBox[{"-", "156327225192"}], ",", 
     RowBox[{"-", "696348496798"}], ",", 
     RowBox[{"-", "139039173938"}], ",", 
     RowBox[{"-", "192331801553"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1011767962828", ",", "591723011282", ",", 
     RowBox[{"-", "399940328302"}], ",", "318685939832", ",", "1572346396891",
      ",", "305961284102"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1362208462583"}], ",", 
     RowBox[{"-", "360805307984"}], ",", 
     RowBox[{"-", "35257646373"}], ",", "875934769727", ",", "1813539425451", 
     ",", "995130222498"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "639082152332"}], ",", 
     RowBox[{"-", "121932092899"}], ",", 
     RowBox[{"-", "128944162896"}], ",", "1337286961908", ",", "630286847033",
      ",", 
     RowBox[{"-", "6113711212063"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.951243408090745*^9},
 CellLabel->
  "Out[223]=",ExpressionUUID->"79a37456-51a8-464a-866f-4bd481ce8575"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FindIntegerNullVector", "[", 
  RowBox[{"{", 
   RowBox[{"xx", ",", "Pi", ",", 
    RowBox[{"Pi", "^", "2"}], ",", 
    RowBox[{"Zeta", "[", "3", "]"}], ",", 
    RowBox[{"Log", "[", "2", "]"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.951243979383244*^9, 3.951243990633108*^9}},
 CellLabel->
  "In[224]:=",ExpressionUUID->"61f264a1-2b6e-4adf-ac51-d1628bb953f1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", 
   RowBox[{"-", "11"}], ",", "5", ",", 
   RowBox[{"-", "18"}], ",", "9"}], "}"}]], "Output",
 CellChangeTimes->{3.951243991400757*^9},
 CellLabel->
  "Out[224]=",ExpressionUUID->"92f98131-3336-4d46-a003-b0e90000c3fb"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Exercise 7", "Section",
 CellChangeTimes->{{3.951238644112578*^9, 3.951238646312496*^9}, {
  3.951238694015086*^9, 3.95123869426726*^9}, {3.95124313205335*^9, 
  3.951243132373253*^9}},ExpressionUUID->"9f9fcd6c-abb5-449b-89ad-\
738e52e7a218"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"mat", "=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{"ansatz", ",", 
      RowBox[{"{", 
       RowBox[{"n", ",", "0", ",", "42"}], "}"}]}], "]"}], "/.", 
    RowBox[{
     RowBox[{"f", "[", "n_", "]"}], ":>", 
     RowBox[{"datab3", "[", 
      RowBox[{"[", 
       RowBox[{"n", "+", "1"}], "]"}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ns", "=", 
   RowBox[{"NullSpace", "[", "mat", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"N", "[", 
  RowBox[{"Max", "[", 
   RowBox[{"Abs", "[", 
    RowBox[{"Flatten", "[", "ns", "]"}], "]"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.951238722956979*^9, 3.951238765945725*^9}, {
  3.951239073524362*^9, 3.951239086745508*^9}, {3.9512392843558683`*^9, 
  3.951239285130455*^9}},
 CellLabel->
  "In[150]:=",ExpressionUUID->"3f03ffe6-cf26-457d-ba1a-bf328c2e6f85"],

Cell[BoxData["1.8382604966822161021458419995358620556618436`15.\
954589770191005*^775"], "Output",
 CellChangeTimes->{{3.951238732812169*^9, 3.951238766614996*^9}, 
   3.951239087662732*^9, 3.951239286119762*^9, 3.951239706461606*^9},
 CellLabel->
  "Out[152]=",ExpressionUUID->"9bf6ee0b-61b4-4696-9b6d-b558a1f3ca4a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"This", " ", 
    RowBox[{"doesn", "'"}], "t", " ", "work", " ", "because", " ", "we", " ", 
    "use", " ", "a", " ", "vector", " ", "space", " ", "basis", " ", "of", 
    " ", "ker", 
    RowBox[{
     RowBox[{"(", "M", ")"}], "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"N", "[", 
     RowBox[{"Norm", "[", "#", "]"}], "]"}], "&"}], "/@", 
   RowBox[{"LatticeReduce", "[", "ns", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.951239105681487*^9, 3.9512391210199013`*^9}, {
  3.95148979908259*^9, 
  3.951489819045295*^9}},ExpressionUUID->"a785e693-c4bc-48cc-8589-\
08a6f3f3b0fe"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "6.23059755399303042774579799035209694`15.954589770191005*^768", ",", 
   "5.066020279104281221738230701856628868675573`16.255619765854984*^774"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.951239121791727*^9},
 CellLabel->
  "Out[110]=",ExpressionUUID->"c56433a7-54ec-4bac-812c-1d0d78b239d1"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"This", " ", "procedure", " ", "computes", " ", "a", " ", "Z"}], 
    "-", 
    RowBox[{
    "module", " ", "basis", " ", "of", " ", "the", " ", "kernel", " ", "of", 
     " ", 
     RowBox[{"M", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ZNullSpace", "[", "M_", "]"}], ":=", "\[IndentingNewLine]", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"n", ",", "m"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"n", ",", "m"}], "}"}], "=", 
        RowBox[{"Dimensions", "[", "M", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Drop", "[", 
           RowBox[{"#1", ",", "n"}], "]"}], "&"}], ")"}], "/@", 
        RowBox[{"Cases", "[", 
         RowBox[{
          RowBox[{"Last", "[", 
           RowBox[{"HermiteDecomposition", "[", 
            RowBox[{"Join", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", "M", "]"}], ",", 
              RowBox[{"IdentityMatrix", "[", "m", "]"}], ",", "2"}], "]"}], 
            "]"}], "]"}], ",", 
          RowBox[{"Append", "[", 
           RowBox[{
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", "n", "}"}]}], "]"}], ",", "__"}], "]"}]}], 
         "]"}]}]}]}], "\n", "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.95148982133888*^9, 3.951489851640931*^9}, {
  3.95148989317183*^9, 
  3.9514898999014673`*^9}},ExpressionUUID->"43f11fb6-db2a-49dc-9b99-\
fac29d947cb4"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ns", "=", 
   RowBox[{"ZNullSpace", "[", "mat", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"N", "[", 
  RowBox[{"Max", "[", 
   RowBox[{"Abs", "[", 
    RowBox[{"Flatten", "[", "ns", "]"}], "]"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.951238864062463*^9, 3.951238888524454*^9}, {
  3.951239294658868*^9, 3.951239306611135*^9}},
 CellLabel->
  "In[153]:=",ExpressionUUID->"6c203a64-72a2-4820-bd97-aeb414258961"],

Cell[BoxData["3.5902484182692826370868713`15.954589770191005*^778"], "Output",
 CellChangeTimes->{{3.951238868375924*^9, 3.9512388892987757`*^9}, 
   3.95123930772476*^9, 3.9512397121426363`*^9},
 CellLabel->
  "Out[154]=",ExpressionUUID->"4460b2ae-841f-4dba-b48d-d8a4c65eaf40"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"lr", "=", 
   RowBox[{"LatticeReduce", "[", "ns", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"N", "[", 
    RowBox[{"Norm", "[", "#", "]"}], "]"}], "&"}], "/@", "lr"}]}], "Input",
 CellChangeTimes->{{3.95123877398691*^9, 3.951238777463085*^9}, {
  3.951239324794174*^9, 3.9512393395636*^9}},
 CellLabel->
  "In[155]:=",ExpressionUUID->"860162e1-e7f3-4ba7-ad8f-153ab095179f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1.2898916313512819`*^11", ",", 
   "5.066020279104189812110023187792687683821769`16.255619765854984*^774"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.951238778009508*^9, 3.951238891210294*^9, 
  3.951239340223406*^9, 3.951239713116271*^9},
 CellLabel->
  "Out[156]=",ExpressionUUID->"9683e5c9-92ec-4a21-a175-6cc7bf968898"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Together", "[", 
  RowBox[{"rec", "/", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"lr", "[", 
      RowBox[{"[", "1", "]"}], "]"}], ".", "ansatz"}], ")"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.951239497162218*^9, 3.951239501473092*^9}, {
  3.951239718992054*^9, 3.951239775857174*^9}},
 CellLabel->
  "In[158]:=",ExpressionUUID->"f5d88e1a-4a13-4845-9a48-c4f98d5d25e2"],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{3.951239734713396*^9, 3.951239776456559*^9},
 CellLabel->
  "Out[158]=",ExpressionUUID->"c4861f17-d4ff-42a8-8854-a77ce3002fa0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"lr", "=", 
   RowBox[{"LatticeReduce", "[", 
    RowBox[{"ZNullSpace", "[", 
     RowBox[{"Take", "[", 
      RowBox[{"mat", ",", "18"}], "]"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"N", "[", 
    RowBox[{"Norm", "[", "#", "]"}], "]"}], "&"}], "/@", "lr"}]}], "Input",
 CellChangeTimes->{{3.9512393871908207`*^9, 3.951239406940687*^9}, {
  3.9512394547986517`*^9, 3.951239454915872*^9}, {3.951239514674858*^9, 
  3.951239546874115*^9}, {3.951239801422695*^9, 3.9512398068983803`*^9}},
 CellLabel->
  "In[165]:=",ExpressionUUID->"ce0da93b-3a65-4ecf-a120-b1c34d851e8c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1.2898916313512819`*^11", ",", "4.554224364926163`*^12", ",", 
   "5.981292104798566`*^12", ",", "5.805403840020249`*^12", ",", 
   "6.246579450289994`*^12", ",", "6.320993383121381`*^12", ",", 
   "5.899829885401272`*^12", ",", "6.880920083687461`*^12", ",", 
   "5.911220333003847`*^12", ",", "5.439024031740312`*^12", ",", 
   "5.321292304065947`*^12", ",", "4.04076364955858`*^12", ",", 
   "4.924399785547119`*^12", ",", "4.76712331023023`*^12", ",", 
   "4.969237707057681`*^12", ",", "5.673495448272178`*^12", ",", 
   "4.504388357736067`*^12", ",", "5.433257325669109`*^12", ",", 
   "4.687546081287377`*^12", ",", "5.009897049218738`*^12", ",", 
   "4.227081307155497`*^12", ",", "4.446680117544329`*^12", ",", 
   "4.2141358961238906`*^12", ",", "5.298935952093979`*^12", ",", 
   "8.372633757198951`*^12", ",", "1.9649277975741227`*^13", ",", 
   "1.3754699793817878`*^14"}], "}"}]], "Output",
 CellChangeTimes->{{3.951239396904725*^9, 3.951239407692*^9}, 
   3.951239455893239*^9, {3.951239515902062*^9, 3.9512395478040113`*^9}, {
   3.951239782941544*^9, 3.951239807819694*^9}},
 CellLabel->
  "Out[166]=",ExpressionUUID->"58feb60c-1d17-4a9f-b1f1-359dbbe15388"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Together", "[", 
  RowBox[{"rec", "/", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"lr", "[", 
      RowBox[{"[", "1", "]"}], "]"}], ".", "ansatz"}], ")"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.951239480879942*^9, 3.951239510199787*^9}, 
   3.951239795394166*^9},
 CellLabel->
  "In[167]:=",ExpressionUUID->"d2857165-273e-439d-aef0-329831d3a518"],

Cell[BoxData[
 RowBox[{"-", "1"}]], "Output",
 CellChangeTimes->{{3.95123948336368*^9, 3.951239551448135*^9}, {
  3.9512397960157003`*^9, 3.9512398086967*^9}},
 CellLabel->
  "Out[167]=",ExpressionUUID->"ae6e21b7-162c-45c5-9f9b-4d1e63efb5bb"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "We", " ", "can", " ", "do", " ", "even", " ", "a", " ", "little", " ", 
    "bit", " ", "better", " ", "by", " ", "using", " ", "the", " ", "shifted",
     " ", "monomial", " ", "basis", " ", "in", " ", "the", " ", "ansatz", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
      "the", " ", "coefficients", " ", "in", " ", "the", " ", "recurrence", 
       " ", "get", " ", "smaller"}], ")"}], "."}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ansatz", "=", 
     RowBox[{"Flatten", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"n", "+", "2"}], ")"}], "^", "i"}], " ", 
         RowBox[{"f", "[", 
          RowBox[{"n", "+", "j"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "8"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"j", ",", "0", ",", "4"}], "}"}]}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mat", "=", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{"ansatz", ",", 
        RowBox[{"{", 
         RowBox[{"n", ",", "0", ",", "20"}], "}"}]}], "]"}], "/.", 
      RowBox[{
       RowBox[{"f", "[", "n_", "]"}], ":>", 
       RowBox[{"datab3", "[", 
        RowBox[{"[", 
         RowBox[{"n", "+", "1"}], "]"}], "]"}]}]}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.9512398767845297`*^9, 3.951239942075595*^9}, {
  3.9514899354632893`*^9, 
  3.951489978353136*^9}},ExpressionUUID->"334487c3-9b74-49e9-80df-\
396991f69716"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"lr", "=", 
   RowBox[{"LatticeReduce", "[", 
    RowBox[{"ZNullSpace", "[", 
     RowBox[{"Take", "[", 
      RowBox[{"mat", ",", "15"}], "]"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"N", "[", 
    RowBox[{"Norm", "[", "#", "]"}], "]"}], "&"}], "/@", "lr"}]}], "Input",
 CellChangeTimes->{{3.951239556825161*^9, 3.9512396031731653`*^9}, {
  3.951239845181245*^9, 3.951239846036152*^9}, {3.951239880923308*^9, 
  3.951239881168951*^9}, {3.951239955211896*^9, 3.951239980181048*^9}},
 CellLabel->
  "In[214]:=",ExpressionUUID->"69b9f6bc-8c0e-43b1-86ad-2719d8cb3c9a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "3.568495411720134`*^8", ",", "1.249610182247001`*^9", ",", 
   "1.1136401305159388`*^9", ",", "1.0965653858393385`*^9", ",", 
   "1.3060530423279562`*^9", ",", "1.0653536400625594`*^9", ",", 
   "1.4009973146376941`*^9", ",", "1.3665838681543794`*^9", ",", 
   "1.2711936239753518`*^9", ",", "1.1521671095412776`*^9", ",", 
   "1.3087863344328785`*^9", ",", "1.325884463214643`*^9", ",", 
   "1.3433709266435716`*^9", ",", "1.2409082382979863`*^9", ",", 
   "1.3829102467034035`*^9", ",", "1.4487477286093044`*^9", ",", 
   "1.124404248168396`*^9", ",", "1.0864187870776649`*^9", ",", 
   "1.3763450396806495`*^9", ",", "1.231177221321315`*^9", ",", 
   "1.0705883499881303`*^9", ",", "1.3572608525617645`*^9", ",", 
   "1.3074176157667298`*^9", ",", "1.1938451677138429`*^9", ",", 
   "1.2154294838624299`*^9", ",", "1.4914271073288183`*^9", ",", 
   "1.482389367402513`*^9", ",", "8.110670748385738`*^9", ",", 
   "1.221094999161957`*^11", ",", "3.723201752210295`*^11"}], "}"}]], "Output",\

 CellChangeTimes->{
  3.951239604182918*^9, 3.951239819225904*^9, {3.951239854358786*^9, 
   3.9512399811988983`*^9}},
 CellLabel->
  "Out[215]=",ExpressionUUID->"d70706e4-ec74-4608-9716-8e6b0fe86b0f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Together", "[", 
  RowBox[{"rec", "/", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"lr", "[", 
      RowBox[{"[", "1", "]"}], "]"}], ".", "ansatz"}], ")"}]}], 
  "]"}]], "Input",
 CellLabel->
  "In[216]:=",ExpressionUUID->"f8905400-a25d-4ddd-bfed-31930fc0feca"],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{{3.951239861836034*^9, 3.9512398836017036`*^9}, {
  3.9512399580312023`*^9, 3.951239982983841*^9}},
 CellLabel->
  "Out[216]=",ExpressionUUID->"ceca31e6-b0ed-404e-b326-c32e5ca0ce4e"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Exercise 8", "Section",
 CellChangeTimes->{{3.951302630899146*^9, 
  3.951302632548863*^9}},ExpressionUUID->"a0b17119-9f9a-4d65-8b9e-\
d9630dccb681"],

Cell[BoxData[
 RowBox[{"<<", "RISC`HolonomicFunctions`"}]], "Input",
 CellChangeTimes->{{3.9513026349905767`*^9, 3.9513026411431303`*^9}, 
   3.951302671657361*^9},
 CellLabel->"In[1]:=",ExpressionUUID->"2df9c88e-33b7-41fa-8103-4ac9cc76c12b"],

Cell["\<\
HolonomicFunctions Package version 1.7.3 (21-Mar-2017)
written by Christoph Koutschan
Copyright Research Institute for Symbolic Computation (RISC),
Johannes Kepler University, Linz, Austria\
\>", "Text",
 CellFrame->True,
 GeneratedCell->True,
 CellAutoOverwrite->True,
 CellChangeTimes->{3.951302676174885*^9},
 ShowAutoSpellCheck->False,
 FontColor->RGBColor[0, 0, 0],
 Background->RGBColor[
  0.796887, 0.789075, 
   0.871107],ExpressionUUID->"63389a01-a655-41a7-90bc-5b7ee354c40d"],

Cell[BoxData["\<\"--> Type  ?HolonomicFunctions  for help.\"\>"], "Print",
 CellChangeTimes->{3.9513026761801157`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"8f0c686d-588b-4e44-8cb7-5a9830783f42"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Annihilator", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Erf", "[", 
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"x", "^", "2"}], "+", "1"}], ")"}]}], "]"}], "*", 
    RowBox[{"Exp", "[", 
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"x", "^", "2"}], "+", "1"}], ")"}]}], "]"}]}], ",", 
   RowBox[{"Der", "[", "x", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.95130264662113*^9, 3.951302664303316*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"ca4ab070-d5c9-4f0c-b8fd-1c200a97c6b0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"x", "+", 
     RowBox[{"5", " ", 
      SuperscriptBox["x", "3"]}], "+", 
     RowBox[{"10", " ", 
      SuperscriptBox["x", "5"]}], "+", 
     RowBox[{"10", " ", 
      SuperscriptBox["x", "7"]}], "+", 
     RowBox[{"5", " ", 
      SuperscriptBox["x", "9"]}], "+", 
     SuperscriptBox["x", "11"]}], ")", 
    SubsuperscriptBox["D", "x", "2"]}], "+", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "-", 
     SuperscriptBox["x", "2"], "+", 
     RowBox[{"10", " ", 
      SuperscriptBox["x", "4"]}], "+", 
     RowBox[{"22", " ", 
      SuperscriptBox["x", "6"]}], "+", 
     RowBox[{"15", " ", 
      SuperscriptBox["x", "8"]}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["x", "10"]}]}], ")", 
    SubscriptBox["D", "x"]}], "+", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "4"}], " ", 
      SuperscriptBox["x", "3"]}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["x", "5"]}]}], ")"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.951302664962294*^9, 3.951302682250966*^9}},
 CellLabel->"Out[2]=",ExpressionUUID->"878e7e21-9366-47b4-8613-f58d13977d62"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Annihilator", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Log", "[", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"1", "-", "x"}], "]"}], "]"}], "/", 
    RowBox[{"Exp", "[", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"1", "-", "x"}], "]"}], "]"}]}], ",", 
   RowBox[{"Der", "[", "x", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.951302687246402*^9, 3.951302701208704*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"4e488aea-6d0e-4dcf-bada-5aa3be8518b5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"80", "-", 
     RowBox[{"304", " ", "x"}], "+", 
     RowBox[{"432", " ", 
      SuperscriptBox["x", "2"]}], "-", 
     RowBox[{"272", " ", 
      SuperscriptBox["x", "3"]}], "+", 
     RowBox[{"64", " ", 
      SuperscriptBox["x", "4"]}]}], ")", 
    SubsuperscriptBox["D", "x", "4"]}], "+", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "336"}], "+", 
     RowBox[{"928", " ", "x"}], "-", 
     RowBox[{"848", " ", 
      SuperscriptBox["x", "2"]}], "+", 
     RowBox[{"256", " ", 
      SuperscriptBox["x", "3"]}]}], ")", 
    SubsuperscriptBox["D", "x", "3"]}], "+", 
   RowBox[{"(", 
    RowBox[{"156", "-", 
     RowBox[{"212", " ", "x"}], "+", 
     RowBox[{"24", " ", 
      SuperscriptBox["x", "2"]}], "+", 
     RowBox[{"32", " ", 
      SuperscriptBox["x", "3"]}]}], ")", 
    SubsuperscriptBox["D", "x", "2"]}], "+", 
   RowBox[{"(", 
    RowBox[{"48", "-", 
     RowBox[{"84", " ", "x"}], "+", 
     RowBox[{"32", " ", 
      SuperscriptBox["x", "2"]}]}], ")", 
    SubscriptBox["D", "x"]}], "+", 
   RowBox[{"(", 
    RowBox[{"7", "-", 
     RowBox[{"13", " ", "x"}], "+", 
     RowBox[{"4", " ", 
      SuperscriptBox["x", "2"]}]}], ")"}]}], "}"}]], "Output",
 CellChangeTimes->{3.9513027017820797`*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"ebe7e51c-c5eb-45e6-87c2-eec5781bfc82"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Annihilator", "[", 
  RowBox[{
   RowBox[{"Exp", "[", 
    RowBox[{"ArcTan", "[", "x", "]"}], "]"}], ",", 
   RowBox[{"Der", "[", "x", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.95130270480564*^9, 3.951302711393935*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"0e4008c9-37ca-4e6a-81fb-76454d10b29a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "-", 
     SuperscriptBox["x", "2"]}], ")", 
    SubscriptBox["D", "x"]}], "+", "1"}], "}"}]], "Output",
 CellChangeTimes->{3.9513027128183393`*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"2e438640-e5b7-4236-8342-90df65ab2305"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Annihilator", "[", 
  RowBox[{
   RowBox[{"ArcTan", "[", 
    RowBox[{"Exp", "[", "x", "]"}], "]"}], ",", 
   RowBox[{"Der", "[", "x", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.951302715556397*^9, 3.9513027214854527`*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"23adccea-45e8-4411-8215-e6cfeaee1d02"],

Cell[BoxData[
 TemplateBox[{
  "DFiniteSubstitute", "algsubs", 
   "\"The substitutions for continuous variables \\!\\(\\*RowBox[{\\\"{\\\", \
SuperscriptBox[\\\"\[ExponentialE]\\\", \\\"x\\\"], \\\"}\\\"}]\\) are \
supposed to be algebraic expressions. Not all of them are recognized to be \
algebraic. The result might not generate a \[PartialD]-finite ideal.\"", 2, 5,
    1, 31757545115447480402, "Local", 
   "RISC`HolonomicFunctions`DFiniteSubstitute"},
  "MessageTemplate2"]], "Message", "MSG",
 CellChangeTimes->{3.951302722346702*^9},
 CellLabel->
  "During evaluation of \
In[5]:=",ExpressionUUID->"6a3e6b0a-ce11-4046-860e-e97d4699e043"],

Cell[BoxData[
 TemplateBox[{
  "Annihilator", "nondf", 
   "\"The expression \\!\\(\\*RowBox[{\\\"\\\\\\\"(w.r.t. {Der[x]})\\\\\\\"\\\
\"}]\\) is not recognized to be \[PartialD]-finite. The result might not \
generate a zero-dimensional ideal.\"", 2, 5, 2, 31757545115447480402, "Local",
    "RISC`HolonomicFunctions`Annihilator"},
  "MessageTemplate2"]], "Message", "MSG",
 CellChangeTimes->{3.9513027224171047`*^9},
 CellLabel->
  "During evaluation of \
In[5]:=",ExpressionUUID->"0315b283-5eb0-4a35-ab47-41afa35122bd"],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Output",
 CellChangeTimes->{3.9513027224226007`*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"6e5e1547-92cb-4dc1-9521-5ed0d6f245dc"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Exercise 9", "Section",
 CellChangeTimes->{{3.9513027288777313`*^9, 
  3.951302730774928*^9}},ExpressionUUID->"70923649-779d-4eea-b6b1-\
b0e0fe1a583f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Annihilator", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Fibonacci", "[", "n", "]"}], "^", "2"}], ",", 
   RowBox[{"S", "[", "n", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.951302736670134*^9, 3.951302745475391*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"ec8fa1a4-9088-471c-ab3a-675e1ae9e108"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   SubsuperscriptBox["S", "n", "3"], "-", 
   RowBox[{"2", 
    SubsuperscriptBox["S", "n", "2"]}], "-", 
   RowBox[{"2", 
    SubscriptBox["S", "n"]}], "+", "1"}], "}"}]], "Output",
 CellChangeTimes->{3.9513027460126343`*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"d5ffad25-d839-4875-9773-ba8ef1f6501a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Annihilator", "[", 
  RowBox[{
   RowBox[{"Gamma", "[", 
    RowBox[{"n", "/", "2"}], "]"}], ",", 
   RowBox[{"S", "[", "n", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.951302748904685*^9, 3.951302760865212*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"aaa76ddc-d92c-480a-8bf1-d23bdf6cf421"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"2", 
    SubsuperscriptBox["S", "n", "2"]}], "-", "n"}], "}"}]], "Output",
 CellChangeTimes->{3.951302761421294*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"257694ff-ce31-4392-b67a-ab9a946da7b7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Annihilator", "[", 
  RowBox[{
   RowBox[{"Prime", "[", "n", "]"}], ",", 
   RowBox[{"S", "[", "n", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.951302765078549*^9, 3.951302771458537*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"9b27c866-1c2e-497a-83eb-3d5f00bf3ecd"],

Cell[BoxData[
 TemplateBox[{
  "Annihilator", "nondf", 
   "\"The expression \\!\\(\\*RowBox[{\\\"\\\\\\\"Prime[n]\\\\\\\"\\\"}]\\) \
is not recognized to be \[PartialD]-finite. The result might not generate a \
zero-dimensional ideal.\"", 2, 8, 3, 31757545115447480402, "Local", 
   "RISC`HolonomicFunctions`Annihilator"},
  "MessageTemplate2"]], "Message", "MSG",
 CellChangeTimes->{3.951302772014539*^9},
 CellLabel->
  "During evaluation of \
In[8]:=",ExpressionUUID->"16b1b919-14de-4665-83cf-7d6997caabf0"],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Output",
 CellChangeTimes->{3.9513027720201902`*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"1ee00386-2c26-472f-87db-03beaabe383f"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Exercise 10", "Section",
 CellChangeTimes->{{3.9513018821539373`*^9, 
  3.9513018858645287`*^9}},ExpressionUUID->"aee0fb06-239b-4869-aef8-\
aa14b6e73e61"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"vars", "=", 
   RowBox[{"Array", "[", 
    RowBox[{"x", ",", "4"}], "]"}]}], ";"}], "\n", 
 RowBox[{"expr", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"SymmetricPolynomial", "[", 
     RowBox[{"2", ",", "vars"}], "]"}], "^", "2"}], "/", 
   RowBox[{"(", 
    RowBox[{"Times", "@@", "vars"}], ")"}]}]}]}], "Input",
 CellChangeTimes->{{3.951302419420417*^9, 3.951302450904731*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"edf1efd1-09fa-4890-9397-15ed4c06a2a5"],

Cell[BoxData[
 FractionBox[
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "[", "1", "]"}], " ", 
      RowBox[{"x", "[", "2", "]"}]}], "+", 
     RowBox[{
      RowBox[{"x", "[", "1", "]"}], " ", 
      RowBox[{"x", "[", "3", "]"}]}], "+", 
     RowBox[{
      RowBox[{"x", "[", "2", "]"}], " ", 
      RowBox[{"x", "[", "3", "]"}]}], "+", 
     RowBox[{
      RowBox[{"x", "[", "1", "]"}], " ", 
      RowBox[{"x", "[", "4", "]"}]}], "+", 
     RowBox[{
      RowBox[{"x", "[", "2", "]"}], " ", 
      RowBox[{"x", "[", "4", "]"}]}], "+", 
     RowBox[{
      RowBox[{"x", "[", "3", "]"}], " ", 
      RowBox[{"x", "[", "4", "]"}]}]}], ")"}], "2"], 
  RowBox[{
   RowBox[{"x", "[", "1", "]"}], " ", 
   RowBox[{"x", "[", "2", "]"}], " ", 
   RowBox[{"x", "[", "3", "]"}], " ", 
   RowBox[{"x", "[", "4", "]"}]}]]], "Output",
 CellChangeTimes->{3.951302420311594*^9, 3.951302451882327*^9, 
  3.951302782236689*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"bd9dd60e-fcb3-4c90-96eb-a43bed9c1706"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "We", " ", "want", " ", "the", " ", "constant", " ", "coefficient", " ", 
     "of", " ", 
     RowBox[{"expr", "^", "n"}]}], ",", 
    RowBox[{
    "which", " ", "is", " ", "obtained", " ", "by", " ", "integrating", " ", 
     RowBox[{
      RowBox[{"expr", "^", "n"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"x1", "*"}], "..."}], "*", "x4"}], ")"}]}], " ", "over", " ",
      "some", " ", 
     RowBox[{"contour", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ann", "=", 
     RowBox[{"Annihilator", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"expr", "^", "n"}], "/", 
        RowBox[{"(", 
         RowBox[{"Times", "@@", "vars"}], ")"}]}], ",", 
       RowBox[{"Prepend", "[", 
        RowBox[{
         RowBox[{"Der", "/@", "vars"}], ",", 
         RowBox[{"S", "[", "n", "]"}]}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Factor", "[", "ann", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.951301962654673*^9, 3.951301962655367*^9}, {
  3.951302417442568*^9, 3.951302491927318*^9}, {3.9513027953566113`*^9, 
  3.951302811947432*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"a1e293ea-7d21-4c28-afa0-11067ce36d69"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"x", "[", "4", "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"x", "[", "1", "]"}], " ", 
         RowBox[{"x", "[", "2", "]"}]}], "+", 
        RowBox[{
         RowBox[{"x", "[", "1", "]"}], " ", 
         RowBox[{"x", "[", "3", "]"}]}], "+", 
        RowBox[{
         RowBox[{"x", "[", "2", "]"}], " ", 
         RowBox[{"x", "[", "3", "]"}]}], "+", 
        RowBox[{
         RowBox[{"x", "[", "1", "]"}], " ", 
         RowBox[{"x", "[", "4", "]"}]}], "+", 
        RowBox[{
         RowBox[{"x", "[", "2", "]"}], " ", 
         RowBox[{"x", "[", "4", "]"}]}], "+", 
        RowBox[{
         RowBox[{"x", "[", "3", "]"}], " ", 
         RowBox[{"x", "[", "4", "]"}]}]}], ")"}]}], 
     SubscriptBox["D", 
      RowBox[{"x", "[", "4", "]"}]]}], "+", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"x", "[", "1", "]"}], " ", 
       RowBox[{"x", "[", "2", "]"}]}], "+", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "1", "]"}], " ", 
       RowBox[{"x", "[", "2", "]"}]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "1", "]"}], " ", 
       RowBox[{"x", "[", "3", "]"}]}], "+", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "1", "]"}], " ", 
       RowBox[{"x", "[", "3", "]"}]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "2", "]"}], " ", 
       RowBox[{"x", "[", "3", "]"}]}], "+", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "2", "]"}], " ", 
       RowBox[{"x", "[", "3", "]"}]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "1", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "-", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "1", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "2", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "-", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "2", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "3", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "-", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "3", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}]}], ")"}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"x", "[", "3", "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"x", "[", "1", "]"}], " ", 
         RowBox[{"x", "[", "2", "]"}]}], "+", 
        RowBox[{
         RowBox[{"x", "[", "1", "]"}], " ", 
         RowBox[{"x", "[", "3", "]"}]}], "+", 
        RowBox[{
         RowBox[{"x", "[", "2", "]"}], " ", 
         RowBox[{"x", "[", "3", "]"}]}], "+", 
        RowBox[{
         RowBox[{"x", "[", "1", "]"}], " ", 
         RowBox[{"x", "[", "4", "]"}]}], "+", 
        RowBox[{
         RowBox[{"x", "[", "2", "]"}], " ", 
         RowBox[{"x", "[", "4", "]"}]}], "+", 
        RowBox[{
         RowBox[{"x", "[", "3", "]"}], " ", 
         RowBox[{"x", "[", "4", "]"}]}]}], ")"}]}], 
     SubscriptBox["D", 
      RowBox[{"x", "[", "3", "]"}]]}], "+", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"x", "[", "1", "]"}], " ", 
       RowBox[{"x", "[", "2", "]"}]}], "+", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "1", "]"}], " ", 
       RowBox[{"x", "[", "2", "]"}]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "1", "]"}], " ", 
       RowBox[{"x", "[", "3", "]"}]}], "-", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "1", "]"}], " ", 
       RowBox[{"x", "[", "3", "]"}]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "2", "]"}], " ", 
       RowBox[{"x", "[", "3", "]"}]}], "-", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "2", "]"}], " ", 
       RowBox[{"x", "[", "3", "]"}]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "1", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "1", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "2", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "2", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "3", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "-", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "3", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}]}], ")"}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"x", "[", "2", "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"x", "[", "1", "]"}], " ", 
         RowBox[{"x", "[", "2", "]"}]}], "+", 
        RowBox[{
         RowBox[{"x", "[", "1", "]"}], " ", 
         RowBox[{"x", "[", "3", "]"}]}], "+", 
        RowBox[{
         RowBox[{"x", "[", "2", "]"}], " ", 
         RowBox[{"x", "[", "3", "]"}]}], "+", 
        RowBox[{
         RowBox[{"x", "[", "1", "]"}], " ", 
         RowBox[{"x", "[", "4", "]"}]}], "+", 
        RowBox[{
         RowBox[{"x", "[", "2", "]"}], " ", 
         RowBox[{"x", "[", "4", "]"}]}], "+", 
        RowBox[{
         RowBox[{"x", "[", "3", "]"}], " ", 
         RowBox[{"x", "[", "4", "]"}]}]}], ")"}]}], 
     SubscriptBox["D", 
      RowBox[{"x", "[", "2", "]"}]]}], "+", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"x", "[", "1", "]"}], " ", 
       RowBox[{"x", "[", "2", "]"}]}], "-", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "1", "]"}], " ", 
       RowBox[{"x", "[", "2", "]"}]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "1", "]"}], " ", 
       RowBox[{"x", "[", "3", "]"}]}], "+", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "1", "]"}], " ", 
       RowBox[{"x", "[", "3", "]"}]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "2", "]"}], " ", 
       RowBox[{"x", "[", "3", "]"}]}], "-", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "2", "]"}], " ", 
       RowBox[{"x", "[", "3", "]"}]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "1", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "1", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "2", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "-", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "2", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "3", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "3", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}]}], ")"}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"x", "[", "1", "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"x", "[", "1", "]"}], " ", 
         RowBox[{"x", "[", "2", "]"}]}], "+", 
        RowBox[{
         RowBox[{"x", "[", "1", "]"}], " ", 
         RowBox[{"x", "[", "3", "]"}]}], "+", 
        RowBox[{
         RowBox[{"x", "[", "2", "]"}], " ", 
         RowBox[{"x", "[", "3", "]"}]}], "+", 
        RowBox[{
         RowBox[{"x", "[", "1", "]"}], " ", 
         RowBox[{"x", "[", "4", "]"}]}], "+", 
        RowBox[{
         RowBox[{"x", "[", "2", "]"}], " ", 
         RowBox[{"x", "[", "4", "]"}]}], "+", 
        RowBox[{
         RowBox[{"x", "[", "3", "]"}], " ", 
         RowBox[{"x", "[", "4", "]"}]}]}], ")"}]}], 
     SubscriptBox["D", 
      RowBox[{"x", "[", "1", "]"}]]}], "+", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"x", "[", "1", "]"}], " ", 
       RowBox[{"x", "[", "2", "]"}]}], "-", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "1", "]"}], " ", 
       RowBox[{"x", "[", "2", "]"}]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "1", "]"}], " ", 
       RowBox[{"x", "[", "3", "]"}]}], "-", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "1", "]"}], " ", 
       RowBox[{"x", "[", "3", "]"}]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "2", "]"}], " ", 
       RowBox[{"x", "[", "3", "]"}]}], "+", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "2", "]"}], " ", 
       RowBox[{"x", "[", "3", "]"}]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "1", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "-", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "1", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "2", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "2", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "3", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "3", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}]}], ")"}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"x", "[", "1", "]"}], " ", 
      RowBox[{"x", "[", "2", "]"}], " ", 
      RowBox[{"x", "[", "3", "]"}], " ", 
      RowBox[{"x", "[", "4", "]"}]}], 
     SubscriptBox["S", "n"]}], "-", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"x", "[", "1", "]"}], " ", 
        RowBox[{"x", "[", "2", "]"}]}], "+", 
       RowBox[{
        RowBox[{"x", "[", "1", "]"}], " ", 
        RowBox[{"x", "[", "3", "]"}]}], "+", 
       RowBox[{
        RowBox[{"x", "[", "2", "]"}], " ", 
        RowBox[{"x", "[", "3", "]"}]}], "+", 
       RowBox[{
        RowBox[{"x", "[", "1", "]"}], " ", 
        RowBox[{"x", "[", "4", "]"}]}], "+", 
       RowBox[{
        RowBox[{"x", "[", "2", "]"}], " ", 
        RowBox[{"x", "[", "4", "]"}]}], "+", 
       RowBox[{
        RowBox[{"x", "[", "3", "]"}], " ", 
        RowBox[{"x", "[", "4", "]"}]}]}], ")"}], "2"]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.951302492699394*^9, {3.9513027992974033`*^9, 3.951302812472114*^9}},
 CellLabel->"Out[13]=",ExpressionUUID->"6eb93b01-ecb4-494d-bf8d-88802a862bf1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ct1", "=", 
  RowBox[{
   RowBox[{"CreativeTelescoping", "[", 
    RowBox[{"ann", ",", 
     RowBox[{"Der", "[", 
      RowBox[{"x", "[", "1", "]"}], "]"}]}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.951302849994931*^9, 3.951302872570109*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"92ab356c-0d4c-4236-ab20-440af84e240b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"x", "[", "2", "]"}], "2"], " ", 
       RowBox[{"x", "[", "3", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"x", "[", "2", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}], "+", 
      RowBox[{"3", " ", 
       RowBox[{"x", "[", "2", "]"}], " ", 
       RowBox[{"x", "[", "3", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}], "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "3"]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "3", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "3"]}]}], ")", 
     SubscriptBox["D", 
      RowBox[{"x", "[", "4", "]"}]]}], "+", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"x", "[", "2", "]"}], "2"], " ", 
       RowBox[{"x", "[", "3", "]"}]}], "+", 
      RowBox[{"n", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "2", "]"}], "2"], " ", 
       RowBox[{"x", "[", "3", "]"}]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"]}], "+", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"]}], "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"x", "[", "2", "]"}], "2"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{"3", " ", 
       RowBox[{"x", "[", "2", "]"}], " ", 
       RowBox[{"x", "[", "3", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}], "-", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "3", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}], "-", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "3", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}]}], ")"}]}], ",", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"x", "[", "2", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "3"]}], "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"x", "[", "2", "]"}], "2"], " ", 
       RowBox[{"x", "[", "3", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{"3", " ", 
       RowBox[{"x", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "3"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "2", "]"}], " ", 
       RowBox[{"x", "[", "3", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}], "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}]}], ")", 
     SubscriptBox["D", 
      RowBox[{"x", "[", "3", "]"}]]}], "+", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"x", "[", "2", "]"}], "2"], " ", 
       RowBox[{"x", "[", "3", "]"}]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"]}], "-", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"]}], "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"x", "[", "2", "]"}], "2"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{"n", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "2", "]"}], "2"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{"3", " ", 
       RowBox[{"x", "[", "2", "]"}], " ", 
       RowBox[{"x", "[", "3", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "-", 
      RowBox[{"n", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}], "+", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "3", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}]}], ")"}]}], ",", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"x", "[", "2", "]"}], "3"], " ", 
       RowBox[{"x", "[", "3", "]"}]}], "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"x", "[", "2", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"]}], "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"x", "[", "2", "]"}], "3"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{"3", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "2", "]"}], "2"], " ", 
       RowBox[{"x", "[", "3", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"x", "[", "2", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "2", "]"}], " ", 
       RowBox[{"x", "[", "3", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}]}], ")", 
     SubscriptBox["D", 
      RowBox[{"x", "[", "2", "]"}]]}], "+", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"x", "[", "2", "]"}], "2"], " ", 
       RowBox[{"x", "[", "3", "]"}]}], "-", 
      RowBox[{"n", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "2", "]"}], "2"], " ", 
       RowBox[{"x", "[", "3", "]"}]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"]}], "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"x", "[", "2", "]"}], "2"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "-", 
      RowBox[{"n", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "2", "]"}], "2"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{"3", " ", 
       RowBox[{"x", "[", "2", "]"}], " ", 
       RowBox[{"x", "[", "3", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{"n", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "3", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}], "+", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "3", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}]}], ")"}]}], ",", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"x", "[", "2", "]"}], " ", 
       RowBox[{"x", "[", "3", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{"n", " ", 
       RowBox[{"x", "[", "2", "]"}], " ", 
       RowBox[{"x", "[", "3", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}]}], ")", 
     SubscriptBox["S", "n"]}], "+", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "2", "]"}], "2"], " ", 
       RowBox[{"x", "[", "3", "]"}]}], "-", 
      RowBox[{"4", " ", "n", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "2", "]"}], "2"], " ", 
       RowBox[{"x", "[", "3", "]"}]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"x", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"]}], "-", 
      RowBox[{"4", " ", "n", " ", 
       RowBox[{"x", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"]}], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "2", "]"}], "2"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "-", 
      RowBox[{"4", " ", "n", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "2", "]"}], "2"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "-", 
      RowBox[{"6", " ", 
       RowBox[{"x", "[", "2", "]"}], " ", 
       RowBox[{"x", "[", "3", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "-", 
      RowBox[{"12", " ", "n", " ", 
       RowBox[{"x", "[", "2", "]"}], " ", 
       RowBox[{"x", "[", "3", "]"}], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "-", 
      RowBox[{"4", " ", "n", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"x", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}], "-", 
      RowBox[{"4", " ", "n", " ", 
       RowBox[{"x", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"x", "[", "3", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}], "-", 
      RowBox[{"4", " ", "n", " ", 
       RowBox[{"x", "[", "3", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}]}], ")"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.951302873491928*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"d803d5b9-9c58-402b-84ba-4c432091419c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ct2", "=", 
  RowBox[{
   RowBox[{"CreativeTelescoping", "[", 
    RowBox[{"ct1", ",", 
     RowBox[{"Der", "[", 
      RowBox[{"x", "[", "2", "]"}], "]"}]}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.951302879448258*^9, 3.951302888873901*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"cd75c390-01ad-4d20-9c20-960243a3b9ec"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"x", "[", "3", "]"}], 
     SubscriptBox["D", 
      RowBox[{"x", "[", "3", "]"}]]}], "+", 
    RowBox[{
     RowBox[{"x", "[", "4", "]"}], 
     SubscriptBox["D", 
      RowBox[{"x", "[", "4", "]"}]]}], "+", "2"}], ",", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{"2", " ", "n", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{
       SuperscriptBox["n", "2"], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "-", 
      RowBox[{
       RowBox[{"x", "[", "3", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}], "-", 
      RowBox[{"2", " ", "n", " ", 
       RowBox[{"x", "[", "3", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}], "-", 
      RowBox[{
       SuperscriptBox["n", "2"], " ", 
       RowBox[{"x", "[", "3", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}]}], ")", 
     SubscriptBox["S", "n"]}], "+", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "4"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "3"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "-", 
      RowBox[{"8", " ", "n", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "3"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "-", 
      RowBox[{"8", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}], "-", 
      RowBox[{"16", " ", "n", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}], "-", 
      RowBox[{"8", " ", 
       RowBox[{"x", "[", "3", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "3"]}], "-", 
      RowBox[{"16", " ", "n", " ", 
       RowBox[{"x", "[", "3", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "3"]}], "-", 
      RowBox[{"4", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "4"]}], "-", 
      RowBox[{"8", " ", "n", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "4"]}]}], ")", 
     SubscriptBox["D", 
      RowBox[{"x", "[", "4", "]"}]]}], "+", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "6"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "3"]}], "-", 
      RowBox[{"18", " ", "n", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "3"]}], "-", 
      RowBox[{"12", " ", 
       SuperscriptBox["n", "2"], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "3"]}], "-", 
      RowBox[{"12", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "-", 
      RowBox[{"32", " ", "n", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "-", 
      RowBox[{"16", " ", 
       SuperscriptBox["n", "2"], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "-", 
      RowBox[{"4", " ", 
       RowBox[{"x", "[", "3", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}], "+", 
      RowBox[{"16", " ", 
       SuperscriptBox["n", "2"], " ", 
       RowBox[{"x", "[", "3", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "3"]}], "+", 
      RowBox[{"2", " ", "n", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "3"]}], "+", 
      RowBox[{"12", " ", 
       SuperscriptBox["n", "2"], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "3"]}]}], ")"}]}], ",", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "4"], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}], "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "3"], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "3"]}], "-", 
      RowBox[{
       RowBox[{"x", "[", "3", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "5"]}], "-", 
      SuperscriptBox[
       RowBox[{"x", "[", "4", "]"}], "6"]}], ")", 
     SubsuperscriptBox["D", 
      RowBox[{"x", "[", "4", "]"}], "2"]}], "+", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"3", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "4"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{"2", " ", "n", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "4"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{"5", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "3"], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "3"]}], "-", 
      RowBox[{"4", " ", "n", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "3"]}], "-", 
      RowBox[{
       RowBox[{"x", "[", "3", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "4"]}], "-", 
      RowBox[{"3", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "5"]}], "+", 
      RowBox[{"2", " ", "n", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "5"]}]}], ")", 
     SubscriptBox["D", 
      RowBox[{"x", "[", "4", "]"}]]}], "+", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"x", "[", "3", "]"}], "4"], "+", 
      RowBox[{"2", " ", "n", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "4"]}], "+", 
      RowBox[{
       SuperscriptBox["n", "2"], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "4"]}], "+", 
      RowBox[{"3", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "3"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["n", "2"], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "3"], " ", 
       RowBox[{"x", "[", "4", "]"}]}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}], "-", 
      RowBox[{"4", " ", "n", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "3", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "2"]}], "+", 
      RowBox[{
       RowBox[{"x", "[", "3", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "3"]}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["n", "2"], " ", 
       RowBox[{"x", "[", "3", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "3"]}], "-", 
      SuperscriptBox[
       RowBox[{"x", "[", "4", "]"}], "4"], "+", 
      RowBox[{"2", " ", "n", " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "4"]}], "-", 
      RowBox[{
       SuperscriptBox["n", "2"], " ", 
       SuperscriptBox[
        RowBox[{"x", "[", "4", "]"}], "4"]}]}], ")"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.9513028901205*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"9377c322-fa18-4a26-bc9e-f4db62580114"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ct3", "=", 
  RowBox[{
   RowBox[{"CreativeTelescoping", "[", 
    RowBox[{"ct2", ",", 
     RowBox[{"Der", "[", 
      RowBox[{"x", "[", "3", "]"}], "]"}]}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.951302893975585*^9, 3.951302908278339*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"f0ebbf54-f850-4c29-b03a-385b0d8b1caf"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"x", "[", "4", "]"}], 
     SubscriptBox["D", 
      RowBox[{"x", "[", "4", "]"}]]}], "+", "1"}], ",", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"8", "+", 
      RowBox[{"12", " ", "n"}], "+", 
      RowBox[{"6", " ", 
       SuperscriptBox["n", "2"]}], "+", 
      SuperscriptBox["n", "3"]}], ")", 
     SubsuperscriptBox["S", "n", "2"]}], "+", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "138"}], "-", 
      RowBox[{"272", " ", "n"}], "-", 
      RowBox[{"180", " ", 
       SuperscriptBox["n", "2"]}], "-", 
      RowBox[{"40", " ", 
       SuperscriptBox["n", "3"]}]}], ")", 
     SubscriptBox["S", "n"]}], "+", 
    RowBox[{"(", 
     RowBox[{"108", "+", 
      RowBox[{"396", " ", "n"}], "+", 
      RowBox[{"432", " ", 
       SuperscriptBox["n", "2"]}], "+", 
      RowBox[{"144", " ", 
       SuperscriptBox["n", "3"]}]}], ")"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.9513029117274513`*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"b41265ac-4b75-44b0-b7bb-96fcd03bee96"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ct4", "=", 
  RowBox[{
   RowBox[{"CreativeTelescoping", "[", 
    RowBox[{"ct3", ",", 
     RowBox[{"Der", "[", 
      RowBox[{"x", "[", "4", "]"}], "]"}]}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.951302922537546*^9, 3.951302937795389*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"895c1897-84b9-40ab-9779-aa5cfbe6f8e7"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"8", "+", 
     RowBox[{"12", " ", "n"}], "+", 
     RowBox[{"6", " ", 
      SuperscriptBox["n", "2"]}], "+", 
     SuperscriptBox["n", "3"]}], ")", 
    SubsuperscriptBox["S", "n", "2"]}], "+", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "138"}], "-", 
     RowBox[{"272", " ", "n"}], "-", 
     RowBox[{"180", " ", 
      SuperscriptBox["n", "2"]}], "-", 
     RowBox[{"40", " ", 
      SuperscriptBox["n", "3"]}]}], ")", 
    SubscriptBox["S", "n"]}], "+", 
   RowBox[{"(", 
    RowBox[{"108", "+", 
     RowBox[{"396", " ", "n"}], "+", 
     RowBox[{"432", " ", 
      SuperscriptBox["n", "2"]}], "+", 
     RowBox[{"144", " ", 
      SuperscriptBox["n", "3"]}]}], ")"}]}], "}"}]], "Output",
 CellChangeTimes->{3.951302939452057*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"3382ad21-0605-4ad9-bfca-3d05eef272ea"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Timings for ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["b", "3"], TraditionalForm]],
  FormatType->TraditionalForm,ExpressionUUID->
  "da7953cc-f060-4bc8-89fc-09783ca0bab3"],
 "(n)"
}], "Subsection",
 CellChangeTimes->{{3.951302823645318*^9, 
  3.951302837560562*^9}},ExpressionUUID->"4c154a6c-7d16-4502-9c2e-\
88ea2636a4be"],

Cell["\<\
The case b3 works analogously, but takes longer:

Integration 1 took 1.92564s.
Integration 2 took 7.83289s.
Integration 3 took 1777.96s.
Integration 4 took 282.765s.
Integration 5 took 37.5229s.
Integration 6 took 0.505907s.\
\>", "Text",
 CellChangeTimes->{{3.95130255104529*^9, 3.951302556552979*^9}, {
  3.9514900233337097`*^9, 
  3.951490036916143*^9}},ExpressionUUID->"09a809c7-9a09-41fa-a3fa-\
aff2133d1632"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Exercise 11", "Section",
 CellChangeTimes->{{3.951303398574606*^9, 
  3.951303401076868*^9}},ExpressionUUID->"bce178de-bad6-423d-bff4-\
6c9a522d827d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Generate", " ", "all", " ", "possible", " ", "balanced", " ", 
    RowBox[{"columns", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"cols", "=", 
   RowBox[{"DeleteCases", "[", 
    RowBox[{
     RowBox[{"Permutations", "[", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "1", ",", "1"}], "}"}], "]"}], ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"___", ",", "0", ",", "1", ",", "0", ",", "___"}], "}"}], "|", 
      
      RowBox[{"{", 
       RowBox[{"___", ",", "1", ",", "0", ",", "1", ",", "___"}], "}"}]}]}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.945538361965005*^9, 3.945538392277595*^9}, {
  3.9455384596562643`*^9, 3.945538460201913*^9}, {3.951490042172392*^9, 
  3.9514900606656218`*^9}},ExpressionUUID->"5b3eab76-8242-48ce-b27c-\
a65e27c70880"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.9455383929931097`*^9, 3.9455384610472813`*^9, 
  3.949639853179489*^9, 3.951303424099012*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"8288b22a-cd2f-443f-8659-756d4a383b81"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Define", " ", "the", " ", 
     RowBox[{"weights", ".", " ", "Since"}], " ", "the", " ", "above", " ", 
     "vectors", " ", "must", " ", "come", " ", "in", " ", "pairs"}], ",", " ", 
    RowBox[{
    "we", " ", "can", " ", "use", " ", "two", " ", "variables", " ", 
     "instead", " ", "of", " ", 
     RowBox[{"four", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"wt", "=", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", 
      RowBox[{"1", "/", "b"}], ",", 
      RowBox[{"1", "/", "a"}]}], "}"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.95149007513477*^9, 
  3.9514900981196003`*^9}},ExpressionUUID->"986d6e92-e59c-480f-8cea-\
12852042855b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Construct", " ", "the", " ", "transfer", " ", 
    RowBox[{"matrix", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"tmat", "=", 
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", "16", "}"}], ",", 
       RowBox[{"{", "16", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Do", "[", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"FreeQ", "[", 
        RowBox[{
         RowBox[{"Transpose", "[", 
          RowBox[{"cols", "[", 
           RowBox[{"[", 
            RowBox[{"{", 
             RowBox[{"i", ",", "j", ",", "m"}], "}"}], "]"}], "]"}], "]"}], 
         ",", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "1", ",", "0"}], "}"}], "|", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0", ",", "1"}], "}"}]}]}], "]"}], ",", 
       RowBox[{
        RowBox[{"tmat", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{
            RowBox[{"4", 
             RowBox[{"(", 
              RowBox[{"i", "-", "1"}], ")"}]}], "+", "j"}], ",", 
           RowBox[{
            RowBox[{"4", 
             RowBox[{"(", 
              RowBox[{"j", "-", "1"}], ")"}]}], "+", "m"}]}], "]"}], "]"}], 
        "=", 
        RowBox[{"wt", "[", 
         RowBox[{"[", "m", "]"}], "]"}]}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"m", ",", "4"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"MatrixForm", "[", "tmat", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.945538527472889*^9, 3.945538660612544*^9}, {
  3.945538769740615*^9, 3.9455387700629587`*^9}, {3.9455392285824757`*^9, 
  3.9455392338907537`*^9}, {3.945539570844501*^9, 3.945539574385396*^9}, {
  3.951303503824724*^9, 3.9513035109930077`*^9}, {3.951490072220688*^9, 
  3.951490109890265*^9}},ExpressionUUID->"c694bdc8-ded2-4572-980a-\
b0b44b849a18"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"a", "b", 
      FractionBox["1", "b"], 
      FractionBox["1", "a"], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
       "0", "0"},
     {"0", "0", "0", "0", "0", "b", "0", 
      FractionBox["1", "a"], "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      FractionBox["1", "b"], 
      FractionBox["1", "a"], "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", 
      FractionBox["1", "a"]},
     {"a", "0", 
      FractionBox["1", "b"], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0",
       "0", "0", "0"},
     {"0", "0", "0", "0", "a", "b", 
      FractionBox["1", "b"], 
      FractionBox["1", "a"], "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      FractionBox["1", "b"], "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      FractionBox["1", "b"], 
      FractionBox["1", "a"]},
     {"a", "b", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "b", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "a", "b", 
      FractionBox["1", "b"], 
      FractionBox["1", "a"], "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "b", 
      "0", 
      FractionBox["1", "a"]},
     {"a", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "a", "b", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "a", "0", 
      FractionBox["1", "b"], "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "a", "b", 
      FractionBox["1", "b"], 
      FractionBox["1", "a"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.945538771161564*^9, 3.945539234759729*^9, 3.945539575198682*^9, {
   3.9496398482196007`*^9, 3.949639854003564*^9}, 3.951303511514998*^9},
 CellLabel->
  "Out[22]//MatrixForm=",ExpressionUUID->"b1f9eb3b-950b-494f-8d52-\
0ebc71ac07a3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "This", " ", "start", " ", "vector", " ", "records", " ", "all", " ", 
    "pairs", " ", "of", " ", "first", " ", "two", " ", 
    RowBox[{"columns", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"svec", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"wt", "[", 
        RowBox[{"[", "i", "]"}], "]"}], "*", 
       RowBox[{"wt", "[", 
        RowBox[{"[", "j", "]"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "4"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "4"}], "}"}]}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.9514901167913313`*^9, 
  3.951490136780697*^9}},ExpressionUUID->"ac23ef17-a929-48b1-b2b3-\
ea7380803da3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   SuperscriptBox["a", "2"], ",", 
   RowBox[{"a", " ", "b"}], ",", 
   FractionBox["a", "b"], ",", "1", ",", 
   RowBox[{"a", " ", "b"}], ",", 
   SuperscriptBox["b", "2"], ",", "1", ",", 
   FractionBox["b", "a"], ",", 
   FractionBox["a", "b"], ",", "1", ",", 
   FractionBox["1", 
    SuperscriptBox["b", "2"]], ",", 
   FractionBox["1", 
    RowBox[{"a", " ", "b"}]], ",", "1", ",", 
   FractionBox["b", "a"], ",", 
   FractionBox["1", 
    RowBox[{"a", " ", "b"}]], ",", 
   FractionBox["1", 
    SuperscriptBox["a", "2"]]}], "}"}]], "Output",
 CellChangeTimes->{3.951303568129528*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"464cf8cb-882b-4a52-ae6a-715d584bff1a"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Compute", " ", "the", " ", "rational", " ", "generating", " ", 
    RowBox[{"function", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"ratfun", "=", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"mat", "=", 
        RowBox[{
         RowBox[{"IdentityMatrix", "[", "16", "]"}], "-", 
         RowBox[{"t", "*", "tmat"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Together", "[", 
       RowBox[{
        RowBox[{"Expand", "[", 
         RowBox[{"Total", "[", "\[IndentingNewLine]", 
          RowBox[{"svec", ".", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"-", "1"}], ")"}], "^", 
               RowBox[{"(", 
                RowBox[{"i", "+", "j"}], ")"}]}], "*", 
              RowBox[{"Det", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Delete", "[", 
                  RowBox[{"#", ",", "i"}], "]"}], "&"}], "/@", 
                RowBox[{"Delete", "[", 
                 RowBox[{"mat", ",", "j"}], "]"}]}], "]"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"i", ",", "16"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"j", ",", "16"}], "}"}]}], "]"}]}], "]"}], "]"}], "/", 
        RowBox[{"Det", "[", "mat", "]"}]}], "]"}]}], "\[IndentingNewLine]", 
     "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.9455394968597507`*^9, 3.945539511110342*^9}, 
   3.945539592680615*^9, {3.945539646662587*^9, 3.945539759136426*^9}, {
   3.945539803027727*^9, 3.945539812463932*^9}, {3.9455398806102867`*^9, 
   3.9455399126671762`*^9}, {3.945539944465589*^9, 3.945539957725772*^9}, {
   3.9455400785105057`*^9, 3.945540102405507*^9}, {3.945695436832019*^9, 
   3.9456954680799923`*^9}, {3.951490141252637*^9, 
   3.951490157888177*^9}},ExpressionUUID->"95cda01b-831d-4152-9ca8-\
cacbefd10120"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Using", " ", "a", " ", "different", " ", "start", " ", "vector", " ", 
     RowBox[{"(", 
      RowBox[{
      "going", " ", "two", " ", "steps", " ", "in", " ", 
       "\"\<negative direction\>\""}], ")"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{
    "corrects", " ", "the", " ", "offset", " ", "in", " ", "n", " ", "and", 
     " ", "makes", " ", "the", " ", "rational", " ", "function", " ", 
     RowBox[{"simpler", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"svec1", "=", 
   RowBox[{"Expand", "[", 
    RowBox[{"svec", ".", 
     RowBox[{"MatrixPower", "[", 
      RowBox[{"tmat", ",", 
       RowBox[{"-", "2"}]}], "]"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.951304060208523*^9, 3.9513040827762957`*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"4d712162-577b-4771-a077-96682913f4d9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", 
   ",", "0", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", ",", "0", ",", 
   "0"}], "}"}]], "Output",
 CellChangeTimes->{3.9513040836968937`*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"c6117243-0151-4b8a-9ce5-f7e99c160afd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ratfun1", "=", 
  RowBox[{"With", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"mat", "=", 
      RowBox[{
       RowBox[{"IdentityMatrix", "[", "16", "]"}], "-", 
       RowBox[{"t", "*", "tmat"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Together", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Expand", "[", 
        RowBox[{"Total", "[", "\[IndentingNewLine]", 
         RowBox[{"svec1", ".", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"-", "1"}], ")"}], "^", 
              RowBox[{"(", 
               RowBox[{"i", "+", "j"}], ")"}]}], "*", 
             RowBox[{"Det", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Delete", "[", 
                 RowBox[{"#", ",", "i"}], "]"}], "&"}], "/@", 
               RowBox[{"Delete", "[", 
                RowBox[{"mat", ",", "j"}], "]"}]}], "]"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "16"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"j", ",", "16"}], "}"}]}], "]"}]}], "]"}], "]"}], "/", 
       RowBox[{"Det", "[", "mat", "]"}]}], "-", "3"}], "]"}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.945541143068871*^9, 3.945541149271083*^9}, {
  3.9455414038256693`*^9, 3.9455414041156063`*^9}, {3.9513040176246367`*^9, 
  3.951304022165945*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"1d3ad8ed-ce04-44d9-9e4f-be16e710d980"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["a", "3"]}], " ", 
     SuperscriptBox["b", "3"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "2"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "2"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "2"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "2"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "2"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "3"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "3"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "3"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "3"]}], "-", 
    RowBox[{"a", " ", "b", " ", 
     SuperscriptBox["t", "4"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "5"], " ", "b", " ", 
     SuperscriptBox["t", "4"]}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "4"]}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "4"]}], "-", 
    RowBox[{"9", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "4"]}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "4"]}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "4"]}], "-", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "5"], " ", 
     SuperscriptBox["t", "4"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "5"], " ", 
     SuperscriptBox["b", "5"], " ", 
     SuperscriptBox["t", "4"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "5"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "5"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "5"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "5"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "3"], " ", "b", " ", 
     SuperscriptBox["t", "6"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "6"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "6"]}], "-", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "6"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "6"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "5"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "6"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "6"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "6"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "5"], " ", 
     SuperscriptBox["t", "6"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["t", "7"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"], " ", "b", " ", 
     SuperscriptBox["t", "7"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "4"], " ", "b", " ", 
     SuperscriptBox["t", "7"]}], "-", 
    RowBox[{"2", " ", "a", " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "7"]}], "+", 
    RowBox[{"6", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "7"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "5"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "7"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "7"]}], "+", 
    RowBox[{"6", " ", 
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "7"]}], "+", 
    RowBox[{"6", " ", 
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "7"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "6"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "7"]}], "-", 
    RowBox[{"2", " ", "a", " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "7"]}], "+", 
    RowBox[{"6", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "7"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "5"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "7"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "5"], " ", 
     SuperscriptBox["t", "7"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "5"], " ", 
     SuperscriptBox["t", "7"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "6"], " ", 
     SuperscriptBox["t", "7"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["a", "3"], " ", "b", " ", 
     SuperscriptBox["t", "8"]}], "+", 
    RowBox[{"3", " ", "a", " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "8"]}], "-", 
    RowBox[{"12", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "8"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["a", "5"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "8"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "5"], " ", 
     SuperscriptBox["t", "8"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "9"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "9"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "9"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "9"]}], "+", 
    RowBox[{"7", " ", 
     SuperscriptBox["a", "3"], " ", "b", " ", 
     SuperscriptBox["t", "10"]}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "10"]}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "10"]}], "+", 
    RowBox[{"7", " ", "a", " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "10"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "10"]}], "+", 
    RowBox[{"7", " ", 
     SuperscriptBox["a", "5"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "10"]}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "10"]}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "10"]}], "+", 
    RowBox[{"7", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "5"], " ", 
     SuperscriptBox["t", "10"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "11"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "11"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "11"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "11"]}], "-", 
    RowBox[{"13", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "12"]}], "-", 
    RowBox[{"8", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "13"]}], "-", 
    RowBox[{"8", " ", 
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "13"]}], "-", 
    RowBox[{"8", " ", 
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "13"]}], "-", 
    RowBox[{"8", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "13"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "14"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "16"]}]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["a", "3"]}], " ", 
     SuperscriptBox["b", "3"]}], "+", 
    RowBox[{
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "2"], " ", "t"}], "+", 
    RowBox[{
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "3"], " ", "t"}], "+", 
    RowBox[{
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "3"], " ", "t"}], "+", 
    RowBox[{
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "4"], " ", "t"}], "-", 
    RowBox[{
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "2"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "2"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "2"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "2"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "2"]}], "+", 
    RowBox[{
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "3"]}], "+", 
    RowBox[{
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "3"]}], "+", 
    RowBox[{
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "3"]}], "+", 
    RowBox[{
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "3"]}], "+", 
    RowBox[{"a", " ", "b", " ", 
     SuperscriptBox["t", "4"]}], "+", 
    RowBox[{
     SuperscriptBox["a", "5"], " ", "b", " ", 
     SuperscriptBox["t", "4"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "4"]}], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "5"], " ", 
     SuperscriptBox["t", "4"]}], "+", 
    RowBox[{
     SuperscriptBox["a", "5"], " ", 
     SuperscriptBox["b", "5"], " ", 
     SuperscriptBox["t", "4"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "2"], " ", "b", " ", 
     SuperscriptBox["t", "5"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "4"], " ", "b", " ", 
     SuperscriptBox["t", "5"]}], "-", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "5"]}], "+", 
    RowBox[{
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "5"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "5"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "5"]}], "+", 
    RowBox[{
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "5"]}], "+", 
    RowBox[{
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "5"]}], "-", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "5"]}], "+", 
    RowBox[{
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "5"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "5"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "5"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "5"], " ", 
     SuperscriptBox["t", "5"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "5"], " ", 
     SuperscriptBox["t", "5"]}], "+", 
    RowBox[{
     SuperscriptBox["a", "3"], " ", "b", " ", 
     SuperscriptBox["t", "6"]}], "+", 
    RowBox[{
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "6"]}], "+", 
    RowBox[{
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "6"]}], "+", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "6"]}], "-", 
    RowBox[{"6", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "6"]}], "+", 
    RowBox[{
     SuperscriptBox["a", "5"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "6"]}], "+", 
    RowBox[{
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "6"]}], "+", 
    RowBox[{
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "6"]}], "+", 
    RowBox[{
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "5"], " ", 
     SuperscriptBox["t", "6"]}], "+", 
    RowBox[{
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["t", "7"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "7"]}], "+", 
    RowBox[{
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "7"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "7"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "7"]}], "+", 
    RowBox[{
     SuperscriptBox["a", "6"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "7"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "7"]}], "+", 
    RowBox[{
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "6"], " ", 
     SuperscriptBox["t", "7"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "3"], " ", "b", " ", 
     SuperscriptBox["t", "8"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "8"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "8"]}], "-", 
    RowBox[{"a", " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "8"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "5"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "8"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "8"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "8"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "5"], " ", 
     SuperscriptBox["t", "8"]}], "-", 
    RowBox[{"3", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "9"]}], "-", 
    RowBox[{"3", " ", 
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "9"]}], "-", 
    RowBox[{"3", " ", 
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "9"]}], "-", 
    RowBox[{"3", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "9"]}], "-", 
    RowBox[{"3", " ", 
     SuperscriptBox["a", "3"], " ", "b", " ", 
     SuperscriptBox["t", "10"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "10"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "10"]}], "-", 
    RowBox[{"3", " ", "a", " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "10"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "10"]}], "-", 
    RowBox[{"3", " ", 
     SuperscriptBox["a", "5"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "10"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "10"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "10"]}], "-", 
    RowBox[{"3", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "5"], " ", 
     SuperscriptBox["t", "10"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "11"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "11"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "11"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "11"]}], "+", 
    RowBox[{"7", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "12"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "2"], " ", 
     SuperscriptBox["t", "13"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["a", "2"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "13"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["a", "4"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "13"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "4"], " ", 
     SuperscriptBox["t", "13"]}], "+", 
    RowBox[{"2", " ", 
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "14"]}], "-", 
    RowBox[{
     SuperscriptBox["a", "3"], " ", 
     SuperscriptBox["b", "3"], " ", 
     SuperscriptBox["t", "16"]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.945541162050508*^9, 3.9455412624595747`*^9, 
  3.945541407402493*^9, 3.945695662857671*^9, 3.951304100498741*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"6bda6729-8922-44e5-a71b-92fe89330d7d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ByteCount", "/@", 
  RowBox[{"{", 
   RowBox[{"ratfun", ",", "ratfun1"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.9455412669204483`*^9, 3.9455412761778803`*^9}, {
  3.945541355251615*^9, 3.9455413581091537`*^9}, {3.9455414145770483`*^9, 
  3.945541416161365*^9}, {3.945695666366899*^9, 3.945695677014475*^9}},
 CellLabel->"In[28]:=",ExpressionUUID->"388ff336-89b5-402a-b8eb-7361f13a78b9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"71568", ",", "45776"}], "}"}]], "Output",
 CellChangeTimes->{
  3.945541276590804*^9, 3.945541358660117*^9, 3.945541416751382*^9, {
   3.945695668381484*^9, 3.945695677413391*^9}, 3.951304106367964*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"72b938d0-8474-4ee3-bd25-fb24db894c34"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Sanity", " ", "check"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Coefficient", "[", 
     RowBox[{
      RowBox[{"Coefficient", "[", 
       RowBox[{
        RowBox[{"Expand", "[", "#", "]"}], ",", "a", ",", "0"}], "]"}], ",", 
      "b", ",", "0"}], "]"}], "&"}], "/@", 
   RowBox[{"CoefficientList", "[", 
    RowBox[{
     RowBox[{"Series", "[", 
      RowBox[{"ratfun1", ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "12"}], "}"}]}], "]"}], ",", "t"}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.945541186834244*^9, {3.945541287692583*^9, 3.94554130948141*^9}, {
   3.94554142167446*^9, 3.945541421807365*^9}, {3.951490185371619*^9, 
   3.95149018914167*^9}},ExpressionUUID->"409f2d96-460b-4dd6-94c3-\
e722253f60f1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "0", ",", "4", ",", "0", ",", "16", ",", "0", ",", "64", ",", "0",
    ",", "324", ",", "0", ",", "1764", ",", "0", ",", "10000"}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.9455411901815042`*^9, {3.945541280409264*^9, 3.945541310063361*^9}, 
   3.945541422385799*^9, 3.951304120774837*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"cf38c6fc-b108-435f-bf92-bbeb73463781"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "We", " ", "need", " ", "to", " ", "extract", " ", "the", " ", 
     "coefficient", " ", "of", " ", 
     RowBox[{"a", "^", "0"}], " ", 
     RowBox[{"b", "^", "0."}], " ", "In", " ", "order", " ", "to", " ", "do", 
     " ", "so"}], ",", " ", 
    RowBox[{
    "we", " ", "divide", " ", "by", " ", "a", "*", "b", " ", "and", " ", 
     "integrate", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"residue", " ", "computation"}], ")"}], "."}]}]}], " ", "*)"}],
   "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"rf1", "=", 
     RowBox[{"ratfun1", "/", 
      RowBox[{"(", 
       RowBox[{"a", " ", "b"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Timing", "[", 
    RowBox[{
     RowBox[{"ct1", "=", 
      RowBox[{
       RowBox[{"CreativeTelescoping", "[", 
        RowBox[{"rf1", ",", 
         RowBox[{"Der", "[", "a", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Der", "[", "b", "]"}], ",", 
           RowBox[{"Der", "[", "t", "]"}]}], "}"}]}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.9456201278425198`*^9, 3.945620155154756*^9}, {
  3.945695719900774*^9, 3.945695745839155*^9}, {3.9514902086468287`*^9, 
  3.951490249181758*^9}},ExpressionUUID->"e1b75136-cdb1-44e1-abcb-\
14ebb593cfc8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"262.756341`", ",", "Null"}], "}"}]], "Output",
 CellChangeTimes->{3.945620370393392*^9},
 CellLabel->
  "Out[453]=",ExpressionUUID->"96949903-33f7-453e-aa06-fc028ae4c84a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"#", "[", "ct1", "]"}], "&"}], "/@", 
  RowBox[{"{", 
   RowBox[{"ByteCount", ",", "UnderTheStaircase"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.945620383845755*^9, 3.945620431982443*^9}, {
  3.945695760628868*^9, 3.945695760749362*^9}},
 CellLabel->
  "In[570]:=",ExpressionUUID->"5ae91ab1-9d4b-4029-8f14-d87985a4bf9f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1290336", ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     SubscriptBox["D", "t"], ",", 
     SubscriptBox["D", "b"], ",", 
     SubsuperscriptBox["D", "t", "2"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.945620386987314*^9, 3.945620432263048*^9}, 
   3.9456957619708*^9},
 CellLabel->
  "Out[570]=",ExpressionUUID->"dbfb9f90-9f95-4490-b034-16fc505221db"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{
   RowBox[{"ct2", "=", 
    RowBox[{"FindCreativeTelescoping", "[", 
     RowBox[{"ct1", ",", 
      RowBox[{"Der", "[", "b", "]"}]}], "]"}]}], ";"}], "]"}]], "Input",
 CellChangeTimes->{{3.9456204407914762`*^9, 3.9456204607795343`*^9}, {
  3.945695769251212*^9, 
  3.945695771819686*^9}},ExpressionUUID->"83a8ffff-9cfe-4f11-9828-\
923da5b96a3b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"3602.456426`", ",", "Null"}], "}"}]], "Output",
 CellChangeTimes->{3.945623967513934*^9},
 CellLabel->
  "Out[459]=",ExpressionUUID->"d7d50c44-d34d-4203-9536-b0a85c733ab3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Operator", " ", "annihilating", " ", "the", " ", "generating", " ", 
    "function", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"in", " ", 
       RowBox[{"t", "^", "2"}]}], ")"}], "."}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Factor", "[", 
   RowBox[{"ct2", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.945624011549304*^9, 3.945624026338029*^9}, {
  3.9456958199154663`*^9, 3.94569582000073*^9}, {3.951490263035553*^9, 
  3.951490296139618*^9}},ExpressionUUID->"21c3fcce-1146-468e-8c18-\
8bc668275a65"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "t"}], ")"}], "4"], " ", 
    SuperscriptBox["t", "4"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "+", "t"}], ")"}], "4"], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{"3", " ", "t"}], "+", 
      SuperscriptBox["t", "2"]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "t", "+", 
      SuperscriptBox["t", "2"]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", "t", "+", 
      SuperscriptBox["t", "2"]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"3", " ", "t"}], "+", 
      SuperscriptBox["t", "2"]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", "t", "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["t", "2"]}], "-", 
      SuperscriptBox["t", "3"], "+", 
      SuperscriptBox["t", "4"]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", "t", "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["t", "2"]}], "+", 
      SuperscriptBox["t", "3"], "+", 
      SuperscriptBox["t", "4"]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"6", "+", 
      RowBox[{"22", " ", 
       SuperscriptBox["t", "2"]}], "+", 
      RowBox[{"67", " ", 
       SuperscriptBox["t", "4"]}], "+", 
      RowBox[{"155", " ", 
       SuperscriptBox["t", "6"]}], "+", 
      RowBox[{"340", " ", 
       SuperscriptBox["t", "8"]}], "+", 
      RowBox[{"515", " ", 
       SuperscriptBox["t", "10"]}], "+", 
      RowBox[{"673", " ", 
       SuperscriptBox["t", "12"]}], "+", 
      RowBox[{"689", " ", 
       SuperscriptBox["t", "14"]}], "+", 
      RowBox[{"673", " ", 
       SuperscriptBox["t", "16"]}], "+", 
      RowBox[{"515", " ", 
       SuperscriptBox["t", "18"]}], "+", 
      RowBox[{"340", " ", 
       SuperscriptBox["t", "20"]}], "+", 
      RowBox[{"155", " ", 
       SuperscriptBox["t", "22"]}], "+", 
      RowBox[{"67", " ", 
       SuperscriptBox["t", "24"]}], "+", 
      RowBox[{"22", " ", 
       SuperscriptBox["t", "26"]}], "+", 
      RowBox[{"6", " ", 
       SuperscriptBox["t", "28"]}]}], ")"}]}], 
   SubsuperscriptBox["D", "t", "5"]}], "+", 
  RowBox[{
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "t"}], ")"}], "3"], " ", 
    SuperscriptBox["t", "3"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "+", "t"}], ")"}], "3"], " ", 
    RowBox[{"(", 
     RowBox[{"6", "+", 
      RowBox[{"134", " ", 
       SuperscriptBox["t", "2"]}], "+", 
      RowBox[{"917", " ", 
       SuperscriptBox["t", "4"]}], "+", 
      RowBox[{"5293", " ", 
       SuperscriptBox["t", "6"]}], "+", 
      RowBox[{"15326", " ", 
       SuperscriptBox["t", "8"]}], "+", 
      RowBox[{"34482", " ", 
       SuperscriptBox["t", "10"]}], "+", 
      RowBox[{"58474", " ", 
       SuperscriptBox["t", "12"]}], "+", 
      RowBox[{"83774", " ", 
       SuperscriptBox["t", "14"]}], "+", 
      RowBox[{"66892", " ", 
       SuperscriptBox["t", "16"]}], "-", 
      RowBox[{"10088", " ", 
       SuperscriptBox["t", "18"]}], "-", 
      RowBox[{"168432", " ", 
       SuperscriptBox["t", "20"]}], "-", 
      RowBox[{"320568", " ", 
       SuperscriptBox["t", "22"]}], "-", 
      RowBox[{"429948", " ", 
       SuperscriptBox["t", "24"]}], "-", 
      RowBox[{"435962", " ", 
       SuperscriptBox["t", "26"]}], "-", 
      RowBox[{"383858", " ", 
       SuperscriptBox["t", "28"]}], "-", 
      RowBox[{"275098", " ", 
       SuperscriptBox["t", "30"]}], "-", 
      RowBox[{"166556", " ", 
       SuperscriptBox["t", "32"]}], "-", 
      RowBox[{"75786", " ", 
       SuperscriptBox["t", "34"]}], "-", 
      RowBox[{"28018", " ", 
       SuperscriptBox["t", "36"]}], "-", 
      RowBox[{"7214", " ", 
       SuperscriptBox["t", "38"]}], "-", 
      RowBox[{"1537", " ", 
       SuperscriptBox["t", "40"]}], "-", 
      RowBox[{"13", " ", 
       SuperscriptBox["t", "42"]}], "+", 
      RowBox[{"114", " ", 
       SuperscriptBox["t", "44"]}], "+", 
      RowBox[{"66", " ", 
       SuperscriptBox["t", "46"]}]}], ")"}]}], 
   SubsuperscriptBox["D", "t", "4"]}], "+", 
  RowBox[{
   RowBox[{"3", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "t"}], ")"}], "2"], " ", 
    SuperscriptBox["t", "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "+", "t"}], ")"}], "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "6"}], "-", 
      RowBox[{"24", " ", 
       SuperscriptBox["t", "2"]}], "-", 
      RowBox[{"469", " ", 
       SuperscriptBox["t", "4"]}], "-", 
      RowBox[{"6122", " ", 
       SuperscriptBox["t", "6"]}], "-", 
      RowBox[{"4549", " ", 
       SuperscriptBox["t", "8"]}], "+", 
      RowBox[{"9532", " ", 
       SuperscriptBox["t", "10"]}], "+", 
      RowBox[{"71288", " ", 
       SuperscriptBox["t", "12"]}], "+", 
      RowBox[{"191611", " ", 
       SuperscriptBox["t", "14"]}], "+", 
      RowBox[{"430814", " ", 
       SuperscriptBox["t", "16"]}], "+", 
      RowBox[{"707794", " ", 
       SuperscriptBox["t", "18"]}], "+", 
      RowBox[{"933680", " ", 
       SuperscriptBox["t", "20"]}], "+", 
      RowBox[{"889157", " ", 
       SuperscriptBox["t", "22"]}], "+", 
      RowBox[{"631852", " ", 
       SuperscriptBox["t", "24"]}], "+", 
      RowBox[{"304669", " ", 
       SuperscriptBox["t", "26"]}], "+", 
      RowBox[{"91888", " ", 
       SuperscriptBox["t", "28"]}], "-", 
      RowBox[{"35166", " ", 
       SuperscriptBox["t", "30"]}], "-", 
      RowBox[{"70882", " ", 
       SuperscriptBox["t", "32"]}], "-", 
      RowBox[{"70269", " ", 
       SuperscriptBox["t", "34"]}], "-", 
      RowBox[{"23816", " ", 
       SuperscriptBox["t", "36"]}], "+", 
      RowBox[{"2940", " ", 
       SuperscriptBox["t", "38"]}], "+", 
      RowBox[{"12875", " ", 
       SuperscriptBox["t", "40"]}], "+", 
      RowBox[{"5286", " ", 
       SuperscriptBox["t", "42"]}], "+", 
      RowBox[{"2155", " ", 
       SuperscriptBox["t", "44"]}], "+", 
      RowBox[{"680", " ", 
       SuperscriptBox["t", "46"]}], "+", 
      RowBox[{"282", " ", 
       SuperscriptBox["t", "48"]}]}], ")"}]}], 
   SubsuperscriptBox["D", "t", "3"]}], "+", 
  RowBox[{
   RowBox[{"3", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "t"}], ")"}], " ", "t", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", "t"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "30"}], "-", 
      RowBox[{"298", " ", 
       SuperscriptBox["t", "2"]}], "-", 
      RowBox[{"917", " ", 
       SuperscriptBox["t", "4"]}], "+", 
      RowBox[{"1487", " ", 
       SuperscriptBox["t", "6"]}], "-", 
      RowBox[{"37507", " ", 
       SuperscriptBox["t", "8"]}], "-", 
      RowBox[{"115299", " ", 
       SuperscriptBox["t", "10"]}], "-", 
      RowBox[{"263124", " ", 
       SuperscriptBox["t", "12"]}], "-", 
      RowBox[{"511231", " ", 
       SuperscriptBox["t", "14"]}], "-", 
      RowBox[{"804507", " ", 
       SuperscriptBox["t", "16"]}], "-", 
      RowBox[{"1079392", " ", 
       SuperscriptBox["t", "18"]}], "-", 
      RowBox[{"1083838", " ", 
       SuperscriptBox["t", "20"]}], "-", 
      RowBox[{"970321", " ", 
       SuperscriptBox["t", "22"]}], "-", 
      RowBox[{"668259", " ", 
       SuperscriptBox["t", "24"]}], "-", 
      RowBox[{"701065", " ", 
       SuperscriptBox["t", "26"]}], "-", 
      RowBox[{"673187", " ", 
       SuperscriptBox["t", "28"]}], "-", 
      RowBox[{"577098", " ", 
       SuperscriptBox["t", "30"]}], "-", 
      RowBox[{"380824", " ", 
       SuperscriptBox["t", "32"]}], "-", 
      RowBox[{"186377", " ", 
       SuperscriptBox["t", "34"]}], "-", 
      RowBox[{"112381", " ", 
       SuperscriptBox["t", "36"]}], "-", 
      RowBox[{"30924", " ", 
       SuperscriptBox["t", "38"]}], "-", 
      RowBox[{"5861", " ", 
       SuperscriptBox["t", "40"]}], "+", 
      RowBox[{"29219", " ", 
       SuperscriptBox["t", "42"]}], "+", 
      RowBox[{"13881", " ", 
       SuperscriptBox["t", "44"]}], "+", 
      RowBox[{"5493", " ", 
       SuperscriptBox["t", "46"]}], "+", 
      RowBox[{"1402", " ", 
       SuperscriptBox["t", "48"]}], "+", 
      RowBox[{"558", " ", 
       SuperscriptBox["t", "50"]}]}], ")"}]}], 
   SubsuperscriptBox["D", "t", "2"]}], "+", 
  RowBox[{
   RowBox[{"3", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "30"}], "-", 
      RowBox[{"268", " ", 
       SuperscriptBox["t", "2"]}], "-", 
      RowBox[{"619", " ", 
       SuperscriptBox["t", "4"]}], "+", 
      RowBox[{"2404", " ", 
       SuperscriptBox["t", "6"]}], "+", 
      RowBox[{"41646", " ", 
       SuperscriptBox["t", "8"]}], "+", 
      RowBox[{"89632", " ", 
       SuperscriptBox["t", "10"]}], "+", 
      RowBox[{"195471", " ", 
       SuperscriptBox["t", "12"]}], "+", 
      RowBox[{"416981", " ", 
       SuperscriptBox["t", "14"]}], "+", 
      RowBox[{"700836", " ", 
       SuperscriptBox["t", "16"]}], "+", 
      RowBox[{"1205179", " ", 
       SuperscriptBox["t", "18"]}], "+", 
      RowBox[{"1569442", " ", 
       SuperscriptBox["t", "20"]}], "+", 
      RowBox[{"2010861", " ", 
       SuperscriptBox["t", "22"]}], "+", 
      RowBox[{"1876526", " ", 
       SuperscriptBox["t", "24"]}], "+", 
      RowBox[{"2038490", " ", 
       SuperscriptBox["t", "26"]}], "+", 
      RowBox[{"1823526", " ", 
       SuperscriptBox["t", "28"]}], "+", 
      RowBox[{"1672153", " ", 
       SuperscriptBox["t", "30"]}], "+", 
      RowBox[{"1226290", " ", 
       SuperscriptBox["t", "32"]}], "+", 
      RowBox[{"737295", " ", 
       SuperscriptBox["t", "34"]}], "+", 
      RowBox[{"406604", " ", 
       SuperscriptBox["t", "36"]}], "+", 
      RowBox[{"165681", " ", 
       SuperscriptBox["t", "38"]}], "+", 
      RowBox[{"87079", " ", 
       SuperscriptBox["t", "40"]}], "+", 
      RowBox[{"6792", " ", 
       SuperscriptBox["t", "42"]}], "+", 
      RowBox[{"20758", " ", 
       SuperscriptBox["t", "44"]}], "+", 
      RowBox[{"6332", " ", 
       SuperscriptBox["t", "46"]}], "+", 
      RowBox[{"1349", " ", 
       SuperscriptBox["t", "48"]}], "+", 
      RowBox[{"180", " ", 
       SuperscriptBox["t", "50"]}], "+", 
      RowBox[{"210", " ", 
       SuperscriptBox["t", "52"]}]}], ")"}]}], 
   SubscriptBox["D", "t"]}]}]], "Output",
 CellChangeTimes->{{3.945624016387538*^9, 3.9456240269521646`*^9}, 
   3.9456958225666647`*^9},
 CellLabel->
  "Out[573]=",ExpressionUUID->"71585bb6-b391-4159-aea3-e7ebda3452b8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Do", " ", "the", " ", "substitution", " ", 
     RowBox[{"t", "^", "2"}]}], " ", "->", " ", 
    RowBox[{"t", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"Factor", "[", 
   RowBox[{"opNA2", "=", 
    RowBox[{
     RowBox[{"DFiniteSubstitute", "[", 
      RowBox[{
       RowBox[{"ct2", "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", "->", 
         RowBox[{"Sqrt", "[", "z", "]"}]}], "}"}], ",", 
       RowBox[{"Algebra", "->", 
        RowBox[{"OreAlgebra", "[", 
         RowBox[{"Der", "[", "z", "]"}], "]"}]}]}], "]"}], "/.", 
     RowBox[{"z", "->", "t"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.945695993761273*^9, 3.9456960085217876`*^9}, {
  3.9514903045726213`*^9, 
  3.951490318213739*^9}},ExpressionUUID->"ab78fb22-0690-4bdf-aea4-\
256d2c4b532b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "t"}], ")"}], "4"], " ", "t", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"7", " ", "t"}], "+", 
       SuperscriptBox["t", "2"]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "t", "+", 
       SuperscriptBox["t", "2"]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"3", " ", "t"}], "+", 
       RowBox[{"8", " ", 
        SuperscriptBox["t", "2"]}], "+", 
       RowBox[{"3", " ", 
        SuperscriptBox["t", "3"]}], "+", 
       SuperscriptBox["t", "4"]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"6", "+", 
       RowBox[{"22", " ", "t"}], "+", 
       RowBox[{"67", " ", 
        SuperscriptBox["t", "2"]}], "+", 
       RowBox[{"155", " ", 
        SuperscriptBox["t", "3"]}], "+", 
       RowBox[{"340", " ", 
        SuperscriptBox["t", "4"]}], "+", 
       RowBox[{"515", " ", 
        SuperscriptBox["t", "5"]}], "+", 
       RowBox[{"673", " ", 
        SuperscriptBox["t", "6"]}], "+", 
       RowBox[{"689", " ", 
        SuperscriptBox["t", "7"]}], "+", 
       RowBox[{"673", " ", 
        SuperscriptBox["t", "8"]}], "+", 
       RowBox[{"515", " ", 
        SuperscriptBox["t", "9"]}], "+", 
       RowBox[{"340", " ", 
        SuperscriptBox["t", "10"]}], "+", 
       RowBox[{"155", " ", 
        SuperscriptBox["t", "11"]}], "+", 
       RowBox[{"67", " ", 
        SuperscriptBox["t", "12"]}], "+", 
       RowBox[{"22", " ", 
        SuperscriptBox["t", "13"]}], "+", 
       RowBox[{"6", " ", 
        SuperscriptBox["t", "14"]}]}], ")"}]}], 
    SubsuperscriptBox["D", "t", "5"]}], "+", 
   RowBox[{
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "t"}], ")"}], "3"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "24"}], "+", 
       RowBox[{"144", " ", "t"}], "+", 
       RowBox[{"1382", " ", 
        SuperscriptBox["t", "2"]}], "+", 
       RowBox[{"8708", " ", 
        SuperscriptBox["t", "3"]}], "+", 
       RowBox[{"26596", " ", 
        SuperscriptBox["t", "4"]}], "+", 
       RowBox[{"65732", " ", 
        SuperscriptBox["t", "5"]}], "+", 
       RowBox[{"125604", " ", 
        SuperscriptBox["t", "6"]}], "+", 
       RowBox[{"208939", " ", 
        SuperscriptBox["t", "7"]}], "+", 
       RowBox[{"237887", " ", 
        SuperscriptBox["t", "8"]}], "+", 
       RowBox[{"176797", " ", 
        SuperscriptBox["t", "9"]}], "-", 
       RowBox[{"34667", " ", 
        SuperscriptBox["t", "10"]}], "-", 
       RowBox[{"265878", " ", 
        SuperscriptBox["t", "11"]}], "-", 
       RowBox[{"484638", " ", 
        SuperscriptBox["t", "12"]}], "-", 
       RowBox[{"569727", " ", 
        SuperscriptBox["t", "13"]}], "-", 
       RowBox[{"570743", " ", 
        SuperscriptBox["t", "14"]}], "-", 
       RowBox[{"446093", " ", 
        SuperscriptBox["t", "15"]}], "-", 
       RowBox[{"291721", " ", 
        SuperscriptBox["t", "16"]}], "-", 
       RowBox[{"142916", " ", 
        SuperscriptBox["t", "17"]}], "-", 
       RowBox[{"59268", " ", 
        SuperscriptBox["t", "18"]}], "-", 
       RowBox[{"18484", " ", 
        SuperscriptBox["t", "19"]}], "-", 
       RowBox[{"4952", " ", 
        SuperscriptBox["t", "20"]}], "-", 
       RowBox[{"478", " ", 
        SuperscriptBox["t", "21"]}], "+", 
       RowBox[{"104", " ", 
        SuperscriptBox["t", "22"]}], "+", 
       RowBox[{"96", " ", 
        SuperscriptBox["t", "23"]}]}], ")"}]}], 
    SubsuperscriptBox["D", "t", "4"]}], "+", 
   RowBox[{
    RowBox[{"6", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "t"}], ")"}], "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "72"}], "-", 
       RowBox[{"507", " ", "t"}], "-", 
       RowBox[{"3322", " ", 
        SuperscriptBox["t", "2"]}], "-", 
       RowBox[{"6567", " ", 
        SuperscriptBox["t", "3"]}], "-", 
       RowBox[{"10884", " ", 
        SuperscriptBox["t", "4"]}], "-", 
       RowBox[{"7570", " ", 
        SuperscriptBox["t", "5"]}], "+", 
       RowBox[{"4047", " ", 
        SuperscriptBox["t", "6"]}], "+", 
       RowBox[{"56564", " ", 
        SuperscriptBox["t", "7"]}], "+", 
       RowBox[{"124978", " ", 
        SuperscriptBox["t", "8"]}], "+", 
       RowBox[{"202522", " ", 
        SuperscriptBox["t", "9"]}], "+", 
       RowBox[{"197097", " ", 
        SuperscriptBox["t", "10"]}], "+", 
       RowBox[{"147344", " ", 
        SuperscriptBox["t", "11"]}], "+", 
       RowBox[{"50975", " ", 
        SuperscriptBox["t", "12"]}], "-", 
       RowBox[{"7926", " ", 
        SuperscriptBox["t", "13"]}], "-", 
       RowBox[{"60762", " ", 
        SuperscriptBox["t", "14"]}], "-", 
       RowBox[{"68860", " ", 
        SuperscriptBox["t", "15"]}], "-", 
       RowBox[{"61423", " ", 
        SuperscriptBox["t", "16"]}], "-", 
       RowBox[{"31346", " ", 
        SuperscriptBox["t", "17"]}], "-", 
       RowBox[{"12532", " ", 
        SuperscriptBox["t", "18"]}], "-", 
       RowBox[{"2211", " ", 
        SuperscriptBox["t", "19"]}], "-", 
       RowBox[{"470", " ", 
        SuperscriptBox["t", "20"]}], "+", 
       RowBox[{"149", " ", 
        SuperscriptBox["t", "21"]}], "+", 
       RowBox[{"104", " ", 
        SuperscriptBox["t", "22"]}], "+", 
       RowBox[{"72", " ", 
        SuperscriptBox["t", "23"]}]}], ")"}]}], 
    SubsuperscriptBox["D", "t", "3"]}], "+", 
   RowBox[{
    RowBox[{"6", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "t"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"108", "+", 
       RowBox[{"1602", " ", "t"}], "-", 
       RowBox[{"1932", " ", 
        SuperscriptBox["t", "2"]}], "-", 
       RowBox[{"8706", " ", 
        SuperscriptBox["t", "3"]}], "-", 
       RowBox[{"27420", " ", 
        SuperscriptBox["t", "4"]}], "-", 
       RowBox[{"54349", " ", 
        SuperscriptBox["t", "5"]}], "-", 
       RowBox[{"100405", " ", 
        SuperscriptBox["t", "6"]}], "-", 
       RowBox[{"126908", " ", 
        SuperscriptBox["t", "7"]}], "-", 
       RowBox[{"120264", " ", 
        SuperscriptBox["t", "8"]}], "-", 
       RowBox[{"51521", " ", 
        SuperscriptBox["t", "9"]}], "+", 
       RowBox[{"11823", " ", 
        SuperscriptBox["t", "10"]}], "+", 
       RowBox[{"30451", " ", 
        SuperscriptBox["t", "11"]}], "+", 
       RowBox[{"5087", " ", 
        SuperscriptBox["t", "12"]}], "-", 
       RowBox[{"5164", " ", 
        SuperscriptBox["t", "13"]}], "-", 
       RowBox[{"17132", " ", 
        SuperscriptBox["t", "14"]}], "-", 
       RowBox[{"13985", " ", 
        SuperscriptBox["t", "15"]}], "-", 
       RowBox[{"21109", " ", 
        SuperscriptBox["t", "16"]}], "-", 
       RowBox[{"10320", " ", 
        SuperscriptBox["t", "17"]}], "-", 
       RowBox[{"4120", " ", 
        SuperscriptBox["t", "18"]}], "+", 
       RowBox[{"2730", " ", 
        SuperscriptBox["t", "19"]}], "+", 
       RowBox[{"1280", " ", 
        SuperscriptBox["t", "20"]}], "+", 
       RowBox[{"598", " ", 
        SuperscriptBox["t", "21"]}], "+", 
       RowBox[{"160", " ", 
        SuperscriptBox["t", "22"]}], "+", 
       RowBox[{"96", " ", 
        SuperscriptBox["t", "23"]}]}], ")"}]}], 
    SubsuperscriptBox["D", "t", "2"]}], "+", 
   RowBox[{
    RowBox[{"12", " ", "t", " ", 
     RowBox[{"(", 
      RowBox[{"1260", "+", 
       RowBox[{"2616", " ", "t"}], "+", 
       RowBox[{"5364", " ", 
        SuperscriptBox["t", "2"]}], "+", 
       RowBox[{"10392", " ", 
        SuperscriptBox["t", "3"]}], "+", 
       RowBox[{"15533", " ", 
        SuperscriptBox["t", "4"]}], "+", 
       RowBox[{"23126", " ", 
        SuperscriptBox["t", "5"]}], "+", 
       RowBox[{"24592", " ", 
        SuperscriptBox["t", "6"]}], "+", 
       RowBox[{"29646", " ", 
        SuperscriptBox["t", "7"]}], "+", 
       RowBox[{"24601", " ", 
        SuperscriptBox["t", "8"]}], "+", 
       RowBox[{"32364", " ", 
        SuperscriptBox["t", "9"]}], "+", 
       RowBox[{"28057", " ", 
        SuperscriptBox["t", "10"]}], "+", 
       RowBox[{"24626", " ", 
        SuperscriptBox["t", "11"]}], "+", 
       RowBox[{"16094", " ", 
        SuperscriptBox["t", "12"]}], "+", 
       RowBox[{"8482", " ", 
        SuperscriptBox["t", "13"]}], "+", 
       RowBox[{"5197", " ", 
        SuperscriptBox["t", "14"]}], "+", 
       RowBox[{"1316", " ", 
        SuperscriptBox["t", "15"]}], "+", 
       RowBox[{"969", " ", 
        SuperscriptBox["t", "16"]}], "-", 
       RowBox[{"442", " ", 
        SuperscriptBox["t", "17"]}], "+", 
       RowBox[{"564", " ", 
        SuperscriptBox["t", "18"]}], "+", 
       RowBox[{"230", " ", 
        SuperscriptBox["t", "19"]}], "+", 
       RowBox[{"85", " ", 
        SuperscriptBox["t", "20"]}], "+", 
       RowBox[{"16", " ", 
        SuperscriptBox["t", "21"]}], "+", 
       RowBox[{"12", " ", 
        SuperscriptBox["t", "22"]}]}], ")"}]}], 
    SubscriptBox["D", "t"]}]}], "}"}]], "Output",
 CellChangeTimes->{3.945696010093299*^9},
 CellLabel->
  "Out[581]=",ExpressionUUID->"3f361085-e7c3-4f4c-99e1-4abd2b1c815b"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Convert", " ", "the", " ", "ODE", " ", "into", " ", "a", " ", 
    "recurrence", " ", "for", " ", "its", " ", "Taylor", " ", 
    RowBox[{"coefficients", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"recNA2", "=", 
    RowBox[{
     RowBox[{"CreativeTelescoping", "[", 
      RowBox[{
       RowBox[{"DFiniteTimes", "[", 
        RowBox[{
         RowBox[{"ToOrePolynomial", "[", 
          RowBox[{
           RowBox[{"Append", "[", 
            RowBox[{"opNA2", ",", 
             RowBox[{
              RowBox[{"S", "[", "n", "]"}], "-", "1"}]}], "]"}], ",", 
           RowBox[{"OreAlgebra", "[", 
            RowBox[{
             RowBox[{"Der", "[", "t", "]"}], ",", 
             RowBox[{"S", "[", "n", "]"}]}], "]"}]}], "]"}], ",", 
         RowBox[{"Annihilator", "[", 
          RowBox[{
           RowBox[{"1", "/", 
            RowBox[{"t", "^", 
             RowBox[{"(", 
              RowBox[{"n", "+", "1"}], ")"}]}]}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Der", "[", "t", "]"}], ",", 
             RowBox[{"S", "[", "n", "]"}]}], "}"}]}], "]"}]}], "]"}], ",", 
       RowBox[{"Der", "[", "t", "]"}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.945624577105496*^9, 3.945624655615074*^9}, {
   3.9456258322418413`*^9, 3.945625833770915*^9}, 3.945707512006703*^9, {
   3.951490324879718*^9, 
   3.95149034033858*^9}},ExpressionUUID->"406c1175-e9a6-4648-8857-\
0bb7e2e1ee8e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Collect", "[", 
  RowBox[{"recNA2", ",", 
   RowBox[{"f", "[", "_", "]"}], ",", "Factor"}], "]"}]], "Input",
 CellChangeTimes->{{3.945625848712983*^9, 3.945625857187701*^9}, {
  3.9457076400711412`*^9, 3.9457076516577597`*^9}, {3.947765379292405*^9, 
  3.947765393755515*^9}, {3.9496398875388613`*^9, 3.949639888170259*^9}, {
  3.949640059519227*^9, 3.949640070290105*^9}},
 CellLabel->
  "In[379]:=",ExpressionUUID->"2968b110-742a-42ba-85b2-4bd8c6800588"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SuperscriptBox["n", "2"], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"2", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"3", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"6", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"11", "+", 
     RowBox[{"2", " ", "n"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"14558822010880", "+", 
     RowBox[{"52503827014144", " ", "n"}], "+", 
     RowBox[{"84689629940352", " ", 
      SuperscriptBox["n", "2"]}], "+", 
     RowBox[{"81171240071328", " ", 
      SuperscriptBox["n", "3"]}], "+", 
     RowBox[{"51746353031848", " ", 
      SuperscriptBox["n", "4"]}], "+", 
     RowBox[{"23253235429380", " ", 
      SuperscriptBox["n", "5"]}], "+", 
     RowBox[{"7609327307378", " ", 
      SuperscriptBox["n", "6"]}], "+", 
     RowBox[{"1845221110953", " ", 
      SuperscriptBox["n", "7"]}], "+", 
     RowBox[{"333741324099", " ", 
      SuperscriptBox["n", "8"]}], "+", 
     RowBox[{"44872351645", " ", 
      SuperscriptBox["n", "9"]}], "+", 
     RowBox[{"4421145963", " ", 
      SuperscriptBox["n", "10"]}], "+", 
     RowBox[{"309948507", " ", 
      SuperscriptBox["n", "11"]}], "+", 
     RowBox[{"14633617", " ", 
      SuperscriptBox["n", "12"]}], "+", 
     RowBox[{"416955", " ", 
      SuperscriptBox["n", "13"]}], "+", 
     RowBox[{"5415", " ", 
      SuperscriptBox["n", "14"]}]}], ")"}], " ", 
   RowBox[{"f", "[", "n", "]"}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"2", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"3", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"6", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "94683004747776"}], "+", 
     RowBox[{"50104801179648", " ", "n"}], "+", 
     RowBox[{"1830517745930752", " ", 
      SuperscriptBox["n", "2"]}], "+", 
     RowBox[{"5335645083599744", " ", 
      SuperscriptBox["n", "3"]}], "+", 
     RowBox[{"7848889906043936", " ", 
      SuperscriptBox["n", "4"]}], "+", 
     RowBox[{"7281106832524688", " ", 
      SuperscriptBox["n", "5"]}], "+", 
     RowBox[{"4669398529965344", " ", 
      SuperscriptBox["n", "6"]}], "+", 
     RowBox[{"2174046034312576", " ", 
      SuperscriptBox["n", "7"]}], "+", 
     RowBox[{"756110459596666", " ", 
      SuperscriptBox["n", "8"]}], "+", 
     RowBox[{"199640209881861", " ", 
      SuperscriptBox["n", "9"]}], "+", 
     RowBox[{"40314795265513", " ", 
      SuperscriptBox["n", "10"]}], "+", 
     RowBox[{"6225062847195", " ", 
      SuperscriptBox["n", "11"]}], "+", 
     RowBox[{"729090733177", " ", 
      SuperscriptBox["n", "12"]}], "+", 
     RowBox[{"63627661745", " ", 
      SuperscriptBox["n", "13"]}], "+", 
     RowBox[{"4006775115", " ", 
      SuperscriptBox["n", "14"]}], "+", 
     RowBox[{"171961945", " ", 
      SuperscriptBox["n", "15"]}], "+", 
     RowBox[{"4499865", " ", 
      SuperscriptBox["n", "16"]}], "+", 
     RowBox[{"54150", " ", 
      SuperscriptBox["n", "17"]}]}], ")"}], " ", 
   RowBox[{"f", "[", 
    RowBox[{"1", "+", "n"}], "]"}]}], "-", 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{"2", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"3", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"5616818671435776", "+", 
     RowBox[{"38165668337793024", " ", "n"}], "+", 
     RowBox[{"114532593846732288", " ", 
      SuperscriptBox["n", "2"]}], "+", 
     RowBox[{"206801427730959232", " ", 
      SuperscriptBox["n", "3"]}], "+", 
     RowBox[{"254403581054727136", " ", 
      SuperscriptBox["n", "4"]}], "+", 
     RowBox[{"227357427566608656", " ", 
      SuperscriptBox["n", "5"]}], "+", 
     RowBox[{"153212650583491968", " ", 
      SuperscriptBox["n", "6"]}], "+", 
     RowBox[{"79677281806458464", " ", 
      SuperscriptBox["n", "7"]}], "+", 
     RowBox[{"32453420525079062", " ", 
      SuperscriptBox["n", "8"]}], "+", 
     RowBox[{"10448964102748493", " ", 
      SuperscriptBox["n", "9"]}], "+", 
     RowBox[{"2672353032904953", " ", 
      SuperscriptBox["n", "10"]}], "+", 
     RowBox[{"543452930263869", " ", 
      SuperscriptBox["n", "11"]}], "+", 
     RowBox[{"87618366066285", " ", 
      SuperscriptBox["n", "12"]}], "+", 
     RowBox[{"11115338062871", " ", 
      SuperscriptBox["n", "13"]}], "+", 
     RowBox[{"1094754684867", " ", 
      SuperscriptBox["n", "14"]}], "+", 
     RowBox[{"81903833439", " ", 
      SuperscriptBox["n", "15"]}], "+", 
     RowBox[{"4493754945", " ", 
      SuperscriptBox["n", "16"]}], "+", 
     RowBox[{"170370776", " ", 
      SuperscriptBox["n", "17"]}], "+", 
     RowBox[{"3985440", " ", 
      SuperscriptBox["n", "18"]}], "+", 
     RowBox[{"43320", " ", 
      SuperscriptBox["n", "19"]}]}], ")"}], " ", 
   RowBox[{"f", "[", 
    RowBox[{"2", "+", "n"}], "]"}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"3", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"4", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"66291945559031808", "+", 
     RowBox[{"448155439943712768", " ", "n"}], "+", 
     RowBox[{"1369440820546228224", " ", 
      SuperscriptBox["n", "2"]}], "+", 
     RowBox[{"2512904281586212864", " ", 
      SuperscriptBox["n", "3"]}], "+", 
     RowBox[{"3111051966709357568", " ", 
      SuperscriptBox["n", "4"]}], "+", 
     RowBox[{"2769239544401998208", " ", 
      SuperscriptBox["n", "5"]}], "+", 
     RowBox[{"1843557574130277648", " ", 
      SuperscriptBox["n", "6"]}], "+", 
     RowBox[{"941992171016937360", " ", 
      SuperscriptBox["n", "7"]}], "+", 
     RowBox[{"375860421438081824", " ", 
      SuperscriptBox["n", "8"]}], "+", 
     RowBox[{"118414108147860476", " ", 
      SuperscriptBox["n", "9"]}], "+", 
     RowBox[{"29638453292956391", " ", 
      SuperscriptBox["n", "10"]}], "+", 
     RowBox[{"5904386419570482", " ", 
      SuperscriptBox["n", "11"]}], "+", 
     RowBox[{"933857324291904", " ", 
      SuperscriptBox["n", "12"]}], "+", 
     RowBox[{"116412555826216", " ", 
      SuperscriptBox["n", "13"]}], "+", 
     RowBox[{"11285853294846", " ", 
      SuperscriptBox["n", "14"]}], "+", 
     RowBox[{"832525346748", " ", 
      SuperscriptBox["n", "15"]}], "+", 
     RowBox[{"45110181672", " ", 
      SuperscriptBox["n", "16"]}], "+", 
     RowBox[{"1691514876", " ", 
      SuperscriptBox["n", "17"]}], "+", 
     RowBox[{"39188355", " ", 
      SuperscriptBox["n", "18"]}], "+", 
     RowBox[{"422370", " ", 
      SuperscriptBox["n", "19"]}]}], ")"}], " ", 
   RowBox[{"f", "[", 
    RowBox[{"3", "+", "n"}], "]"}]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"4", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "67377060206346240"}], "+", 
     RowBox[{"1019008220737830912", " ", "n"}], "+", 
     RowBox[{"5802693867039928320", " ", 
      SuperscriptBox["n", "2"]}], "+", 
     RowBox[{"13751751703927855104", " ", 
      SuperscriptBox["n", "3"]}], "+", 
     RowBox[{"19655606574999788544", " ", 
      SuperscriptBox["n", "4"]}], "+", 
     RowBox[{"19293811474637351040", " ", 
      SuperscriptBox["n", "5"]}], "+", 
     RowBox[{"13892311710601765968", " ", 
      SuperscriptBox["n", "6"]}], "+", 
     RowBox[{"7628576255384175776", " ", 
      SuperscriptBox["n", "7"]}], "+", 
     RowBox[{"3274104533346023904", " ", 
      SuperscriptBox["n", "8"]}], "+", 
     RowBox[{"1115719528208311236", " ", 
      SuperscriptBox["n", "9"]}], "+", 
     RowBox[{"304784617502110955", " ", 
      SuperscriptBox["n", "10"]}], "+", 
     RowBox[{"67062606820651819", " ", 
      SuperscriptBox["n", "11"]}], "+", 
     RowBox[{"11891991596068654", " ", 
      SuperscriptBox["n", "12"]}], "+", 
     RowBox[{"1693278186149036", " ", 
      SuperscriptBox["n", "13"]}], "+", 
     RowBox[{"191984545600682", " ", 
      SuperscriptBox["n", "14"]}], "+", 
     RowBox[{"17086304290866", " ", 
      SuperscriptBox["n", "15"]}], "+", 
     RowBox[{"1166814098768", " ", 
      SuperscriptBox["n", "16"]}], "+", 
     RowBox[{"58973976280", " ", 
      SuperscriptBox["n", "17"]}], "+", 
     RowBox[{"2076888227", " ", 
      SuperscriptBox["n", "18"]}], "+", 
     RowBox[{"45469755", " ", 
      SuperscriptBox["n", "19"]}], "+", 
     RowBox[{"465690", " ", 
      SuperscriptBox["n", "20"]}]}], ")"}], " ", 
   RowBox[{"f", "[", 
    RowBox[{"4", "+", "n"}], "]"}]}], "+", 
  RowBox[{"16", " ", 
   RowBox[{"(", 
    RowBox[{"4", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"5", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"6", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"760181102198784", "+", 
     RowBox[{"4870891317012480", " ", "n"}], "+", 
     RowBox[{"12786069882152448", " ", 
      SuperscriptBox["n", "2"]}], "+", 
     RowBox[{"19953454959570240", " ", 
      SuperscriptBox["n", "3"]}], "+", 
     RowBox[{"21336130641898512", " ", 
      SuperscriptBox["n", "4"]}], "+", 
     RowBox[{"16697528525304400", " ", 
      SuperscriptBox["n", "5"]}], "+", 
     RowBox[{"9888896544502480", " ", 
      SuperscriptBox["n", "6"]}], "+", 
     RowBox[{"4514628352406200", " ", 
      SuperscriptBox["n", "7"]}], "+", 
     RowBox[{"1606230661963155", " ", 
      SuperscriptBox["n", "8"]}], "+", 
     RowBox[{"448119204782200", " ", 
      SuperscriptBox["n", "9"]}], "+", 
     RowBox[{"98262273842844", " ", 
      SuperscriptBox["n", "10"]}], "+", 
     RowBox[{"16907416423120", " ", 
      SuperscriptBox["n", "11"]}], "+", 
     RowBox[{"2268514192552", " ", 
      SuperscriptBox["n", "12"]}], "+", 
     RowBox[{"234451842100", " ", 
      SuperscriptBox["n", "13"]}], "+", 
     RowBox[{"18280490030", " ", 
      SuperscriptBox["n", "14"]}], "+", 
     RowBox[{"1039111120", " ", 
      SuperscriptBox["n", "15"]}], "+", 
     RowBox[{"40605389", " ", 
      SuperscriptBox["n", "16"]}], "+", 
     RowBox[{"974700", " ", 
      SuperscriptBox["n", "17"]}], "+", 
     RowBox[{"10830", " ", 
      SuperscriptBox["n", "18"]}]}], ")"}], " ", 
   RowBox[{"f", "[", 
    RowBox[{"5", "+", "n"}], "]"}]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"6", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"877982583942512640", "+", 
     RowBox[{"6059605962375180288", " ", "n"}], "+", 
     RowBox[{"19163563588184601600", " ", 
      SuperscriptBox["n", "2"]}], "+", 
     RowBox[{"36297337675048806656", " ", 
      SuperscriptBox["n", "3"]}], "+", 
     RowBox[{"46093085545638228544", " ", 
      SuperscriptBox["n", "4"]}], "+", 
     RowBox[{"41870916406048741440", " ", 
      SuperscriptBox["n", "5"]}], "+", 
     RowBox[{"28379129916536268848", " ", 
      SuperscriptBox["n", "6"]}], "+", 
     RowBox[{"14771533311549986944", " ", 
      SuperscriptBox["n", "7"]}], "+", 
     RowBox[{"6024342402397275164", " ", 
      SuperscriptBox["n", "8"]}], "+", 
     RowBox[{"1951703569320659764", " ", 
      SuperscriptBox["n", "9"]}], "+", 
     RowBox[{"506692794770251265", " ", 
      SuperscriptBox["n", "10"]}], "+", 
     RowBox[{"105894981134853861", " ", 
      SuperscriptBox["n", "11"]}], "+", 
     RowBox[{"17826642160470174", " ", 
      SuperscriptBox["n", "12"]}], "+", 
     RowBox[{"2408951223533444", " ", 
      SuperscriptBox["n", "13"]}], "+", 
     RowBox[{"259197248986782", " ", 
      SuperscriptBox["n", "14"]}], "+", 
     RowBox[{"21896739536014", " ", 
      SuperscriptBox["n", "15"]}], "+", 
     RowBox[{"1420115909268", " ", 
      SuperscriptBox["n", "16"]}], "+", 
     RowBox[{"68219694080", " ", 
      SuperscriptBox["n", "17"]}], "+", 
     RowBox[{"2285744777", " ", 
      SuperscriptBox["n", "18"]}], "+", 
     RowBox[{"47668245", " ", 
      SuperscriptBox["n", "19"]}], "+", 
     RowBox[{"465690", " ", 
      SuperscriptBox["n", "20"]}]}], ")"}], " ", 
   RowBox[{"f", "[", 
    RowBox[{"6", "+", "n"}], "]"}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"6", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"7", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"91466771265257472", "+", 
     RowBox[{"795917354774335488", " ", "n"}], "+", 
     RowBox[{"2684246039004496896", " ", 
      SuperscriptBox["n", "2"]}], "+", 
     RowBox[{"5095980123302758144", " ", 
      SuperscriptBox["n", "3"]}], "+", 
     RowBox[{"6310016515992480832", " ", 
      SuperscriptBox["n", "4"]}], "+", 
     RowBox[{"5505830332922211328", " ", 
      SuperscriptBox["n", "5"]}], "+", 
     RowBox[{"3547255212017514352", " ", 
      SuperscriptBox["n", "6"]}], "+", 
     RowBox[{"1739369107230985040", " ", 
      SuperscriptBox["n", "7"]}], "+", 
     RowBox[{"662303919031531516", " ", 
      SuperscriptBox["n", "8"]}], "+", 
     RowBox[{"198406524486192376", " ", 
      SuperscriptBox["n", "9"]}], "+", 
     RowBox[{"47117131950946229", " ", 
      SuperscriptBox["n", "10"]}], "+", 
     RowBox[{"8895416581682802", " ", 
      SuperscriptBox["n", "11"]}], "+", 
     RowBox[{"1332814938757576", " ", 
      SuperscriptBox["n", "12"]}], "+", 
     RowBox[{"157421823881776", " ", 
      SuperscriptBox["n", "13"]}], "+", 
     RowBox[{"14469057333354", " ", 
      SuperscriptBox["n", "14"]}], "+", 
     RowBox[{"1012862112828", " ", 
      SuperscriptBox["n", "15"]}], "+", 
     RowBox[{"52142045748", " ", 
      SuperscriptBox["n", "16"]}], "+", 
     RowBox[{"1860137976", " ", 
      SuperscriptBox["n", "17"]}], "+", 
     RowBox[{"41061945", " ", 
      SuperscriptBox["n", "18"]}], "+", 
     RowBox[{"422370", " ", 
      SuperscriptBox["n", "19"]}]}], ")"}], " ", 
   RowBox[{"f", "[", 
    RowBox[{"7", "+", "n"}], "]"}]}], "-", 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{"7", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"8", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"10938374058737664", "+", 
     RowBox[{"92635715022372864", " ", "n"}], "+", 
     RowBox[{"305269760555523072", " ", 
      SuperscriptBox["n", "2"]}], "+", 
     RowBox[{"570079228338369792", " ", 
      SuperscriptBox["n", "3"]}], "+", 
     RowBox[{"698119438822393664", " ", 
      SuperscriptBox["n", "4"]}], "+", 
     RowBox[{"604690903955972976", " ", 
      SuperscriptBox["n", "5"]}], "+", 
     RowBox[{"387645580787138912", " ", 
      SuperscriptBox["n", "6"]}], "+", 
     RowBox[{"189386809792048304", " ", 
      SuperscriptBox["n", "7"]}], "+", 
     RowBox[{"71897146624331808", " ", 
      SuperscriptBox["n", "8"]}], "+", 
     RowBox[{"21477392030082693", " ", 
      SuperscriptBox["n", "9"]}], "+", 
     RowBox[{"5085250372775637", " ", 
      SuperscriptBox["n", "10"]}], "+", 
     RowBox[{"956869243465469", " ", 
      SuperscriptBox["n", "11"]}], "+", 
     RowBox[{"142821794362245", " ", 
      SuperscriptBox["n", "12"]}], "+", 
     RowBox[{"16794880890991", " ", 
      SuperscriptBox["n", "13"]}], "+", 
     RowBox[{"1535920670983", " ", 
      SuperscriptBox["n", "14"]}], "+", 
     RowBox[{"106909755839", " ", 
      SuperscriptBox["n", "15"]}], "+", 
     RowBox[{"5469124975", " ", 
      SuperscriptBox["n", "16"]}], "+", 
     RowBox[{"193763576", " ", 
      SuperscriptBox["n", "17"]}], "+", 
     RowBox[{"4245360", " ", 
      SuperscriptBox["n", "18"]}], "+", 
     RowBox[{"43320", " ", 
      SuperscriptBox["n", "19"]}]}], ")"}], " ", 
   RowBox[{"f", "[", 
    RowBox[{"8", "+", "n"}], "]"}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"4", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"7", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"8", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"9", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"545956868653056", "+", 
     RowBox[{"3972347466743808", " ", "n"}], "+", 
     RowBox[{"11954637802579968", " ", 
      SuperscriptBox["n", "2"]}], "+", 
     RowBox[{"20425488355650304", " ", 
      SuperscriptBox["n", "3"]}], "+", 
     RowBox[{"22579400764734464", " ", 
      SuperscriptBox["n", "4"]}], "+", 
     RowBox[{"17343233644977648", " ", 
      SuperscriptBox["n", "5"]}], "+", 
     RowBox[{"9672229061274176", " ", 
      SuperscriptBox["n", "6"]}], "+", 
     RowBox[{"4029476224818896", " ", 
      SuperscriptBox["n", "7"]}], "+", 
     RowBox[{"1276972282487324", " ", 
      SuperscriptBox["n", "8"]}], "+", 
     RowBox[{"311077222713061", " ", 
      SuperscriptBox["n", "9"]}], "+", 
     RowBox[{"58480800377737", " ", 
      SuperscriptBox["n", "10"]}], "+", 
     RowBox[{"8463711866955", " ", 
      SuperscriptBox["n", "11"]}], "+", 
     RowBox[{"934013722173", " ", 
      SuperscriptBox["n", "12"]}], "+", 
     RowBox[{"77125168145", " ", 
      SuperscriptBox["n", "13"]}], "+", 
     RowBox[{"4611136635", " ", 
      SuperscriptBox["n", "14"]}], "+", 
     RowBox[{"188423545", " ", 
      SuperscriptBox["n", "15"]}], "+", 
     RowBox[{"4705635", " ", 
      SuperscriptBox["n", "16"]}], "+", 
     RowBox[{"54150", " ", 
      SuperscriptBox["n", "17"]}]}], ")"}], " ", 
   RowBox[{"f", "[", 
    RowBox[{"9", "+", "n"}], "]"}]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"4", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"7", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"8", "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"9", "+", "n"}], ")"}], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"10", "+", "n"}], ")"}], "2"], " ", 
   RowBox[{"(", 
    RowBox[{"9", "+", 
     RowBox[{"2", " ", "n"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"123603056640", "+", 
     RowBox[{"872584586496", " ", "n"}], "+", 
     RowBox[{"2424130509312", " ", 
      SuperscriptBox["n", "2"]}], "+", 
     RowBox[{"3711640232592", " ", 
      SuperscriptBox["n", "3"]}], "+", 
     RowBox[{"3578431574848", " ", 
      SuperscriptBox["n", "4"]}], "+", 
     RowBox[{"2329320456000", " ", 
      SuperscriptBox["n", "5"]}], "+", 
     RowBox[{"1066325737868", " ", 
      SuperscriptBox["n", "6"]}], "+", 
     RowBox[{"351547754967", " ", 
      SuperscriptBox["n", "7"]}], "+", 
     RowBox[{"84423504549", " ", 
      SuperscriptBox["n", "8"]}], "+", 
     RowBox[{"14775946155", " ", 
      SuperscriptBox["n", "9"]}], "+", 
     RowBox[{"1863702393", " ", 
      SuperscriptBox["n", "10"]}], "+", 
     RowBox[{"164896533", " ", 
      SuperscriptBox["n", "11"]}], "+", 
     RowBox[{"9705967", " ", 
      SuperscriptBox["n", "12"]}], "+", 
     RowBox[{"341145", " ", 
      SuperscriptBox["n", "13"]}], "+", 
     RowBox[{"5415", " ", 
      SuperscriptBox["n", "14"]}]}], ")"}], " ", 
   RowBox[{"f", "[", 
    RowBox[{"10", "+", "n"}], "]"}]}]}]], "Output",
 CellChangeTimes->{{3.945625851926999*^9, 3.945625858479342*^9}, 
   3.9496400289445972`*^9, 3.949640070914469*^9},
 CellLabel->
  "Out[379]=",ExpressionUUID->"c0af42c1-b01a-4a81-9f14-e07a4be1f4e8"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{750, 765},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"14.1 for Linux x86 (64-bit) (July 16, 2024)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"0d3ca1c3-5520-451a-9c6f-920d3b04e02e"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[554, 20, 305, 7, 55, "Text",ExpressionUUID->"9c943921-851e-452b-9d58-9c57f936be4f"],
Cell[CellGroupData[{
Cell[884, 31, 157, 3, 65, "Section",ExpressionUUID->"aa8925d6-432e-41c1-aa48-c1bb0056e5b4"],
Cell[CellGroupData[{
Cell[1066, 38, 595, 17, 30, "Input",ExpressionUUID->"6ce57158-aa59-41d8-be51-be8fe0d9aeeb"],
Cell[1664, 57, 156, 3, 33, "Output",ExpressionUUID->"1399670a-2692-4328-b43b-47679458b9c1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1857, 65, 697, 20, 30, "Input",ExpressionUUID->"93b3d962-3d18-406d-a71d-71f6f995ab9b"],
Cell[2557, 87, 156, 3, 33, "Output",ExpressionUUID->"c804b98e-a974-4db6-9fc0-71bc47f236ab"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2762, 96, 154, 3, 65, "Section",ExpressionUUID->"10fd67c3-23cb-4386-aa03-708120b070b5"],
Cell[CellGroupData[{
Cell[2941, 103, 1016, 28, 95, "Input",ExpressionUUID->"819c18aa-476b-4e2f-bbdb-e66556f37f78"],
Cell[3960, 133, 156, 3, 33, "Output",ExpressionUUID->"c858b408-dbe9-4674-971c-e22a0570a150"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4153, 141, 1180, 30, 95, "Input",ExpressionUUID->"8aabf198-529a-4ae5-9b91-b79f0a7eb6a6"],
Cell[5336, 173, 213, 5, 39, "Output",ExpressionUUID->"e1f33c39-6439-4efd-a3ba-7170dfce8965"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[5598, 184, 155, 3, 65, "Section",ExpressionUUID->"3b49c993-14bf-477c-b8b0-cd519246ed58"],
Cell[CellGroupData[{
Cell[5778, 191, 665, 19, 30, "Input",ExpressionUUID->"23269c02-ec76-4456-9226-aa63c1e5c05b"],
Cell[6446, 212, 587, 17, 51, "Output",ExpressionUUID->"f72abec5-3135-445a-87a5-967941586e34"]
}, Open  ]],
Cell[7048, 232, 1874, 51, 160, "Input",ExpressionUUID->"bb21b650-525e-495b-ad0e-ee65afae2efc"],
Cell[CellGroupData[{
Cell[8947, 287, 231, 4, 29, "Input",ExpressionUUID->"3d27c5e7-4f9d-430e-83a5-cff665d5c5c6"],
Cell[9181, 293, 383, 10, 51, "Output",ExpressionUUID->"3752fb5b-cffd-45bc-a219-4a3e5b2618e7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9601, 308, 308, 7, 29, "Input",ExpressionUUID->"076b39e6-450d-4895-a081-3ba103ff81d1"],
Cell[9912, 317, 492, 13, 51, "Output",ExpressionUUID->"cea3dafe-a176-4869-9be1-6f9bb44d9116"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10441, 335, 659, 19, 51, "Input",ExpressionUUID->"943dc76b-2623-48d7-a60f-2019e3438f94"],
Cell[11103, 356, 10309, 296, 722, "Output",ExpressionUUID->"1a1c7700-4a88-40b1-886b-584e7d112e3c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21449, 657, 308, 7, 29, "Input",ExpressionUUID->"7bea424a-516a-4447-81ab-dba51e15aaaf"],
Cell[21760, 666, 571, 17, 51, "Output",ExpressionUUID->"07d6b74e-2981-4951-a7c9-8200d537bdf1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22368, 688, 936, 22, 73, "Input",ExpressionUUID->"5ed27c00-f173-435f-813c-bdacf71b6c85"],
Cell[23307, 712, 328, 5, 33, "Output",ExpressionUUID->"41a3b7df-36c3-40b0-89c2-604379ccfafc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23672, 722, 672, 17, 51, "Input",ExpressionUUID->"99654b0f-2caa-452f-8ce6-19a1f1c74ee6"],
Cell[24347, 741, 885, 28, 51, "Output",ExpressionUUID->"18df1b1d-95f6-488b-a4d9-c835ff8f5290"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25269, 774, 206, 3, 29, "Input",ExpressionUUID->"e2875cbd-2bea-4034-9870-5db9899317fa"],
Cell[25478, 779, 313, 8, 45, "Output",ExpressionUUID->"d7857b67-d306-4f5a-b4a5-43e51b943b42"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25828, 792, 334, 6, 30, "Input",ExpressionUUID->"b0979888-2710-4561-9191-996e29667661"],
Cell[26165, 800, 334, 9, 40, "Print",ExpressionUUID->"4fc09fc9-c044-414b-b802-7aad0190e37c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[26536, 814, 1160, 36, 53, "Input",ExpressionUUID->"d8962f90-377b-4212-93d8-23070f6787df"],
Cell[27699, 852, 154, 2, 33, "Output",ExpressionUUID->"aaa451c8-a0d8-4a2e-91b0-06e0cea93e79"]
}, Open  ]],
Cell[CellGroupData[{
Cell[27890, 859, 1446, 40, 53, "Input",ExpressionUUID->"9dcbb8f9-cdfa-44f8-8fae-c16ed0b36aef"],
Cell[CellGroupData[{
Cell[29361, 903, 429, 11, 23, "Print",ExpressionUUID->"567e35a4-8b56-483e-aef8-6f67abd13307"],
Cell[29793, 916, 434, 11, 23, "Print",ExpressionUUID->"ad8d75f4-0f12-400c-b251-cc2ea4056ef2"],
Cell[30230, 929, 402, 10, 23, "Print",ExpressionUUID->"4d55c1c8-e05d-48f1-86a5-f933869824e7"],
Cell[30635, 941, 440, 11, 23, "Print",ExpressionUUID->"6287b08a-3dc8-4b74-84ab-29c3e6a399cc"],
Cell[31078, 954, 402, 10, 23, "Print",ExpressionUUID->"acaea01c-1a06-448d-a152-794951c8492e"],
Cell[31483, 966, 446, 11, 23, "Print",ExpressionUUID->"8673cb26-9686-46cf-8264-6fd4efff6974"],
Cell[31932, 979, 384, 9, 23, "Print",ExpressionUUID->"1d3a1c12-2457-48d6-bfa6-d1be32665a54"],
Cell[32319, 990, 396, 10, 23, "Print",ExpressionUUID->"3f480bb1-be57-4152-ada0-a738ba02afab"],
Cell[32718, 1002, 442, 11, 23, "Print",ExpressionUUID->"202e0361-a210-4c2d-b1e2-56a8edea32e0"],
Cell[33163, 1015, 438, 11, 23, "Print",ExpressionUUID->"19b8dd15-8e3d-4bc3-b781-a7739e637822"],
Cell[33604, 1028, 420, 10, 23, "Print",ExpressionUUID->"38a81604-7355-47ec-b1e5-640d25798937"],
Cell[34027, 1040, 406, 10, 23, "Print",ExpressionUUID->"a0d3d747-d11f-4d5c-b128-748996acbb24"],
Cell[34436, 1052, 400, 10, 23, "Print",ExpressionUUID->"b70f930b-11af-4691-b23d-a4868de83f37"],
Cell[34839, 1064, 414, 10, 23, "Print",ExpressionUUID->"dfe6dd56-ca2b-4343-b0f3-3de44cd45983"],
Cell[35256, 1076, 416, 10, 23, "Print",ExpressionUUID->"31251e97-7600-4402-b7f9-2e4cc5f793b4"],
Cell[35675, 1088, 400, 10, 23, "Print",ExpressionUUID->"06b3c21b-e9df-48f3-8527-fb1a2c352cfd"],
Cell[36078, 1100, 398, 10, 23, "Print",ExpressionUUID->"73d67312-369d-4e8b-9ef4-93d83689c2b5"],
Cell[36479, 1112, 414, 10, 23, "Print",ExpressionUUID->"8075cf3c-e1cc-4fc6-a2eb-da8f37862235"],
Cell[36896, 1124, 415, 10, 23, "Print",ExpressionUUID->"67b68d9a-65cf-4665-9ddc-1f098a2c74ef"],
Cell[37314, 1136, 402, 10, 23, "Print",ExpressionUUID->"888676cf-5014-4d06-816a-9017e0a9db60"],
Cell[37719, 1148, 350, 9, 23, "Print",ExpressionUUID->"15dee783-9a49-4be4-b70f-dc0dd3bc9d99"]
}, Open  ]],
Cell[38084, 1160, 303, 5, 33, "Output",ExpressionUUID->"cb1fb7ef-708b-41ce-87b9-531eb1e475e9"]
}, Open  ]],
Cell[38402, 1168, 177, 2, 29, "Input",ExpressionUUID->"586e8739-40cc-4f94-ae73-ea728f3a4120"]
}, Open  ]],
Cell[CellGroupData[{
Cell[38616, 1175, 157, 3, 65, "Section",ExpressionUUID->"59939f39-034a-4cbc-bb43-024f552993ca"],
Cell[CellGroupData[{
Cell[38798, 1182, 507, 12, 75, "Input",ExpressionUUID->"02d243c9-691b-4357-8872-7ed671e117ff"],
Cell[39308, 1196, 247, 4, 33, "Output",ExpressionUUID->"119b2f85-8a1f-4a37-a5f4-ddfefad98cc3"]
}, Open  ]],
Cell[39570, 1203, 328, 7, 55, "Text",ExpressionUUID->"6306028c-0502-4feb-8cb7-6e262ef92a73"],
Cell[CellGroupData[{
Cell[39923, 1214, 231, 4, 30, "Input",ExpressionUUID->"ca2841b0-953c-43bb-9e80-f12ef6998b66"],
Cell[40157, 1220, 376, 7, 57, "Output",ExpressionUUID->"7a7ca366-c1af-42e0-a03a-5aa1ffead4ff"]
}, Open  ]],
Cell[CellGroupData[{
Cell[40570, 1232, 333, 7, 53, "Input",ExpressionUUID->"65324886-e2f1-4e1b-8c07-84bd946b5ec5"],
Cell[40906, 1241, 250, 3, 33, "Output",ExpressionUUID->"6c49d454-5a00-4fcb-b1a5-17cf28841749"]
}, Open  ]],
Cell[41171, 1247, 222, 4, 33, "Text",ExpressionUUID->"f1d0bf43-62a0-45f8-9ded-3be3eca74f34"],
Cell[CellGroupData[{
Cell[41418, 1255, 230, 4, 30, "Input",ExpressionUUID->"f29dfb98-23c2-4c3b-8df0-0c1badc332a4"],
Cell[41651, 1261, 414, 8, 77, "Output",ExpressionUUID->"924ac1cb-3006-4868-b11d-3c6f77188995"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[42114, 1275, 157, 3, 65, "Section",ExpressionUUID->"d5e8687d-1bb1-411f-a8a4-1ff96dbf5436"],
Cell[CellGroupData[{
Cell[42296, 1282, 544, 15, 30, "Input",ExpressionUUID->"16a3d08a-1de0-4e09-b35c-baa87c5e5507"],
Cell[42843, 1299, 4822, 162, 197, "Output",ExpressionUUID->"33ae82e0-f0a2-4c57-9411-721cd98930bb"]
}, Open  ]],
Cell[47680, 1464, 615, 16, 30, "Input",ExpressionUUID->"0f6c2663-5e10-4fad-9096-b31d8b7b4ca0"],
Cell[CellGroupData[{
Cell[48320, 1484, 209, 3, 30, "Input",ExpressionUUID->"cd6a5d78-0a3b-4fb7-a69b-532cbde67893"],
Cell[48532, 1489, 292, 5, 34, "Output",ExpressionUUID->"851f903e-c297-4b60-b19d-c9a1ff93ce3b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[48861, 1499, 211, 3, 30, "Input",ExpressionUUID->"4084c137-1375-4915-890f-b5f32eeab2b2"],
Cell[49075, 1504, 1592, 33, 157, "Output",ExpressionUUID->"e3b89f60-02c6-4401-98e5-7444ddd59ab5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[50704, 1542, 397, 10, 30, "Input",ExpressionUUID->"8cc77441-2c79-4165-916a-db1a51c287ad"],
Cell[51104, 1554, 3319, 106, 267, "Output",ExpressionUUID->"77fb2350-4181-426c-8b26-5bc82f989954"]
}, Open  ]],
Cell[54438, 1663, 199, 3, 29, "Input",ExpressionUUID->"3043bc77-a6f7-4154-8836-930ccae94d62"],
Cell[54640, 1668, 497, 14, 115, "Text",ExpressionUUID->"44f85e68-7dfb-4cb1-a320-e70825f26c5e"],
Cell[55140, 1684, 268, 5, 23, "Print",ExpressionUUID->"3ec5fa7b-bc3a-4d56-980e-e1e160b701ce"],
Cell[55411, 1691, 482, 13, 94, "Text",ExpressionUUID->"5aa87524-d70b-4471-b0d4-1b5f243e0b50"],
Cell[55896, 1706, 461, 14, 115, "Text",ExpressionUUID->"0328f562-2d44-47a0-a59b-9fc3e7463375"],
Cell[CellGroupData[{
Cell[56382, 1724, 391, 8, 30, "Input",ExpressionUUID->"83476328-71ae-4add-ad36-a91e6670e94d"],
Cell[56776, 1734, 4745, 144, 632, "Output",ExpressionUUID->"e0ef1f23-c12b-4362-9b39-d9bb2cd59954"]
}, Open  ]],
Cell[CellGroupData[{
Cell[61558, 1883, 966, 22, 71, "Input",ExpressionUUID->"52568ba8-48e4-4598-a459-2f4bc340ba0d"],
Cell[62527, 1907, 514, 11, 26, "Message",ExpressionUUID->"f9378994-ac87-4aca-ace0-f3ff382e4640"],
Cell[63044, 1920, 424, 8, 34, "Output",ExpressionUUID->"80608ee2-2ab8-44b4-8ecf-774d61331a1d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[63505, 1933, 821, 21, 53, "Input",ExpressionUUID->"8917b838-6a09-426d-97ee-77f006b60dac"],
Cell[CellGroupData[{
Cell[64351, 1958, 230, 6, 24, "Print",ExpressionUUID->"12e5ab2c-5ce7-49cc-8ae4-6a2562875c3c"],
Cell[64584, 1966, 232, 6, 24, "Print",ExpressionUUID->"a9881118-ba8f-4763-ae9a-34a60b414eb3"],
Cell[64819, 1974, 230, 6, 24, "Print",ExpressionUUID->"67a0ed9b-aa9d-4c5c-adaf-21ffa9070007"],
Cell[65052, 1982, 234, 6, 24, "Print",ExpressionUUID->"91b76a8b-db12-44c6-addd-989db5d54bf5"],
Cell[65289, 1990, 233, 6, 24, "Print",ExpressionUUID->"211a83e0-dbbb-4f7b-927c-e36afc88de8e"],
Cell[65525, 1998, 233, 6, 24, "Print",ExpressionUUID->"4cf37d76-c7d6-4388-9a25-584372f7b251"],
Cell[65761, 2006, 232, 6, 24, "Print",ExpressionUUID->"34559b4b-c136-419a-9fa8-f51f98604fa8"],
Cell[65996, 2014, 232, 6, 24, "Print",ExpressionUUID->"94ca2e67-c0ed-4534-927d-c69edbfb7e12"],
Cell[66231, 2022, 232, 6, 24, "Print",ExpressionUUID->"162a8787-c0fc-4aba-b18c-6a9adb2dff3b"],
Cell[66466, 2030, 232, 6, 24, "Print",ExpressionUUID->"c1518288-db60-4d45-b278-a929425ecbd0"],
Cell[66701, 2038, 234, 6, 24, "Print",ExpressionUUID->"b2406971-07c9-45cf-b7ae-295a4d5617ca"],
Cell[66938, 2046, 233, 6, 24, "Print",ExpressionUUID->"4995c012-6dfc-48c9-9434-9d0f4d5bbc98"],
Cell[67174, 2054, 233, 6, 24, "Print",ExpressionUUID->"a626ddc7-edb6-430a-b0d6-22d338e3d204"],
Cell[67410, 2062, 235, 6, 24, "Print",ExpressionUUID->"9fa5d2b2-4fff-4b9f-8f48-eaaa1672f198"],
Cell[67648, 2070, 233, 6, 24, "Print",ExpressionUUID->"0f49b97c-34c7-4401-baff-72404d42f015"],
Cell[67884, 2078, 233, 6, 24, "Print",ExpressionUUID->"e4065c13-8c08-4268-85c1-7c8a1efca6fd"],
Cell[68120, 2086, 235, 6, 24, "Print",ExpressionUUID->"04a45b4a-a4aa-40b0-b97b-af3665eaeddc"],
Cell[68358, 2094, 233, 6, 24, "Print",ExpressionUUID->"e7b2857b-2aab-4a9c-8262-45debb8f1dfb"],
Cell[68594, 2102, 451, 11, 24, "Print",ExpressionUUID->"ae643659-5b5a-4531-81af-da589e59ce33"],
Cell[69048, 2115, 794, 16, 23, "Print",ExpressionUUID->"2d5d890e-1d11-4f93-bb9e-3e3c3667d37c"],
Cell[69845, 2133, 454, 10, 23, "Print",ExpressionUUID->"75f08e54-1e73-44d2-8ddd-c8daba1312f5"],
Cell[70302, 2145, 796, 16, 23, "Print",ExpressionUUID->"7720d5fd-7b84-4616-9539-f992fb8bcb70"],
Cell[71101, 2163, 794, 16, 23, "Print",ExpressionUUID->"20783085-11ac-4c9b-97aa-39947b8e0261"],
Cell[71898, 2181, 794, 16, 23, "Print",ExpressionUUID->"bfe2ffa7-0859-4177-b9f7-b480f1bfab0f"],
Cell[72695, 2199, 793, 16, 23, "Print",ExpressionUUID->"d9df276c-892b-4965-9120-2fd222457ab4"],
Cell[73491, 2217, 794, 16, 23, "Print",ExpressionUUID->"21a946a9-f268-47d2-ae79-b25c0a1b1d3a"],
Cell[74288, 2235, 794, 16, 23, "Print",ExpressionUUID->"7421f2a5-3d0b-47b8-bb78-2a08c38b997f"],
Cell[75085, 2253, 613, 15, 24, "Print",ExpressionUUID->"c7016835-88a9-44cc-bec2-f161686c7953"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[75759, 2275, 157, 3, 65, "Section",ExpressionUUID->"8b18021a-4251-4d9a-8b28-b43eb9371d46"],
Cell[CellGroupData[{
Cell[75941, 2282, 306, 6, 29, "Input",ExpressionUUID->"1cf12123-7f36-4147-957d-fe91dceceb06"],
Cell[76250, 2290, 224, 4, 33, "Output",ExpressionUUID->"48ee8c9c-b324-4c0e-8286-0691472a1e2c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[76511, 2299, 249, 5, 30, "Input",ExpressionUUID->"ac937b8c-abf5-4e0d-8bcf-bdd34ea721dd"],
Cell[76763, 2306, 154, 3, 33, "Output",ExpressionUUID->"de9b1a6e-53a0-4aec-a002-ae43c578dc58"]
}, Open  ]],
Cell[CellGroupData[{
Cell[76954, 2314, 456, 12, 30, "Input",ExpressionUUID->"eb595973-66d6-401f-8881-276f0cdba094"],
Cell[77413, 2328, 521, 10, 117, "Output",ExpressionUUID->"9a683495-109c-4c82-837f-8b7323384f1e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[77971, 2343, 313, 8, 30, "Input",ExpressionUUID->"cbae4db0-d27a-4e2e-80f2-ea6b3c257178"],
Cell[78287, 2353, 1003, 26, 124, "Output",ExpressionUUID->"6c6a6e52-5c61-45f4-b897-25597333ec13"]
}, Open  ]],
Cell[CellGroupData[{
Cell[79327, 2384, 214, 4, 29, "Input",ExpressionUUID->"defc1dc5-5755-4ebd-895a-c62ed60cb679"],
Cell[79544, 2390, 1298, 34, 146, "Output",ExpressionUUID->"79a37456-51a8-464a-866f-4bd481ce8575"]
}, Open  ]],
Cell[CellGroupData[{
Cell[80879, 2429, 393, 9, 30, "Input",ExpressionUUID->"61f264a1-2b6e-4adf-ac51-d1628bb953f1"],
Cell[81275, 2440, 268, 7, 34, "Output",ExpressionUUID->"92f98131-3336-4d46-a003-b0e90000c3fb"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[81592, 2453, 248, 4, 65, "Section",ExpressionUUID->"9f9fcd6c-abb5-449b-89ad-738e52e7a218"],
Cell[CellGroupData[{
Cell[81865, 2461, 889, 25, 75, "Input",ExpressionUUID->"3f03ffe6-cf26-457d-ba1a-bf328c2e6f85"],
Cell[82757, 2488, 317, 5, 40, "Output",ExpressionUUID->"9bf6ee0b-61b4-4696-9b6d-b558a1f3ca4a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[83111, 2498, 672, 17, 53, "Input",ExpressionUUID->"a785e693-c4bc-48cc-8589-08a6f3f3b0fe"],
Cell[83786, 2517, 335, 8, 45, "Output",ExpressionUUID->"c56433a7-54ec-4bac-812c-1d0d78b239d1"]
}, Open  ]],
Cell[84136, 2528, 1647, 45, 185, "Input",ExpressionUUID->"43f11fb6-db2a-49dc-9b99-fac29d947cb4"],
Cell[CellGroupData[{
Cell[85808, 2577, 461, 11, 53, "Input",ExpressionUUID->"6c203a64-72a2-4820-bd97-aeb414258961"],
Cell[86272, 2590, 278, 4, 40, "Output",ExpressionUUID->"4460b2ae-841f-4dba-b48d-d8a4c65eaf40"]
}, Open  ]],
Cell[CellGroupData[{
Cell[86587, 2599, 442, 12, 53, "Input",ExpressionUUID->"860162e1-e7f3-4ba7-ad8f-153ab095179f"],
Cell[87032, 2613, 366, 9, 45, "Output",ExpressionUUID->"9683e5c9-92ec-4a21-a175-6cc7bf968898"]
}, Open  ]],
Cell[CellGroupData[{
Cell[87435, 2627, 400, 11, 30, "Input",ExpressionUUID->"f5d88e1a-4a13-4845-9a48-c4f98d5d25e2"],
Cell[87838, 2640, 175, 3, 33, "Output",ExpressionUUID->"c4861f17-d4ff-42a8-8854-a77ce3002fa0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[88050, 2648, 648, 16, 53, "Input",ExpressionUUID->"ce0da93b-3a65-4ecf-a120-b1c34d851e8c"],
Cell[88701, 2666, 1217, 21, 168, "Output",ExpressionUUID->"58feb60c-1d17-4a9f-b1f1-359dbbe15388"]
}, Open  ]],
Cell[CellGroupData[{
Cell[89955, 2692, 377, 11, 30, "Input",ExpressionUUID->"d2857165-273e-439d-aef0-329831d3a518"],
Cell[90335, 2705, 242, 5, 33, "Output",ExpressionUUID->"ae6e21b7-162c-45c5-9f9b-4d1e63efb5bb"]
}, Open  ]],
Cell[90592, 2713, 1606, 45, 95, "Input",ExpressionUUID->"334487c3-9b74-49e9-80df-396991f69716"],
Cell[CellGroupData[{
Cell[92223, 2762, 644, 16, 53, "Input",ExpressionUUID->"69b9f6bc-8c0e-43b1-86ad-2719d8cb3c9a"],
Cell[92870, 2780, 1239, 23, 168, "Output",ExpressionUUID->"d70706e4-ec74-4608-9716-8e6b0fe86b0f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[94146, 2808, 285, 9, 30, "Input",ExpressionUUID->"f8905400-a25d-4ddd-bfed-31930fc0feca"],
Cell[94434, 2819, 230, 4, 33, "Output",ExpressionUUID->"ceca31e6-b0ed-404e-b326-c32e5ca0ce4e"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[94713, 2829, 155, 3, 65, "Section",ExpressionUUID->"a0b17119-9f9a-4d65-8b9e-d9630dccb681"],
Cell[94871, 2834, 242, 4, 29, "Input",ExpressionUUID->"2df9c88e-33b7-41fa-8103-4ac9cc76c12b"],
Cell[95116, 2840, 495, 14, 115, "Text",ExpressionUUID->"63389a01-a655-41a7-90bc-5b7ee354c40d"],
Cell[95614, 2856, 222, 4, 23, "Print",ExpressionUUID->"8f0c686d-588b-4e44-8cb7-5a9830783f42"],
Cell[CellGroupData[{
Cell[95861, 2864, 569, 16, 30, "Input",ExpressionUUID->"ca4ab070-d5c9-4f0c-b8fd-1c200a97c6b0"],
Cell[96433, 2882, 1166, 36, 51, "Output",ExpressionUUID->"878e7e21-9366-47b4-8613-f58d13977d62"]
}, Open  ]],
Cell[CellGroupData[{
Cell[97636, 2923, 472, 12, 30, "Input",ExpressionUUID->"4e488aea-6d0e-4dcf-bada-5aa3be8518b5"],
Cell[98111, 2937, 1369, 42, 94, "Output",ExpressionUUID->"ebe7e51c-c5eb-45e6-87c2-eec5781bfc82"]
}, Open  ]],
Cell[CellGroupData[{
Cell[99517, 2984, 327, 7, 30, "Input",ExpressionUUID->"0e4008c9-37ca-4e6a-81fb-76454d10b29a"],
Cell[99847, 2993, 321, 9, 51, "Output",ExpressionUUID->"2e438640-e5b7-4236-8342-90df65ab2305"]
}, Open  ]],
Cell[CellGroupData[{
Cell[100205, 3007, 330, 7, 30, "Input",ExpressionUUID->"23adccea-45e8-4411-8215-e6cfeaee1d02"],
Cell[100538, 3016, 647, 13, 38, "Message",ExpressionUUID->"6a3e6b0a-ce11-4046-860e-e97d4699e043"],
Cell[101188, 3031, 522, 11, 36, "Message",ExpressionUUID->"0315b283-5eb0-4a35-ab47-41afa35122bd"],
Cell[101713, 3044, 167, 3, 33, "Output",ExpressionUUID->"6e5e1547-92cb-4dc1-9521-5ed0d6f245dc"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[101929, 3053, 157, 3, 65, "Section",ExpressionUUID->"70923649-779d-4eea-b6b1-b0e0fe1a583f"],
Cell[CellGroupData[{
Cell[102111, 3060, 322, 7, 30, "Input",ExpressionUUID->"ec8fa1a4-9088-471c-ab3a-675e1ae9e108"],
Cell[102436, 3069, 344, 9, 46, "Output",ExpressionUUID->"d5ffad25-d839-4875-9773-ba8ef1f6501a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[102817, 3083, 318, 7, 30, "Input",ExpressionUUID->"aaa76ddc-d92c-480a-8bf1-d23bdf6cf421"],
Cell[103138, 3092, 246, 6, 46, "Output",ExpressionUUID->"257694ff-ce31-4392-b67a-ab9a946da7b7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[103421, 3103, 293, 6, 30, "Input",ExpressionUUID->"9b27c866-1c2e-497a-83eb-3d5f00bf3ecd"],
Cell[103717, 3111, 511, 11, 42, "Message",ExpressionUUID->"16b1b919-14de-4665-83cf-7d6997caabf0"],
Cell[104231, 3124, 167, 3, 33, "Output",ExpressionUUID->"1ee00386-2c26-472f-87db-03beaabe383f"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[104447, 3133, 160, 3, 65, "Section",ExpressionUUID->"aee0fb06-239b-4869-aef8-aa14b6e73e61"],
Cell[CellGroupData[{
Cell[104632, 3140, 491, 13, 53, "Input",ExpressionUUID->"edf1efd1-09fa-4890-9397-15ed4c06a2a5"],
Cell[105126, 3155, 1028, 30, 69, "Output",ExpressionUUID->"bd9dd60e-fcb3-4c90-96eb-a43bed9c1706"]
}, Open  ]],
Cell[CellGroupData[{
Cell[106191, 3190, 1292, 36, 95, "Input",ExpressionUUID->"a1e293ea-7d21-4c28-afa0-11067ce36d69"],
Cell[107486, 3228, 9913, 290, 351, "Output",ExpressionUUID->"6eb93b01-ecb4-494d-bf8d-88802a862bf1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[117436, 3523, 387, 9, 30, "Input",ExpressionUUID->"92ab356c-0d4c-4236-ab20-440af84e240b"],
Cell[117826, 3534, 11166, 327, 664, "Output",ExpressionUUID->"d803d5b9-9c58-402b-84ba-4c432091419c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[129029, 3866, 387, 9, 30, "Input",ExpressionUUID->"cd75c390-01ad-4d20-9c20-960243a3b9ec"],
Cell[129419, 3877, 7876, 231, 422, "Output",ExpressionUUID->"9377c322-fa18-4a26-bc9e-f4db62580114"]
}, Open  ]],
Cell[CellGroupData[{
Cell[137332, 4113, 387, 9, 30, "Input",ExpressionUUID->"f0ebbf54-f850-4c29-b03a-385b0d8b1caf"],
Cell[137722, 4124, 1072, 33, 79, "Output",ExpressionUUID->"b41265ac-4b75-44b0-b7bb-96fcd03bee96"]
}, Open  ]],
Cell[CellGroupData[{
Cell[138831, 4162, 387, 9, 30, "Input",ExpressionUUID->"895c1897-84b9-40ab-9779-aa5cfbe6f8e7"],
Cell[139221, 4173, 891, 27, 51, "Output",ExpressionUUID->"3382ad21-0605-4ad9-bfca-3d05eef272ea"]
}, Open  ]],
Cell[CellGroupData[{
Cell[140149, 4205, 345, 11, 58, "Subsection",ExpressionUUID->"4c154a6c-7d16-4502-9c2e-88ea2636a4be"],
Cell[140497, 4218, 424, 13, 186, "Text",ExpressionUUID->"09a809c7-9a09-41fa-a3fa-aff2133d1632"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[140970, 4237, 156, 3, 65, "Section",ExpressionUUID->"bce178de-bad6-423d-bff4-6c9a522d827d"],
Cell[CellGroupData[{
Cell[141151, 4244, 853, 21, 74, "Input",ExpressionUUID->"5b3eab76-8242-48ce-b27c-a65e27c70880"],
Cell[142007, 4267, 563, 13, 34, "Output",ExpressionUUID->"8288b22a-cd2f-443f-8659-756d4a383b81"]
}, Open  ]],
Cell[142585, 4283, 750, 19, 71, "Input",ExpressionUUID->"986d6e92-e59c-480f-8cea-12852042855b"],
Cell[CellGroupData[{
Cell[143360, 4306, 2042, 56, 118, "Input",ExpressionUUID->"c694bdc8-ded2-4572-980a-b0b44b849a18"],
Cell[145405, 4364, 2605, 61, 551, "Output",ExpressionUUID->"b1f9eb3b-950b-494f-8d52-0ebc71ac07a3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[148047, 4430, 794, 22, 51, "Input",ExpressionUUID->"ac23ef17-a929-48b1-b2b3-ea7380803da3"],
Cell[148844, 4454, 710, 20, 62, "Output",ExpressionUUID->"464cf8cb-882b-4a52-ae6a-715d584bff1a"]
}, Open  ]],
Cell[149569, 4477, 1993, 47, 140, "Input",ExpressionUUID->"95cda01b-831d-4152-9ca8-cacbefd10120"],
Cell[CellGroupData[{
Cell[151587, 4528, 894, 21, 73, "Input",ExpressionUUID->"4d712162-577b-4771-a077-96682913f4d9"],
Cell[152484, 4551, 347, 7, 34, "Output",ExpressionUUID->"c6117243-0151-4b8a-9ce5-f7e99c160afd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[152868, 4563, 1527, 39, 120, "Input",ExpressionUUID->"1d3ad8ed-ce04-44d9-9e4f-be16e710d980"],
Cell[154398, 4604, 19960, 600, 623, "Output",ExpressionUUID->"6bda6729-8922-44e5-a71b-92fe89330d7d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[174395, 5209, 413, 7, 30, "Input",ExpressionUUID->"388ff336-89b5-402a-b8eb-7361f13a78b9"],
Cell[174811, 5218, 321, 6, 34, "Output",ExpressionUUID->"72b938d0-8474-4ee3-bd25-fb24db894c34"]
}, Open  ]],
Cell[CellGroupData[{
Cell[175169, 5229, 835, 23, 73, "Input",ExpressionUUID->"409f2d96-460b-4dd6-94c3-e722253f60f1"],
Cell[176007, 5254, 424, 9, 34, "Output",ExpressionUUID->"cf38c6fc-b108-435f-bf92-bbeb73463781"]
}, Open  ]],
Cell[CellGroupData[{
Cell[176468, 5268, 1395, 38, 95, "Input",ExpressionUUID->"e1b75136-cdb1-44e1-abcb-14ebb593cfc8"],
Cell[177866, 5308, 211, 5, 34, "Output",ExpressionUUID->"96949903-33f7-453e-aa06-fc028ae4c84a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[178114, 5318, 368, 9, 30, "Input",ExpressionUUID->"5ae91ab1-9d4b-4029-8f14-d87985a4bf9f"],
Cell[178485, 5329, 406, 11, 46, "Output",ExpressionUUID->"dbfb9f90-9f95-4490-b034-16fc505221db"]
}, Open  ]],
Cell[CellGroupData[{
Cell[178928, 5345, 396, 10, 30, "Input",ExpressionUUID->"83a8ffff-9cfe-4f11-9828-923da5b96a3b"],
Cell[179327, 5357, 212, 5, 34, "Output",ExpressionUUID->"d7d50c44-d34d-4203-9536-b0a85c733ab3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[179576, 5367, 653, 18, 53, "Input",ExpressionUUID->"21c3fcce-1146-468e-8c18-8bc668275a65"],
Cell[180232, 5387, 10506, 312, 716, "Output",ExpressionUUID->"71585bb6-b391-4159-aea3-e7ebda3452b8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[190775, 5704, 894, 24, 95, "Input",ExpressionUUID->"ab78fb22-0690-4bdf-aea4-256d2c4b532b"],
Cell[191672, 5730, 9197, 267, 614, "Output",ExpressionUUID->"3f361085-e7c3-4f4c-99e1-4abd2b1c815b"]
}, Open  ]],
Cell[200884, 6000, 1561, 40, 115, "Input",ExpressionUUID->"406c1175-e9a6-4648-8857-0bb7e2e1ee8e"],
Cell[CellGroupData[{
Cell[202470, 6044, 480, 9, 30, "Input",ExpressionUUID->"2968b110-742a-42ba-85b2-4bd8c6800588"],
Cell[202953, 6055, 18733, 510, 2216, "Output",ExpressionUUID->"c0af42c1-b01a-4a81-9f14-e07a4be1f4e8"]
}, Open  ]]
}, Open  ]]
}
]
*)

